/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs


/* Copy the first part of user declarations.  */
#line 11 "parser_bison.y" /* yacc.c:339  */


#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static void open_scope(struct parser_state *state, struct scope *scope)
{
	assert(state->scope < array_size(state->scopes) - 1);
	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;
}

static void close_scope(struct parser_state *state)
{
	assert(state->scope > 0);
	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 195 "parser_bison.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_NFT_PARSER_BISON_H_INCLUDED
# define YY_NFT_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    TOKEN_EOF = 0,
    JUNK = 258,
    NEWLINE = 259,
    COLON = 260,
    SEMICOLON = 261,
    COMMA = 262,
    DOT = 263,
    EQ = 264,
    NEQ = 265,
    LT = 266,
    GT = 267,
    GTE = 268,
    LTE = 269,
    LSHIFT = 270,
    RSHIFT = 271,
    AMPERSAND = 272,
    CARET = 273,
    NOT = 274,
    SLASH = 275,
    ASTERISK = 276,
    DASH = 277,
    AT = 278,
    VMAP = 279,
    PLUS = 280,
    INCLUDE = 281,
    DEFINE = 282,
    REDEFINE = 283,
    UNDEFINE = 284,
    FIB = 285,
    SOCKET = 286,
    TRANSPARENT = 287,
    TPROXY = 288,
    OSF = 289,
    SYNPROXY = 290,
    MSS = 291,
    WSCALE = 292,
    SACKPERM = 293,
    HOOK = 294,
    DEVICE = 295,
    DEVICES = 296,
    TABLE = 297,
    TABLES = 298,
    CHAIN = 299,
    CHAINS = 300,
    RULE = 301,
    RULES = 302,
    SETS = 303,
    SET = 304,
    ELEMENT = 305,
    MAP = 306,
    MAPS = 307,
    FLOWTABLE = 308,
    HANDLE = 309,
    RULESET = 310,
    TRACE = 311,
    INET = 312,
    NETDEV = 313,
    ADD = 314,
    UPDATE = 315,
    REPLACE = 316,
    CREATE = 317,
    INSERT = 318,
    DELETE = 319,
    GET = 320,
    LIST = 321,
    RESET = 322,
    FLUSH = 323,
    RENAME = 324,
    DESCRIBE = 325,
    IMPORT = 326,
    EXPORT = 327,
    MONITOR = 328,
    ALL = 329,
    ACCEPT = 330,
    DROP = 331,
    CONTINUE = 332,
    JUMP = 333,
    GOTO = 334,
    RETURN = 335,
    TO = 336,
    CONSTANT = 337,
    INTERVAL = 338,
    DYNAMIC = 339,
    AUTOMERGE = 340,
    TIMEOUT = 341,
    GC_INTERVAL = 342,
    ELEMENTS = 343,
    EXPIRES = 344,
    POLICY = 345,
    MEMORY = 346,
    PERFORMANCE = 347,
    SIZE = 348,
    FLOW = 349,
    OFFLOAD = 350,
    METER = 351,
    METERS = 352,
    FLOWTABLES = 353,
    NUM = 354,
    STRING = 355,
    QUOTED_STRING = 356,
    ASTERISK_STRING = 357,
    LL_HDR = 358,
    NETWORK_HDR = 359,
    TRANSPORT_HDR = 360,
    BRIDGE = 361,
    ETHER = 362,
    SADDR = 363,
    DADDR = 364,
    TYPE = 365,
    VLAN = 366,
    ID = 367,
    CFI = 368,
    PCP = 369,
    ARP = 370,
    HTYPE = 371,
    PTYPE = 372,
    HLEN = 373,
    PLEN = 374,
    OPERATION = 375,
    IP = 376,
    HDRVERSION = 377,
    HDRLENGTH = 378,
    DSCP = 379,
    ECN = 380,
    LENGTH = 381,
    FRAG_OFF = 382,
    TTL = 383,
    PROTOCOL = 384,
    CHECKSUM = 385,
    PTR = 386,
    VALUE = 387,
    LSRR = 388,
    RR = 389,
    SSRR = 390,
    RA = 391,
    ICMP = 392,
    CODE = 393,
    SEQUENCE = 394,
    GATEWAY = 395,
    MTU = 396,
    IGMP = 397,
    MRT = 398,
    OPTIONS = 399,
    IP6 = 400,
    PRIORITY = 401,
    FLOWLABEL = 402,
    NEXTHDR = 403,
    HOPLIMIT = 404,
    ICMP6 = 405,
    PPTR = 406,
    MAXDELAY = 407,
    AH = 408,
    RESERVED = 409,
    SPI = 410,
    ESP = 411,
    COMP = 412,
    FLAGS = 413,
    CPI = 414,
    UDP = 415,
    SPORT = 416,
    DPORT = 417,
    UDPLITE = 418,
    CSUMCOV = 419,
    TCP = 420,
    ACKSEQ = 421,
    DOFF = 422,
    WINDOW = 423,
    URGPTR = 424,
    OPTION = 425,
    ECHO = 426,
    EOL = 427,
    MAXSEG = 428,
    NOOP = 429,
    SACK = 430,
    SACK0 = 431,
    SACK1 = 432,
    SACK2 = 433,
    SACK3 = 434,
    SACK_PERMITTED = 435,
    TIMESTAMP = 436,
    KIND = 437,
    COUNT = 438,
    LEFT = 439,
    RIGHT = 440,
    TSVAL = 441,
    TSECR = 442,
    DCCP = 443,
    SCTP = 444,
    VTAG = 445,
    RT = 446,
    RT0 = 447,
    RT2 = 448,
    RT4 = 449,
    SEG_LEFT = 450,
    ADDR = 451,
    LAST_ENT = 452,
    TAG = 453,
    SID = 454,
    HBH = 455,
    FRAG = 456,
    RESERVED2 = 457,
    MORE_FRAGMENTS = 458,
    DST = 459,
    MH = 460,
    META = 461,
    MARK = 462,
    IIF = 463,
    IIFNAME = 464,
    IIFTYPE = 465,
    OIF = 466,
    OIFNAME = 467,
    OIFTYPE = 468,
    SKUID = 469,
    SKGID = 470,
    NFTRACE = 471,
    RTCLASSID = 472,
    IBRIPORT = 473,
    OBRIPORT = 474,
    IBRIDGENAME = 475,
    OBRIDGENAME = 476,
    PKTTYPE = 477,
    CPU = 478,
    IIFGROUP = 479,
    OIFGROUP = 480,
    CGROUP = 481,
    TIME = 482,
    CLASSID = 483,
    NEXTHOP = 484,
    CT = 485,
    L3PROTOCOL = 486,
    PROTO_SRC = 487,
    PROTO_DST = 488,
    ZONE = 489,
    DIRECTION = 490,
    EVENT = 491,
    EXPECTATION = 492,
    EXPIRATION = 493,
    HELPER = 494,
    LABEL = 495,
    STATE = 496,
    STATUS = 497,
    ORIGINAL = 498,
    REPLY = 499,
    COUNTER = 500,
    NAME = 501,
    PACKETS = 502,
    BYTES = 503,
    AVGPKT = 504,
    COUNTERS = 505,
    QUOTAS = 506,
    LIMITS = 507,
    SYNPROXYS = 508,
    HELPERS = 509,
    LOG = 510,
    PREFIX = 511,
    GROUP = 512,
    SNAPLEN = 513,
    QUEUE_THRESHOLD = 514,
    LEVEL = 515,
    LIMIT = 516,
    RATE = 517,
    BURST = 518,
    OVER = 519,
    UNTIL = 520,
    QUOTA = 521,
    USED = 522,
    SECMARK = 523,
    SECMARKS = 524,
    NANOSECOND = 525,
    MICROSECOND = 526,
    MILLISECOND = 527,
    SECOND = 528,
    MINUTE = 529,
    HOUR = 530,
    DAY = 531,
    WEEK = 532,
    _REJECT = 533,
    WITH = 534,
    ICMPX = 535,
    SNAT = 536,
    DNAT = 537,
    MASQUERADE = 538,
    REDIRECT = 539,
    RANDOM = 540,
    FULLY_RANDOM = 541,
    PERSISTENT = 542,
    QUEUE = 543,
    QUEUENUM = 544,
    BYPASS = 545,
    FANOUT = 546,
    DUP = 547,
    FWD = 548,
    NUMGEN = 549,
    INC = 550,
    MOD = 551,
    OFFSET = 552,
    JHASH = 553,
    SYMHASH = 554,
    SEED = 555,
    POSITION = 556,
    INDEX = 557,
    COMMENT = 558,
    XML = 559,
    JSON = 560,
    VM = 561,
    NOTRACK = 562,
    EXISTS = 563,
    MISSING = 564,
    EXTHDR = 565,
    IPSEC = 566,
    MODE = 567,
    REQID = 568,
    SPNUM = 569,
    TRANSPORT = 570,
    TUNNEL = 571,
    IN = 572,
    OUT = 573
  };
#endif
/* Tokens.  */
#define TOKEN_EOF 0
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define TPROXY 288
#define OSF 289
#define SYNPROXY 290
#define MSS 291
#define WSCALE 292
#define SACKPERM 293
#define HOOK 294
#define DEVICE 295
#define DEVICES 296
#define TABLE 297
#define TABLES 298
#define CHAIN 299
#define CHAINS 300
#define RULE 301
#define RULES 302
#define SETS 303
#define SET 304
#define ELEMENT 305
#define MAP 306
#define MAPS 307
#define FLOWTABLE 308
#define HANDLE 309
#define RULESET 310
#define TRACE 311
#define INET 312
#define NETDEV 313
#define ADD 314
#define UPDATE 315
#define REPLACE 316
#define CREATE 317
#define INSERT 318
#define DELETE 319
#define GET 320
#define LIST 321
#define RESET 322
#define FLUSH 323
#define RENAME 324
#define DESCRIBE 325
#define IMPORT 326
#define EXPORT 327
#define MONITOR 328
#define ALL 329
#define ACCEPT 330
#define DROP 331
#define CONTINUE 332
#define JUMP 333
#define GOTO 334
#define RETURN 335
#define TO 336
#define CONSTANT 337
#define INTERVAL 338
#define DYNAMIC 339
#define AUTOMERGE 340
#define TIMEOUT 341
#define GC_INTERVAL 342
#define ELEMENTS 343
#define EXPIRES 344
#define POLICY 345
#define MEMORY 346
#define PERFORMANCE 347
#define SIZE 348
#define FLOW 349
#define OFFLOAD 350
#define METER 351
#define METERS 352
#define FLOWTABLES 353
#define NUM 354
#define STRING 355
#define QUOTED_STRING 356
#define ASTERISK_STRING 357
#define LL_HDR 358
#define NETWORK_HDR 359
#define TRANSPORT_HDR 360
#define BRIDGE 361
#define ETHER 362
#define SADDR 363
#define DADDR 364
#define TYPE 365
#define VLAN 366
#define ID 367
#define CFI 368
#define PCP 369
#define ARP 370
#define HTYPE 371
#define PTYPE 372
#define HLEN 373
#define PLEN 374
#define OPERATION 375
#define IP 376
#define HDRVERSION 377
#define HDRLENGTH 378
#define DSCP 379
#define ECN 380
#define LENGTH 381
#define FRAG_OFF 382
#define TTL 383
#define PROTOCOL 384
#define CHECKSUM 385
#define PTR 386
#define VALUE 387
#define LSRR 388
#define RR 389
#define SSRR 390
#define RA 391
#define ICMP 392
#define CODE 393
#define SEQUENCE 394
#define GATEWAY 395
#define MTU 396
#define IGMP 397
#define MRT 398
#define OPTIONS 399
#define IP6 400
#define PRIORITY 401
#define FLOWLABEL 402
#define NEXTHDR 403
#define HOPLIMIT 404
#define ICMP6 405
#define PPTR 406
#define MAXDELAY 407
#define AH 408
#define RESERVED 409
#define SPI 410
#define ESP 411
#define COMP 412
#define FLAGS 413
#define CPI 414
#define UDP 415
#define SPORT 416
#define DPORT 417
#define UDPLITE 418
#define CSUMCOV 419
#define TCP 420
#define ACKSEQ 421
#define DOFF 422
#define WINDOW 423
#define URGPTR 424
#define OPTION 425
#define ECHO 426
#define EOL 427
#define MAXSEG 428
#define NOOP 429
#define SACK 430
#define SACK0 431
#define SACK1 432
#define SACK2 433
#define SACK3 434
#define SACK_PERMITTED 435
#define TIMESTAMP 436
#define KIND 437
#define COUNT 438
#define LEFT 439
#define RIGHT 440
#define TSVAL 441
#define TSECR 442
#define DCCP 443
#define SCTP 444
#define VTAG 445
#define RT 446
#define RT0 447
#define RT2 448
#define RT4 449
#define SEG_LEFT 450
#define ADDR 451
#define LAST_ENT 452
#define TAG 453
#define SID 454
#define HBH 455
#define FRAG 456
#define RESERVED2 457
#define MORE_FRAGMENTS 458
#define DST 459
#define MH 460
#define META 461
#define MARK 462
#define IIF 463
#define IIFNAME 464
#define IIFTYPE 465
#define OIF 466
#define OIFNAME 467
#define OIFTYPE 468
#define SKUID 469
#define SKGID 470
#define NFTRACE 471
#define RTCLASSID 472
#define IBRIPORT 473
#define OBRIPORT 474
#define IBRIDGENAME 475
#define OBRIDGENAME 476
#define PKTTYPE 477
#define CPU 478
#define IIFGROUP 479
#define OIFGROUP 480
#define CGROUP 481
#define TIME 482
#define CLASSID 483
#define NEXTHOP 484
#define CT 485
#define L3PROTOCOL 486
#define PROTO_SRC 487
#define PROTO_DST 488
#define ZONE 489
#define DIRECTION 490
#define EVENT 491
#define EXPECTATION 492
#define EXPIRATION 493
#define HELPER 494
#define LABEL 495
#define STATE 496
#define STATUS 497
#define ORIGINAL 498
#define REPLY 499
#define COUNTER 500
#define NAME 501
#define PACKETS 502
#define BYTES 503
#define AVGPKT 504
#define COUNTERS 505
#define QUOTAS 506
#define LIMITS 507
#define SYNPROXYS 508
#define HELPERS 509
#define LOG 510
#define PREFIX 511
#define GROUP 512
#define SNAPLEN 513
#define QUEUE_THRESHOLD 514
#define LEVEL 515
#define LIMIT 516
#define RATE 517
#define BURST 518
#define OVER 519
#define UNTIL 520
#define QUOTA 521
#define USED 522
#define SECMARK 523
#define SECMARKS 524
#define NANOSECOND 525
#define MICROSECOND 526
#define MILLISECOND 527
#define SECOND 528
#define MINUTE 529
#define HOUR 530
#define DAY 531
#define WEEK 532
#define _REJECT 533
#define WITH 534
#define ICMPX 535
#define SNAT 536
#define DNAT 537
#define MASQUERADE 538
#define REDIRECT 539
#define RANDOM 540
#define FULLY_RANDOM 541
#define PERSISTENT 542
#define QUEUE 543
#define QUEUENUM 544
#define BYPASS 545
#define FANOUT 546
#define DUP 547
#define FWD 548
#define NUMGEN 549
#define INC 550
#define MOD 551
#define OFFSET 552
#define JHASH 553
#define SYMHASH 554
#define SEED 555
#define POSITION 556
#define INDEX 557
#define COMMENT 558
#define XML 559
#define JSON 560
#define VM 561
#define NOTRACK 562
#define EXISTS 563
#define MISSING 564
#define EXTHDR 565
#define IPSEC 566
#define MODE 567
#define REQID 568
#define SPNUM 569
#define TRANSPORT 570
#define TUNNEL 571
#define IN 572
#define OUT 573

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 154 "parser_bison.y" /* yacc.c:355  */

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	const struct exthdr_desc *exthdr_desc;

#line 898 "parser_bison.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);

#endif /* !YY_NFT_PARSER_BISON_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 928 "parser_bison.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   6399

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  328
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  335
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1063
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1717

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   573

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   323,     2,     2,     2,
     324,   325,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   319,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   326,     2,   327,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   320,   322,   321,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   827,   827,   828,   837,   838,   841,   842,   845,   853,
     867,   874,   885,   893,   894,   895,   896,   916,   917,   918,
     919,   920,   921,   922,   923,   924,   925,   926,   927,   928,
     929,   930,   933,   937,   944,   948,   956,   960,   964,   971,
     978,   982,   989,   998,  1002,  1006,  1010,  1014,  1018,  1022,
    1026,  1032,  1038,  1042,  1049,  1053,  1061,  1068,  1075,  1079,
    1086,  1095,  1099,  1103,  1107,  1111,  1115,  1119,  1123,  1129,
    1135,  1139,  1143,  1147,  1151,  1155,  1159,  1163,  1167,  1171,
    1175,  1179,  1183,  1187,  1191,  1195,  1199,  1203,  1207,  1211,
    1215,  1219,  1225,  1231,  1235,  1239,  1243,  1247,  1251,  1255,
    1259,  1263,  1267,  1271,  1275,  1279,  1283,  1287,  1291,  1295,
    1299,  1303,  1307,  1311,  1315,  1319,  1323,  1327,  1331,  1335,
    1339,  1343,  1347,  1351,  1355,  1359,  1363,  1367,  1373,  1377,
    1381,  1385,  1389,  1393,  1399,  1403,  1407,  1411,  1415,  1419,
    1423,  1429,  1436,  1442,  1450,  1456,  1464,  1473,  1474,  1477,
    1478,  1479,  1480,  1481,  1482,  1483,  1484,  1487,  1488,  1491,
    1492,  1493,  1496,  1505,  1511,  1525,  1526,  1527,  1528,  1529,
    1540,  1550,  1561,  1571,  1582,  1593,  1602,  1611,  1620,  1631,
    1642,  1656,  1662,  1663,  1664,  1665,  1666,  1667,  1675,  1680,
    1681,  1682,  1683,  1688,  1693,  1698,  1703,  1708,  1713,  1716,
    1717,  1720,  1724,  1727,  1728,  1729,  1730,  1734,  1739,  1740,
    1741,  1742,  1747,  1758,  1767,  1776,  1785,  1794,  1799,  1804,
    1807,  1811,  1817,  1818,  1822,  1827,  1828,  1829,  1830,  1843,
    1849,  1856,  1861,  1866,  1869,  1878,  1890,  1897,  1898,  1910,
    1915,  1916,  1917,  1918,  1924,  1925,  1926,  1927,  1933,  1934,
    1935,  1936,  1942,  1943,  1944,  1945,  1951,  1952,  1953,  1954,
    1960,  1961,  1962,  1963,  1969,  1970,  1971,  1972,  1978,  1979,
    1980,  1981,  1987,  1988,  1989,  1990,  1991,  1994,  2022,  2029,
    2033,  2036,  2046,  2054,  2065,  2078,  2092,  2093,  2096,  2107,
    2111,  2114,  2126,  2131,  2140,  2141,  2144,  2147,  2148,  2149,
    2152,  2167,  2168,  2171,  2172,  2173,  2174,  2175,  2176,  2179,
    2188,  2197,  2205,  2213,  2221,  2229,  2237,  2245,  2253,  2261,
    2269,  2277,  2285,  2293,  2301,  2309,  2317,  2321,  2326,  2334,
    2341,  2348,  2361,  2365,  2372,  2376,  2382,  2394,  2400,  2407,
    2408,  2409,  2410,  2413,  2414,  2415,  2416,  2417,  2418,  2419,
    2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,
    2430,  2431,  2434,  2438,  2444,  2450,  2455,  2458,  2463,  2468,
    2471,  2477,  2482,  2490,  2491,  2493,  2497,  2505,  2509,  2512,
    2516,  2522,  2523,  2526,  2532,  2536,  2539,  2544,  2549,  2554,
    2559,  2564,  2570,  2600,  2604,  2608,  2612,  2616,  2622,  2626,
    2629,  2633,  2639,  2648,  2667,  2675,  2676,  2677,  2680,  2681,
    2684,  2685,  2700,  2716,  2724,  2725,  2726,  2729,  2730,  2733,
    2734,  2735,  2750,  2751,  2752,  2753,  2754,  2757,  2760,  2767,
    2771,  2782,  2793,  2803,  2809,  2812,  2813,  2816,  2822,  2828,
    2834,  2841,  2848,  2856,  2857,  2860,  2864,  2872,  2876,  2879,
    2884,  2889,  2893,  2899,  2915,  2934,  2940,  2941,  2947,  2948,
    2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,  2962,  2963,
    2964,  2965,  2968,  2969,  2973,  2979,  2980,  2986,  2987,  2993,
    2994,  3000,  3003,  3004,  3015,  3016,  3019,  3023,  3026,  3032,
    3038,  3049,  3050,  3051,  3054,  3055,  3056,  3059,  3063,  3067,
    3072,  3077,  3082,  3088,  3092,  3096,  3102,  3103,  3106,  3109,
    3113,  3118,  3124,  3125,  3128,  3131,  3135,  3139,  3143,  3148,
    3155,  3160,  3168,  3173,  3182,  3183,  3189,  3190,  3191,  3194,
    3195,  3198,  3204,  3208,  3211,  3216,  3222,  3223,  3229,  3230,
    3233,  3234,  3237,  3243,  3250,  3257,  3267,  3268,  3269,  3272,
    3280,  3291,  3298,  3301,  3307,  3311,  3314,  3320,  3329,  3340,
    3346,  3372,  3373,  3382,  3383,  3386,  3395,  3406,  3407,  3408,
    3409,  3410,  3411,  3412,  3413,  3414,  3415,  3416,  3417,  3418,
    3419,  3420,  3423,  3446,  3447,  3448,  3451,  3452,  3453,  3454,
    3455,  3458,  3462,  3465,  3469,  3476,  3479,  3493,  3494,  3498,
    3504,  3505,  3511,  3512,  3518,  3519,  3525,  3528,  3529,  3540,
    3546,  3552,  3553,  3556,  3562,  3563,  3564,  3567,  3574,  3579,
    3584,  3587,  3591,  3595,  3601,  3602,  3609,  3615,  3616,  3619,
    3625,  3629,  3632,  3636,  3640,  3646,  3647,  3650,  3651,  3654,
    3655,  3658,  3669,  3675,  3696,  3702,  3719,  3725,  3726,  3727,
    3730,  3731,  3734,  3749,  3755,  3761,  3768,  3782,  3790,  3798,
    3804,  3808,  3812,  3816,  3820,  3827,  3832,  3843,  3865,  3871,
    3875,  3879,  3885,  3891,  3899,  3900,  3901,  3902,  3905,  3906,
    3910,  3916,  3917,  3923,  3924,  3930,  3931,  3937,  3940,  3941,
    3942,  3951,  3962,  3963,  3966,  3974,  3975,  3976,  3977,  3978,
    3979,  3980,  3981,  3982,  3983,  3984,  3985,  3988,  3989,  3990,
    3991,  3992,  3999,  4006,  4013,  4020,  4027,  4034,  4041,  4048,
    4055,  4062,  4069,  4076,  4079,  4080,  4081,  4082,  4083,  4084,
    4087,  4091,  4095,  4099,  4103,  4107,  4113,  4114,  4124,  4128,
    4132,  4148,  4149,  4152,  4153,  4154,  4155,  4156,  4159,  4160,
    4161,  4162,  4163,  4164,  4165,  4166,  4167,  4168,  4169,  4170,
    4171,  4172,  4173,  4174,  4175,  4176,  4177,  4178,  4179,  4180,
    4181,  4182,  4185,  4205,  4209,  4223,  4227,  4231,  4237,  4243,
    4244,  4247,  4248,  4251,  4252,  4255,  4261,  4262,  4265,  4266,
    4269,  4270,  4273,  4274,  4277,  4285,  4312,  4317,  4322,  4328,
    4329,  4332,  4336,  4356,  4357,  4358,  4359,  4362,  4366,  4370,
    4376,  4377,  4380,  4381,  4382,  4383,  4384,  4385,  4386,  4387,
    4388,  4389,  4390,  4391,  4392,  4393,  4394,  4395,  4398,  4399,
    4400,  4401,  4402,  4403,  4404,  4407,  4408,  4409,  4410,  4413,
    4414,  4415,  4416,  4419,  4420,  4423,  4429,  4437,  4450,  4457,
    4463,  4469,  4478,  4479,  4480,  4481,  4482,  4483,  4484,  4485,
    4486,  4487,  4488,  4489,  4490,  4491,  4492,  4493,  4494,  4495,
    4498,  4507,  4508,  4509,  4512,  4518,  4519,  4520,  4523,  4529,
    4530,  4531,  4532,  4535,  4541,  4542,  4543,  4544,  4545,  4546,
    4547,  4548,  4549,  4552,  4556,  4560,  4567,  4568,  4569,  4570,
    4571,  4572,  4573,  4574,  4575,  4576,  4577,  4578,  4581,  4582,
    4583,  4584,  4587,  4588,  4589,  4590,  4591,  4594,  4600,  4601,
    4602,  4603,  4604,  4605,  4606,  4609,  4615,  4616,  4617,  4618,
    4621,  4627,  4628,  4629,  4630,  4631,  4632,  4633,  4634,  4635,
    4637,  4643,  4644,  4645,  4646,  4647,  4648,  4649,  4650,  4653,
    4659,  4660,  4661,  4662,  4663,  4666,  4672,  4673,  4676,  4682,
    4683,  4684,  4687,  4693,  4694,  4695,  4696,  4699,  4705,  4706,
    4707,  4708,  4711,  4715,  4719,  4726,  4727,  4728,  4729,  4730,
    4731,  4732,  4733,  4734,  4735,  4738,  4739,  4740,  4741,  4742,
    4743,  4744,  4745,  4746,  4747,  4748,  4749,  4752,  4753,  4754,
    4755,  4756,  4757,  4758,  4759,  4762,  4768,  4769,  4770,  4773,
    4779,  4780,  4781,  4782,  4785,  4793,  4794,  4797,  4798,  4799,
    4800,  4801,  4802,  4803,  4804,  4807,  4813,  4814,  4817,  4823,
    4824,  4825,  4826,  4829,  4835,  4841,  4847,  4850,  4856,  4857,
    4858,  4859,  4865,  4871,  4872,  4873,  4874,  4875,  4876,  4879,
    4885,  4886,  4889,  4895,  4896,  4897,  4898,  4899,  4902,  4916,
    4917,  4918,  4919,  4920
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "$undefined", "\"junk\"", "\"newline\"",
  "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"", "\"==\"", "\"!=\"",
  "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"", "\">>\"", "\"&\"",
  "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"", "\"vmap\"",
  "\"+\"", "\"include\"", "\"define\"", "\"redefine\"", "\"undefine\"",
  "\"fib\"", "\"socket\"", "\"transparent\"", "\"tproxy\"", "\"osf\"",
  "\"synproxy\"", "\"mss\"", "\"wscale\"", "\"sack-perm\"", "\"hook\"",
  "\"device\"", "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"",
  "\"chains\"", "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"",
  "\"element\"", "\"map\"", "\"maps\"", "\"flowtable\"", "\"handle\"",
  "\"ruleset\"", "\"trace\"", "\"inet\"", "\"netdev\"", "\"add\"",
  "\"update\"", "\"replace\"", "\"create\"", "\"insert\"", "\"delete\"",
  "\"get\"", "\"list\"", "\"reset\"", "\"flush\"", "\"rename\"",
  "\"describe\"", "\"import\"", "\"export\"", "\"monitor\"", "\"all\"",
  "\"accept\"", "\"drop\"", "\"continue\"", "\"jump\"", "\"goto\"",
  "\"return\"", "\"to\"", "\"constant\"", "\"interval\"", "\"dynamic\"",
  "\"auto-merge\"", "\"timeout\"", "\"gc-interval\"", "\"elements\"",
  "\"expires\"", "\"policy\"", "\"memory\"", "\"performance\"", "\"size\"",
  "\"flow\"", "\"offload\"", "\"meter\"", "\"meters\"", "\"flowtables\"",
  "\"number\"", "\"string\"", "\"quoted string\"",
  "\"string with a trailing asterisk\"", "\"ll\"", "\"nh\"", "\"th\"",
  "\"bridge\"", "\"ether\"", "\"saddr\"", "\"daddr\"", "\"type\"",
  "\"vlan\"", "\"id\"", "\"cfi\"", "\"pcp\"", "\"arp\"", "\"htype\"",
  "\"ptype\"", "\"hlen\"", "\"plen\"", "\"operation\"", "\"ip\"",
  "\"version\"", "\"hdrlength\"", "\"dscp\"", "\"ecn\"", "\"length\"",
  "\"frag-off\"", "\"ttl\"", "\"protocol\"", "\"checksum\"", "\"ptr\"",
  "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"", "\"ra\"", "\"icmp\"",
  "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"", "\"igmp\"", "\"mrt\"",
  "\"options\"", "\"ip6\"", "\"priority\"", "\"flowlabel\"", "\"nexthdr\"",
  "\"hoplimit\"", "\"icmpv6\"", "\"param-problem\"", "\"max-delay\"",
  "\"ah\"", "\"reserved\"", "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"",
  "\"cpi\"", "\"udp\"", "\"sport\"", "\"dport\"", "\"udplite\"",
  "\"csumcov\"", "\"tcp\"", "\"ackseq\"", "\"doff\"", "\"window\"",
  "\"urgptr\"", "\"option\"", "\"echo\"", "\"eol\"", "\"maxseg\"",
  "\"noop\"", "\"sack\"", "\"sack0\"", "\"sack1\"", "\"sack2\"",
  "\"sack3\"", "\"sack-permitted\"", "\"timestamp\"", "\"kind\"",
  "\"count\"", "\"left\"", "\"right\"", "\"tsval\"", "\"tsecr\"",
  "\"dccp\"", "\"sctp\"", "\"vtag\"", "\"rt\"", "\"rt0\"", "\"rt2\"",
  "\"srh\"", "\"seg-left\"", "\"addr\"", "\"last-entry\"", "\"tag\"",
  "\"sid\"", "\"hbh\"", "\"frag\"", "\"reserved2\"", "\"more-fragments\"",
  "\"dst\"", "\"mh\"", "\"meta\"", "\"mark\"", "\"iif\"", "\"iifname\"",
  "\"iiftype\"", "\"oif\"", "\"oifname\"", "\"oiftype\"", "\"skuid\"",
  "\"skgid\"", "\"nftrace\"", "\"rtclassid\"", "\"ibriport\"",
  "\"obriport\"", "\"ibrname\"", "\"obrname\"", "\"pkttype\"", "\"cpu\"",
  "\"iifgroup\"", "\"oifgroup\"", "\"cgroup\"", "\"time\"", "\"classid\"",
  "\"nexthop\"", "\"ct\"", "\"l3proto\"", "\"proto-src\"", "\"proto-dst\"",
  "\"zone\"", "\"direction\"", "\"event\"", "\"expectation\"",
  "\"expiration\"", "\"helper\"", "\"label\"", "\"state\"", "\"status\"",
  "\"original\"", "\"reply\"", "\"counter\"", "\"name\"", "\"packets\"",
  "\"bytes\"", "\"avgpkt\"", "\"counters\"", "\"quotas\"", "\"limits\"",
  "\"synproxys\"", "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"",
  "\"snaplen\"", "\"queue-threshold\"", "\"level\"", "\"limit\"",
  "\"rate\"", "\"burst\"", "\"over\"", "\"until\"", "\"quota\"",
  "\"used\"", "\"secmark\"", "\"secmarks\"", "\"nanosecond\"",
  "\"microsecond\"", "\"millisecond\"", "\"second\"", "\"minute\"",
  "\"hour\"", "\"day\"", "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"",
  "\"snat\"", "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"mode\"", "\"reqid\"", "\"spnum\"",
  "\"transport\"", "\"tunnel\"", "\"in\"", "\"out\"", "'='", "'{'", "'}'",
  "'|'", "'$'", "'('", "')'", "'['", "']'", "$accept", "input",
  "stmt_separator", "opt_newline", "common_block", "line", "base_cmd",
  "add_cmd", "replace_cmd", "create_cmd", "insert_cmd", "delete_cmd",
  "get_cmd", "list_cmd", "reset_cmd", "flush_cmd", "rename_cmd",
  "import_cmd", "export_cmd", "monitor_cmd", "monitor_event",
  "monitor_object", "monitor_format", "markup_format", "describe_cmd",
  "table_block_alloc", "table_options", "table_block", "chain_block_alloc",
  "chain_block", "set_block_alloc", "set_block", "set_block_expr",
  "set_flag_list", "set_flag", "map_block_alloc", "map_block",
  "set_mechanism", "set_policy_spec", "flowtable_block_alloc",
  "flowtable_block", "flowtable_expr", "flowtable_list_expr",
  "flowtable_expr_member", "data_type_atom_expr", "data_type_expr",
  "obj_block_alloc", "counter_block", "quota_block", "ct_helper_block",
  "ct_timeout_block", "ct_expect_block", "limit_block", "secmark_block",
  "synproxy_block", "type_identifier", "hook_spec", "prio_spec",
  "extended_prio_name", "extended_prio_spec", "int_num", "dev_spec",
  "policy_spec", "policy_expr", "chain_policy", "identifier", "string",
  "time_spec", "family_spec", "family_spec_explicit", "table_spec",
  "tableid_spec", "chain_spec", "chainid_spec", "chain_identifier",
  "set_spec", "setid_spec", "set_identifier", "flowtable_spec",
  "flowtableid_spec", "flowtable_identifier", "obj_spec", "objid_spec",
  "obj_identifier", "handle_spec", "position_spec", "index_spec",
  "rule_position", "ruleid_spec", "comment_spec", "ruleset_spec", "rule",
  "rule_alloc", "stmt_list", "stateful_stmt", "stmt", "verdict_stmt",
  "verdict_map_stmt", "verdict_map_expr", "verdict_map_list_expr",
  "verdict_map_list_member_expr", "connlimit_stmt", "counter_stmt",
  "counter_stmt_alloc", "counter_args", "counter_arg", "log_stmt",
  "log_stmt_alloc", "log_args", "log_arg", "level_type", "log_flags",
  "log_flags_tcp", "log_flag_tcp", "limit_stmt", "quota_mode",
  "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_burst_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_opts", "nat_stmt", "nat_stmt_alloc",
  "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc", "synproxy_args",
  "synproxy_arg", "synproxy_config", "synproxy_obj", "synproxy_ts",
  "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr", "and_stmt_expr",
  "exclusive_or_stmt_expr", "inclusive_or_stmt_expr", "basic_stmt_expr",
  "concat_stmt_expr", "map_stmt_expr_set", "map_stmt_expr",
  "prefix_stmt_expr", "range_stmt_expr", "wildcard_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_alloc", "queue_stmt_args", "queue_stmt_arg",
  "queue_stmt_flags", "queue_stmt_flag", "set_elem_expr_stmt",
  "set_elem_expr_stmt_alloc", "set_stmt", "set_stmt_op", "map_stmt",
  "meter_stmt", "flow_stmt_legacy_alloc", "flow_stmt_opts",
  "flow_stmt_opt", "meter_stmt_alloc", "match_stmt", "variable_expr",
  "symbol_expr", "set_ref_expr", "set_ref_symbol_expr", "integer_expr",
  "primary_expr", "fib_expr", "fib_result", "fib_flag", "fib_tuple",
  "osf_expr", "osf_ttl", "shift_expr", "and_expr", "exclusive_or_expr",
  "inclusive_or_expr", "basic_expr", "concat_expr", "prefix_rhs_expr",
  "range_rhs_expr", "multiton_rhs_expr", "map_expr", "expr", "set_expr",
  "set_list_expr", "set_list_member_expr", "meter_key_expr",
  "meter_key_expr_alloc", "set_elem_expr", "set_elem_expr_alloc",
  "set_elem_options", "set_elem_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_l4protoname", "ct_helper_config", "timeout_states", "timeout_state",
  "ct_timeout_config", "ct_expect_config", "ct_obj_alloc", "limit_config",
  "limit_obj", "relational_expr", "list_rhs_expr", "rhs_expr",
  "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_expr", "payload_base_spec", "eth_hdr_expr",
  "eth_hdr_field", "vlan_hdr_expr", "vlan_hdr_field", "arp_hdr_expr",
  "arp_hdr_field", "ip_hdr_expr", "ip_hdr_field", "ip_option_type",
  "ip_option_field", "icmp_hdr_expr", "icmp_hdr_field", "igmp_hdr_expr",
  "igmp_hdr_field", "ip6_hdr_expr", "ip6_hdr_field", "icmp6_hdr_expr",
  "icmp6_hdr_field", "auth_hdr_expr", "auth_hdr_field", "esp_hdr_expr",
  "esp_hdr_field", "comp_hdr_expr", "comp_hdr_field", "udp_hdr_expr",
  "udp_hdr_field", "udplite_hdr_expr", "udplite_hdr_field", "tcp_hdr_expr",
  "tcp_hdr_field", "tcp_hdr_option_type", "tcp_hdr_option_field",
  "dccp_hdr_expr", "dccp_hdr_field", "sctp_hdr_expr", "sctp_hdr_field",
  "th_hdr_expr", "th_hdr_field", "exthdr_expr", "hbh_hdr_expr",
  "hbh_hdr_field", "rt_hdr_expr", "rt_hdr_field", "rt0_hdr_expr",
  "rt0_hdr_field", "rt2_hdr_expr", "rt2_hdr_field", "rt4_hdr_expr",
  "rt4_hdr_field", "frag_hdr_expr", "frag_hdr_field", "dst_hdr_expr",
  "dst_hdr_field", "mh_hdr_expr", "mh_hdr_field", "exthdr_exists_expr",
  "exthdr_key", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,    61,
     123,   125,   124,    36,    40,    41,    91,    93
};
# endif

#define YYPACT_NINF -1369

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1369)))

#define YYTABLE_NINF -845

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1369,  5898, -1369,   670, -1369, -1369,    24,   111,   111,   111,
     827,   827,   827,   827,   827,   827,   827,   827, -1369, -1369,
    2133,   182,  2173,   200,  1995,   220,  6130,   726,   663,   244,
    5398,   144,   151,   211, -1369, -1369, -1369, -1369,   173,   827,
     827,   827,   827, -1369, -1369, -1369,   711, -1369,   111, -1369,
     111,   161,  4958, -1369,   670, -1369,   -19,    13,   670,   111,
   -1369,    31,    97,  4958,   111, -1369,    -8, -1369,   111, -1369,
   -1369,   827, -1369,   827,   827,   827,   827,   827,   827,   827,
     381,   827,   827,   827,   827, -1369,   827, -1369,   827,   827,
     827,   827,   827,   827,   827,   827,   396,   827,   827,   827,
     827, -1369,   827, -1369,   827,   827,   827,   827,   827,   854,
     827,   827,   827,   827,   827,   551,   827,   827,   827,   322,
     827,  1508,  1569,  1723,  1898,   827,   827,   827,  1957, -1369,
     827,  1978,  2113,   827, -1369,   827,   827,   827,   827,   827,
     341,   827, -1369,   827, -1369,   640,   483,    83,   264, -1369,
   -1369, -1369, -1369,   501,   955,   962,  1590,  2570,   871,    -4,
    2334,  1582,   776,   393,   377,   541,   656,   996,    26,   394,
     491,   243,   249,   490,   116,   966,   175,   624,  3324, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
    4064, -1369, -1369,  -134,  5184,   157,  1026,   367,   111,  5398,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369,   765, -1369, -1369,   165, -1369,
   -1369,   765, -1369, -1369, -1369, -1369,  1235,   827,   827,   827,
     260, -1369, -1369, -1369, -1369, -1369, -1369, -1369,   440,   472,
     504, -1369, -1369, -1369,    41,   343,   676, -1369, -1369, -1369,
   -1369, -1369, -1369,   -21,   -21, -1369,   119,   111,  3550,  3978,
     360, -1369,   384,   300, -1369, -1369, -1369, -1369, -1369, -1369,
     536,   124, -1369,   619, -1369,   337,  4958, -1369, -1369, -1369,
   -1369, -1369, -1369,   545, -1369,   493, -1369, -1369, -1369,   366,
   -1369,  3138, -1369, -1369,   453, -1369,    50, -1369,   179, -1369,
   -1369, -1369,   843, -1369,    33, -1369, -1369,   607, -1369, -1369,
   -1369,   788,   684,   655,   388, -1369,   534, -1369,  4267, -1369,
   -1369, -1369,   657, -1369, -1369, -1369,   672, -1369,  4338,  4338,
   -1369, -1369,   697,   405,   435, -1369, -1369,   444, -1369, -1369,
   -1369,   450, -1369,   469,   706,  4958, -1369,    31,    97, -1369,
      -8, -1369, -1369,   827,   827,   827,   260, -1369, -1369, -1369,
    4958,    79, -1369, -1369,   142, -1369, -1369,   369, -1369, -1369,
   -1369,   418, -1369, -1369,    -8, -1369,   457, -1369, -1369, -1369,
   -1369, -1369,   827, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369,    -8, -1369, -1369, -1369, -1369, -1369, -1369,   827, -1369,
   -1369, -1369, -1369, -1369, -1369,   827,   827, -1369, -1369, -1369,
     732,   755,   764,   827, -1369,   827, -1369,   827, -1369,   827,
   -1369,   827, -1369, -1369, -1369, -1369,   827, -1369, -1369,   827,
   -1369,   827, -1369, -1369, -1369, -1369, -1369, -1369, -1369,   827,
   -1369,   111, -1369, -1369, -1369,   794, -1369, -1369, -1369, -1369,
   -1369,   803,    44, -1369, -1369, -1369,   716,    -2, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
      21,    27, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
     783, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369,  2316, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,   199, -1369,
   -1369,   511, -1369, -1369, -1369, -1369, -1369, -1369,   514, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
    2018, -1369, -1369, -1369, -1369,   554,   224,   562,   743, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369,   530, -1369,   522,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
     765, -1369, -1369, -1369,   623,   611,   590,  1099, -1369, -1369,
   -1369,  3364,   801,  4733,  5398, -1369, -1369, -1369, -1369,   863,
     870,     9,   839,   849,   886,     8,   891,  2018,   895,  4733,
    4733,   662,  4733, -1369, -1369,   848,  4733,  4733,   822, -1369,
    4500,    47, -1369,  1099, -1369, -1369,   852,   859,   545, -1369,
     548,  1099,   864,   866,   879,  1099,   493, -1369,   412, -1369,
    4733, -1369, -1369,  3590,   955,   962,  1590,  2539, -1369,  2174,
      89, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,   850,
     936,   964,   648,   702,   476, -1369, -1369, -1369, -1369, -1369,
     999,   926,  1006, -1369, -1369, -1369, -1369,  1010, -1369, -1369,
   -1369, -1369,   927, -1369, -1369,  1030,  1036, -1369,   948,   961,
   -1369, -1369,   453, -1369,  1049, -1369, -1369, -1369, -1369,  1070,
   -1369,  3816, -1369,  1070,  4733, -1369, -1369,   843, -1369,  1072,
   -1369,   111, -1369,   770, -1369,   111,    19, -1369,  5979,  5979,
    5979,  5979,  5979,  5398,    73,  4338, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,  5979,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,  1077, -1369,
     952,  1085,  1095,   795,   741,  1108, -1369, -1369, -1369,  4338,
    4733,  4733,   670,  1077, -1369,   670,  1020, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369,   697,   807,   808,   818, -1369,
     828,   840, -1369, -1369, -1369,   623,   611,   590,  1099, -1369,
    1043,  1048,  1056,  1060, -1369,  1068, -1369, -1369, -1369, -1369,
   -1369,   827,   827,   827, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369,  1074,   483, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369,   717, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369,   544, -1369,  1084,  1087, -1369, -1369,
     865, -1369,   876, -1369, -1369, -1369, -1369, -1369, -1369,  1089,
    1090,   899,  1098,    92, -1369, -1369, -1369,   884,   885,   887,
    1120, -1369,   662, -1369,  1125, -1369, -1369, -1369,  4733,  2570,
    2334,  1211,  4042, -1369,    33,    77,  1221,  1099,  1099,  1134,
    5398,  4733,  4733,  4733, -1369,  1135,  4733,  1188,  4733, -1369,
   -1369, -1369, -1369,  1139, -1369,    -5,  1204, -1369,  4733, -1369,
     619,   986,    77, -1369,   778,  1108,   619, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369,  1101,   303, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369,  1141,  1146,  1190,  1150, -1369,
    4733,  1256,  5612,  5979,  5612,  5612,  5612,  1165,  5612,  5612,
      81,  4733,  1070,  4733,  2029,  2029, -1369, -1369, -1369,  4733,
     926,  4733,   926, -1369, -1369,   729, -1369,  5398, -1369,  5398,
   -1369, -1369, -1369,   952,  1085,  1095, -1369,   619, -1369, -1369,
   -1369,   940,  5979,  5979,  5979,  5979,  5979,  5979,  5979,  1167,
    5979,  5979, -1369, -1369, -1369, -1369, -1369,   601,   546,  2312,
     804,   164,  1214, -1369, -1369, -1369, -1369, -1369, -1369,   954,
     957,   965, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369,  1279, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369,   967,   968, -1369, -1369, -1369, -1369,   899,   183,
    1189, -1369, -1369, -1369, -1369, -1369,   931, -1369, -1369, -1369,
    1039,  1194,    -5, -1369,  4733,  4733,  1284, -1369,  1197,  1197,
   -1369,    77, -1369, -1369, -1369,   978,  1221,  4958,    77, -1369,
   -1369, -1369, -1369, -1369,  4733, -1369,   104, -1369, -1369,  1032,
    4733,  1260, -1369,  5907, -1369,    77,  4500, -1369, -1369, -1369,
   -1369,  1294, -1369,  1202,  1203, -1369,  1206, -1369,  4733, -1369,
   -1369, -1369, -1369,   850,   936,   964, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369,  1305, -1369, -1369, -1369, -1369,   926, -1369,
     926,  1070, -1369,    98,  4958,  4571,    58, -1369, -1369, -1369,
   -1369, -1369,   952,  1085,  1095, -1369, -1369, -1369, -1369,   778,
    1209,  1278,   111,   111,   111,   111,   111,  1216,   419,   111,
     111,   111,   111, -1369, -1369, -1369,   670,    74,  1218, -1369,
   -1369, -1369,   670,   670,   670, -1369,  1197,  1197,  1000,   958,
    1237,   454,  1088, -1369, -1369, -1369,   670,  1197,  1015,   454,
    1088, -1369, -1369, -1369,   670,  1238,  1021, -1369, -1369, -1369,
     615,  2611,  1807,   267,  1467, -1369, -1369, -1369,  1246, -1369,
   -1369, -1369,  1247, -1369, -1369, -1369, -1369, -1369,   277,   467,
     835,  1251,   109,  1032, -1369, -1369,  4733, -1369, -1369, -1369,
   -1369,  5398,  1031,    77, -1369,   759,  1097,  1262, -1369, -1369,
    4733,   619,  1108, -1369,   303, -1369, -1369, -1369, -1369,  4733,
    1070,  1070,  5398,  1181, -1369,    54,  1045,  1367,   619, -1369,
    1192,  1275, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369,   111,   111,   111, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369,  1336, -1369, -1369, -1369,   670,
     670,    -8, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369,   777, -1369, -1369, -1369, -1369, -1369,   689,
   -1369, -1369,   670,    -8,   408,   689, -1369,  1230,  1059, -1369,
   -1369, -1369, -1369, -1369,  1001,   960,  1431, -1369,   899,  1061,
     332,   827, -1369, -1369, -1369, -1369,  1197,  1283,   332,  1289,
     827, -1369, -1369, -1369, -1369,  1282,   827, -1369, -1369, -1369,
   -1369, -1369,   759,  1097, -1369, -1369,  4958, -1369, -1369, -1369,
   -1369, -1369, -1369,  1121,  1291, -1369,    -5, -1369, -1369, -1369,
   -1369,  1071,  5398, -1369, -1369,   830,  4571, -1369, -1369,  1353,
     670,  1075,  1076,  1082,  1086,  1092, -1369, -1369, -1369,  1093,
    1102,  1104,  1105,  1297, -1369, -1369, -1369,   454, -1369,  1088,
   -1369, -1369, -1369,  1285, -1369,    72,   670,  1307,   670, -1369,
   -1369, -1369, -1369,  1106, -1369, -1369,   670,   670,   670,   670,
     670,   670,   670,  1265,   670,  1121, -1369,  1094,  1318, -1369,
      17, -1369, -1369,  1100,   619, -1369, -1369,  1192, -1369, -1369,
   -1369, -1369, -1369,  1107,  1110,  1111, -1369, -1369, -1369, -1369,
    1047, -1369, -1369,   670,   670,   670,   670,   777,  1319, -1369,
   -1369, -1369,   558, -1369, -1369, -1369, -1369, -1369,    63, -1369,
   -1369,  1333, -1369, -1369, -1369, -1369, -1369, -1369, -1369,   332,
   -1369, -1369, -1369,  1187, -1369, -1369, -1369, -1369,  1353,   131,
    2910,  2023,   928,  1743, -1369, -1369, -1369,   194,   281,   117,
    1303,  1099,  1122,  1230, -1369, -1369, -1369, -1369, -1369, -1369,
    1337,  1340,   107, -1369,  1438,    66, -1369,   670, -1369, -1369,
     670, -1369, -1369, -1369,   670,   670,   670,   670,  1876,  1117,
    2005,   670, -1369, -1369, -1369,   670, -1369, -1369, -1369,   670,
   -1369, -1369, -1369,   670, -1369, -1369, -1369, -1369,  1059, -1369,
   -1369, -1369, -1369, -1369,  1345,  1333,   670, -1369, -1369, -1369,
   -1369, -1369, -1369,   670,   670,   670, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     301,   301,   301,   301,   301,   301,   301,   301,   305,   308,
     301,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   147,   307,   306,   303,   304,     0,   301,
     301,   301,   301,    14,    13,     3,     0,    17,     0,   302,
       0,   326,     0,    12,     0,   296,     0,     0,     0,     0,
     455,    32,    34,     0,     0,   188,     0,   207,     0,   224,
      18,   301,    19,   301,   301,   301,   301,   301,   301,   301,
       0,   301,   301,   301,   301,    20,   301,    21,   301,   301,
     301,   301,   301,   301,   301,   301,     0,   301,   301,   301,
     301,    22,   301,    23,   301,   301,   332,   301,   332,   332,
     301,   301,   332,   301,   332,     0,   301,   332,   332,     0,
     301,   332,   332,   332,   332,   301,   301,   301,   332,    24,
     301,   332,   332,   301,    25,   301,   301,   301,   301,   332,
       0,   301,    26,   301,    27,     0,     0,     0,   595,   566,
     297,   298,   299,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   748,
     749,   750,   751,   752,   753,   754,   755,   756,   757,   758,
     759,   760,   761,   762,   763,   764,   765,   766,   767,   769,
       0,   771,   770,     0,     0,     0,     0,   768,     0,     0,
      31,   562,   561,   567,   568,   162,   578,   579,   572,   739,
     573,   576,   580,   577,   574,   575,   569,   852,   853,   854,
     855,   856,   857,   858,   859,   860,   861,   862,   863,   864,
     865,   866,   867,   868,   869,   570,  1017,  1018,  1019,  1020,
    1021,  1022,  1023,  1024,   571,     0,   159,   160,     0,    28,
     143,     0,    29,   145,   148,    30,   149,   301,   301,   301,
      42,   668,   644,   646,    16,    15,   309,   311,     0,     0,
       0,   328,   327,   329,     0,   445,     0,   546,   547,   548,
     730,   731,   732,     0,     0,   735,   553,     0,     0,     0,
     375,   383,     0,   407,   428,   435,   436,   508,   514,   531,
       0,     0,   775,     7,    37,   334,   336,   347,   337,   343,
     363,   342,   339,   373,   349,   381,   340,   341,   350,   429,
     351,     0,   352,   361,   443,   355,   507,   356,   513,   357,
     358,   353,   529,   359,     0,   360,   345,     0,   552,   344,
     597,   600,   602,   604,   606,   607,   614,   616,     0,   615,
     559,   362,   739,   348,   354,   346,   569,     8,     0,     0,
      11,   320,     0,     0,     0,    36,   314,     0,    40,   200,
     199,     0,   317,     0,     0,     0,   455,    52,    54,   188,
       0,   207,   224,   301,   301,   301,    60,   668,   644,   646,
       0,     0,    90,    91,     0,    70,    71,     0,    72,    73,
      74,     0,    75,    76,     0,    77,     0,    79,    80,   648,
     649,   647,   301,    81,    82,    86,    87,    83,    84,    88,
      89,     0,   114,    93,   333,    94,    95,    96,   301,    97,
      99,   123,   122,   121,   115,   301,   332,   119,   118,   120,
     648,   649,     0,   301,   102,   301,   100,   301,   103,   301,
     106,   301,   112,   108,   105,   111,   301,   109,   130,   301,
     128,   301,   131,   133,   134,   135,   136,   137,   140,   301,
     139,     0,   871,   872,   873,     0,   586,   587,   588,   589,
     590,   592,     0,   779,   780,   778,     0,     0,  1015,  1016,
    1014,   875,   876,   877,   874,   882,   879,   880,   881,   878,
       0,     0,   884,   885,   886,   887,   888,   883,   906,   907,
     901,   896,   897,   898,   899,   900,   902,   903,   904,   905,
       0,   893,   918,   921,   920,   919,   922,   923,   924,   917,
     926,   927,   928,   929,   925,   938,   939,   931,   932,   933,
     935,   934,   936,   937,   930,   941,   946,   943,   942,   947,
     945,   944,   948,   940,   951,   954,   950,   952,   953,   949,
     957,   956,   955,   959,   960,   961,   958,   965,   966,   963,
     964,   962,   971,   968,   969,   970,   967,   983,   977,   980,
     981,   975,   976,   978,   979,   982,   984,     0,   972,  1008,
    1006,  1007,  1005,  1013,  1010,  1011,  1012,  1009,  1031,   799,
    1030,   805,   800,  1029,  1032,   803,   804,   806,     0,   801,
    1028,     0,  1033,  1036,  1035,  1039,  1038,  1040,     0,  1037,
    1027,  1026,  1025,  1048,  1045,  1043,  1044,  1046,  1047,  1042,
    1051,  1050,  1049,  1055,  1054,  1057,  1053,  1056,  1052,   740,
     743,   744,   745,   747,   746,   768,   738,   741,   742,   820,
     821,   813,   814,   812,   822,   823,   842,   816,   825,   818,
     819,   824,   815,   817,   810,   811,   840,   839,   841,   826,
       0,   807,   827,   784,   783,     0,   614,     0,     0,  1060,
    1059,  1061,  1062,  1063,  1058,   788,   789,   787,   560,     0,
     142,   161,   144,   150,   151,   153,   152,   155,   156,   154,
     157,   665,   665,   665,     0,     0,   407,     0,   323,   324,
     325,     0,     0,     0,     0,   737,   736,   733,   734,     0,
       0,     0,   740,   738,     0,     0,     0,     0,   807,     0,
       0,   416,     0,   405,   406,     0,     0,     0,     0,     6,
       0,     0,   618,     0,   335,   338,     0,     0,   374,   377,
       0,     0,     0,     0,     0,     0,   382,   384,     0,   427,
       0,   490,   703,     0,   695,   698,   699,   696,   702,   697,
       0,   706,   704,   705,   701,   700,   692,   693,   472,   475,
     477,   479,   481,   482,   487,   494,   491,   492,   493,   495,
     497,   434,   460,   461,   471,   694,   462,   469,   463,   470,
     466,   467,     0,   464,   465,     0,   496,   468,     0,     0,
     452,   451,   444,   447,     0,   526,   527,   528,   506,   511,
     524,     0,   512,   517,     0,   538,   539,   530,   532,   535,
     536,     0,   564,     0,   563,     0,     0,   554,     0,     0,
       0,     0,     0,     0,     0,     0,   724,   725,   726,   727,
     728,   729,   695,   698,   699,   696,   716,   717,   697,   718,
     715,   714,   719,   712,   713,   711,   720,   721,   722,     0,
     675,   707,   677,   708,   611,   612,   689,   676,   670,   669,
     681,   683,   685,   687,   688,   674,   709,   710,   678,     0,
       0,     0,     0,   640,   639,     0,     0,    50,   165,   182,
     189,   208,   225,   330,    51,     0,     0,     0,     0,    58,
       0,     0,   665,   665,   665,     0,     0,   407,     0,    69,
       0,     0,     0,     0,    78,     0,   665,    92,    98,   117,
     116,   301,   301,   301,   124,   101,   104,   107,   113,   110,
     129,   132,   138,   141,     0,     0,   585,   583,   584,   582,
     596,   593,   594,   889,   891,   890,   892,   908,   909,   910,
     911,   895,   988,   995,   985,   987,   986,   990,   991,   992,
     993,   994,   989,   996,   974,   802,     0,     0,   828,   829,
       0,   831,     0,   830,   832,   833,   808,   809,   834,     0,
       0,   781,     0,     0,   581,   146,   158,     0,     0,     0,
       0,    43,   416,    48,     0,    44,   645,    49,     0,   696,
     697,   437,     0,   446,     0,   540,   542,     0,     0,     0,
       0,     0,     0,     0,   371,     0,     0,   834,     0,   376,
     404,   414,   415,     0,   413,     0,   520,   522,     0,   636,
       7,     7,   627,   629,   688,   635,     7,   617,   331,   379,
     380,   378,   397,   396,     0,     0,   395,   391,   386,   387,
     388,   389,   392,   390,   385,     0,     0,     0,     0,   503,
       0,   498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   505,     0,     0,     0,   449,   450,   448,     0,
       0,     0,   515,   534,   533,     0,   565,     0,   556,     0,
     555,   598,   599,   601,   603,   605,   608,     7,   364,   366,
     613,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   671,   773,   851,     9,    10,     0,     0,     0,
       0,     0,     0,    68,   165,   182,   189,   208,   225,     0,
       0,     0,    61,    66,    62,    67,   321,   310,   312,   315,
     318,    85,   126,   127,   125,     0,   591,   912,   913,   915,
     914,   916,   894,   999,   998,   997,  1000,  1001,  1002,  1003,
    1004,   973,     0,     0,   835,   836,   837,   838,   781,   781,
       0,   798,   786,   790,   791,   794,     0,   252,   256,   248,
       0,     0,     0,   439,     0,     0,   438,   543,     0,     0,
     634,   541,   630,   777,   776,     0,   626,     0,   624,   774,
     772,   848,   372,   849,     0,   847,     0,   409,   408,   410,
       0,     0,   621,     0,   622,   628,   620,   619,   394,   400,
     401,   393,   399,     0,     0,   433,     0,   504,     0,   473,
     460,   469,   474,   476,   478,   480,   488,   489,   483,   486,
     485,   484,   500,   499,   843,   844,   845,   846,   509,   525,
     516,   518,   537,     0,     0,     0,     0,   367,   723,   673,
     679,   680,   682,   684,   686,   672,   609,   610,   690,   691,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    33,   167,   166,     0,     0,     0,    35,
     184,   183,     0,     0,     0,   197,     0,     0,     0,     0,
       0,     0,     0,    38,   191,   190,     0,     0,     0,     0,
       0,    39,   210,   209,     0,     0,     0,    41,   227,   226,
       0,     0,     0,     0,     0,   252,   256,   248,     0,  1034,
    1041,   785,     0,   797,   782,   793,   792,   795,     0,     0,
       0,     0,     0,   410,   440,   442,     0,   300,   632,   633,
     631,     0,     0,   625,   850,     0,   419,     0,   412,   521,
       0,     7,   637,   638,     0,   430,   431,   432,   501,     0,
     510,   519,     0,     0,   544,     0,     0,     0,     7,   365,
     456,     0,   322,   239,   313,   181,   316,   188,   207,   319,
     224,   164,     0,     0,     0,   239,   239,   239,   239,   168,
     294,   295,   291,   293,   292,     0,   185,   186,   187,     0,
       0,     0,   223,   222,   220,   221,   272,   274,   275,   273,
     236,   276,   237,     0,   235,   203,   204,   206,   205,     0,
     202,   198,     0,     0,     0,     0,   219,     0,     0,    53,
      55,    56,    57,    59,     0,     0,     0,   870,   781,     0,
       0,     0,    46,   254,   253,   255,     0,     0,     0,     0,
       0,    47,   258,   257,   259,     0,     0,    45,   250,   249,
     251,   641,     0,   419,   643,   441,     0,   557,   422,   423,
     424,   425,   426,   417,     0,   403,     0,   523,   623,   398,
     502,     0,     0,   545,   551,     0,   369,   368,   457,   458,
       0,     0,     0,     0,     0,     0,   239,   239,   239,     0,
       0,     0,     0,     0,   194,   195,   196,     0,   192,     0,
     193,   211,   218,     0,   217,     0,     0,     0,     0,    64,
      65,    63,   796,     0,   651,   650,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   417,   667,     0,     0,   402,
       0,   411,   549,     0,     7,   459,   453,   456,   268,   182,
     189,   208,   225,     0,     0,     0,   240,   260,   244,   264,
     290,   238,   201,     0,     0,     0,     0,     0,     0,   286,
     280,   279,   283,   278,   281,   282,   228,   234,     0,   231,
     229,     0,   657,   659,   662,   663,   660,   661,   664,     0,
     653,   666,   558,     0,   421,   420,   550,   370,   458,     0,
       0,     0,     0,     0,   252,   256,   248,     0,     0,     0,
       0,     0,     0,     0,   213,   215,   214,   216,   212,   287,
       0,     0,     7,   230,     0,     0,   654,     0,   418,   454,
       0,   270,   269,   271,     0,     0,     0,     0,     0,     0,
       0,     0,   242,   241,   243,     0,   262,   261,   263,     0,
     246,   245,   247,     0,   266,   265,   267,   288,     0,   277,
     285,   284,   233,   232,     0,     0,     0,   652,   180,   169,
     170,   171,   172,     0,     0,     0,   173,   178,   174,   179,
     289,   656,   655,   658,   176,   177,   175
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1369, -1369,    -1,  -987,    11, -1369, -1369,  1427, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369,     6, -1369,  1063, -1369,   308,  -379, -1103,
    -385, -1102,  -380,   123,   -83,  -383, -1104, -1110, -1369,  -387,
   -1101,  -227, -1369,  -190,   -71, -1210,  -649, -1369, -1369, -1271,
   -1263, -1257, -1369, -1369, -1369, -1369, -1369,  -173, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369,   105,  -703,  -997,  1385,   -31,
    1836, -1369,   744, -1369, -1369,   125, -1369,   184,   438, -1369,
   -1369,   527,  1079,  -191,  1096, -1369, -1369,   143,  1387,  1168,
     312,     3, -1369, -1369,   209,  -315, -1369, -1369, -1369, -1369,
      86, -1369, -1369, -1369, -1369,   733, -1369, -1369, -1369,   721,
   -1369, -1369, -1369,   106, -1369,  1196, -1156,   140, -1369,   495,
     -60,    16,    18, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369,   692,  -892,  1129,   -66,  -111,  -908,   436,   441,
     443, -1369,   439, -1369, -1369, -1369, -1369, -1369,  -336, -1369,
     990, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
    -327,   431, -1369, -1369, -1369,   695, -1369,   428, -1058, -1369,
   -1369,  1250, -1369, -1369, -1369, -1369,   693, -1369, -1369,   -45,
     -27,  -738,  -325,   145,  1510, -1369, -1369, -1369,   583,   -24,
   -1369, -1369, -1369, -1369, -1369,  -174,  -184, -1369, -1369,   413,
   -1369,  1339,   -42, -1369,   492,  -962, -1369, -1195, -1369,  -980,
   -1059, -1369, -1369,  1180,  -899,  1158,  -900,  1164,  -898,  1169,
    1445, -1368, -1369, -1369,  -128, -1369, -1369,  -436,  -897,  1173,
   -1369,  1215,  -317,  -779,  -763,  -753, -1369,  -351,  -734, -1369,
     867,   673,  -665, -1369, -1149,  1280,   -15,  1281, -1369,    46,
   -1369,    22, -1369, -1121, -1369,    75, -1369, -1369, -1369, -1369,
   -1369,   228,  -271,   468,   970,   471,  1277,  1286, -1369, -1369,
    -440,    12, -1369, -1369, -1369,   474, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369, -1369,
   -1369, -1369, -1369, -1369, -1369
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,  1310,   750,  1311,    45,    46,    47,    72,    85,
      87,   101,   103,   129,   134,   142,   144,   259,   262,   265,
     266,   710,  1005,   260,   210,   373,  1306,  1138,   374,  1139,
     377,  1140,   378,  1449,  1450,   381,  1141,  1326,  1434,   383,
    1142,  1548,  1608,  1609,  1442,  1443,  1521,  1637,  1639,  1360,
    1358,  1359,  1638,  1640,  1629,  1444,  1312,  1546,  1602,  1603,
    1604,  1643,  1313,  1422,  1423,  1402,   211,  1368,    48,    49,
      59,   406,    51,   409,  1405,    65,   413,  1407,    69,   418,
    1410,    60,   403,  1403,   281,   282,   283,    52,   385,  1210,
     435,  1314,   315,   316,   317,   318,   319,   320,  1118,  1276,
    1277,   321,   322,   323,   758,   759,   324,   325,   766,   767,
    1073,  1067,  1241,  1242,   326,  1014,  1229,  1378,   327,  1043,
    1569,  1505,  1503,   328,   329,   769,   330,   331,   332,   333,
     334,   822,   823,   907,   372,  1519,  1576,   788,   789,   790,
     791,   792,   793,   794,  1259,   795,   796,   797,   798,   799,
     800,   801,   335,   336,   828,   337,   338,   832,   339,   340,
     829,   830,   341,   342,   837,   838,   839,   840,  1024,  1025,
     343,   344,   345,   346,   347,   846,   847,   348,   349,   212,
     802,   843,   882,   803,   350,   216,   959,   491,   492,   804,
     497,   351,   352,   353,   354,   355,   356,   884,   885,   886,
     357,   358,   359,   751,   752,  1217,  1218,  1051,  1052,  1211,
    1212,  1053,  1381,   902,  1011,   714,  1015,   716,  1017,   717,
     422,  1556,  1490,  1655,  1656,  1475,  1484,  1007,  1013,   715,
     360,   903,   904,   890,   891,   892,   893,  1054,   895,   805,
     806,   807,   898,   899,   361,   727,   808,   656,   657,   219,
     363,   809,   495,  1191,   685,   810,  1003,   697,  1195,  1357,
     222,   811,   618,   813,   619,   814,   680,   681,   996,   997,
     682,   815,   816,   364,   365,   817,   227,   485,   228,   504,
     229,   509,   230,   517,   231,   531,   971,  1172,   232,   539,
     233,   544,   234,   554,   235,   563,   236,   569,   237,   572,
     238,   576,   239,   581,   240,   586,   241,   598,   984,  1181,
     242,   602,   243,   607,   244,   500,   245,   246,   632,   247,
     620,   248,   622,   249,   624,   250,   629,   251,   639,   252,
     642,   253,   648,   254,   694
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      43,   755,    53,   213,   918,   921,   217,   894,   920,   917,
     919,   833,    44,   722,  1016,   218,  1055,   894,   894,   844,
     686,   379,   880,  1143,   380,   213,  1152,  1154,   217,  1153,
    1155,  1334,   880,   880,   934,   699,   213,   218,   263,   217,
     748,   889,  1341,  1343,  1342,   275,  1363,  1344,   218,  1273,
    1058,   937,   220,   367,  1056,   314,   841,   370,  1068,  1512,
     812,   845,  1072,  1232,  1234,  1398,   375,  1351,  1353,  1236,
    1652,  1113,  1235,  1695,   220,   434,  1466,   434,   434,    55,
    1397,   434,  1464,   434,  1383,   220,   434,   434,  1114,  1465,
     434,   434,   434,   434,  1598,  1227,   841,   434,   362,  1115,
     434,   434,  1029,  1392,   841,   221,   540,  1034,   434,   362,
    1560,   749,    56,    57,    58,   493,  1119,  1624,     3,  1454,
     961,     4,   721,     5,  1375,    54,   541,   221,   963,  1492,
    1275,   824,     3,   930,   965,     4,   599,     5,   221,   542,
      66,    67,   964,     6,     7,     8,     9,  1274,   966,  1420,
    1421,   683,  1370,   276,   956,   277,    63,     6,     7,     8,
       9,   684,   609,  1208,   371,     3,  1209,   906,     4,   376,
       5,  1599,  1600,   382,  1249,   214,  1370,   213,   729,    55,
     217,  1258,   213,  1111,  1112,   217,   612,   600,   601,   218,
       6,     7,     8,     9,   218,     3,   931,   214,     4,   255,
       5,   389,   390,   391,  1376,   747,   261,  1607,   214,  1493,
     609,    55,  1369,   609,   730,   278,  -407,   412,   414,   415,
       6,     7,     8,     9,   658,  1016,   220,   431,    71,   400,
     611,   220,   853,  1334,   612,   440,   441,   612,  1373,   630,
     998,   447,    55,  1228,   962,   609,    86,  1193,   726,   726,
    1327,  1657,  1328,   543,  1319,   957,   958,  1320,   223,   267,
     831,   700,   476,   477,   631,  1625,   480,   702,     3,   612,
     102,     4,  1035,     5,  1329,   855,  1008,  1009,     3,   221,
     223,     4,     3,     5,   221,     4,  1207,     5,   143,   213,
     494,   223,   217,     6,     7,     8,     9,  1037,   640,   842,
     368,   218,   208,     6,     7,     8,     9,     6,     7,     8,
       9,   264,   313,   698,  1370,   208,   887,   615,   616,  1429,
    1430,  1397,  1330,   641,  1213,  1214,   887,   887,  1393,  1030,
    1452,   881,   369,  1597,  1511,   825,   826,   827,   220,  1109,
     611,   881,   881,   300,   658,   379,  1282,  1552,   380,   214,
    1571,  -163,  1260,  1327,   214,  1328,   208,  1319,   213,   302,
    1320,   217,   362,  1283,   303,  1670,  1574,  1469,  1057,   379,
     218,  1668,   380,   213,  1284,  1513,   217,  1329,  1669,  1399,
     753,   743,   744,   479,  1653,   218,   379,  1696,   914,   380,
    1601,   221,   496,  1117,  1508,   208,   208,   208,   725,   725,
     617,   313,   731,   929,   208,  1194,  1470,   220,   450,  1496,
     268,  1516,   269,  1543,  1049,   434,  1537,  -181,  1252,  1394,
     437,   439,   220,   932,   442,  1330,   444,   615,   616,   448,
     449,   362,   223,   456,   458,   460,   462,   223,  1679,   621,
     467,  1010,  1239,   470,   472,   623,   362,  1240,   256,   257,
     258,   478,  1660,   688,  1573,   256,   257,   258,  1280,  1281,
     221,   214,   279,   280,   825,   826,   827,   393,     3,    55,
     701,     4,   933,     5,  1092,   221,  1630,  1632,  1631,  1558,
    1190,  1633,   419,  1352,  1089,  1331,  1149,  1150,  1151,   818,
     819,   820,  1554,     6,     7,     8,     9,  1555,   224,  1382,
    1161,   225,  1055,   883,   226,  1412,   371,  -642,  1471,   276,
     617,   935,   277,   883,   883,  1671,   376,   392,    55,   880,
     224,   382,  1334,   225,   603,   573,   366,  1090,  1121,   844,
     214,   224,   570,   417,   225,   574,   575,   366,  1120,   718,
    1026,  1055,   853,  1012,   223,   214,   742,     3,   571,  1075,
       4,   443,     5,  1476,  1436,   604,   605,    55,   854,   451,
    1477,   421,  1076,   880,   743,   744,   270,   271,   272,   273,
     939,   719,     6,     7,     8,     9,   452,  1077,  1437,  1438,
    1650,  1292,  1132,  1651,   606,   855,   953,  1627,  1462,   723,
    1293,   486,   487,   445,   446,  1294,  1478,  1295,  1472,  1296,
     386,   608,  1675,   720,   952,     4,   739,     5,   396,   397,
     398,   399,   609,   223,   610,   402,     3,   746,   394,     4,
     395,     5,  1062,   749,   423,   425,   427,   429,   223,  1479,
     740,   432,   611,   420,   821,   421,   612,  1173,  1290,   613,
     753,     6,     7,     8,     9,   768,   741,   454,   625,   845,
    1292,   760,   463,   464,   465,  1063,  1413,   468,  1414,  1293,
     473,  1439,   498,   499,  1294,  1692,  1295,   577,  1296,  1064,
    1174,   578,   224,   851,     4,   225,     5,   224,   226,  1116,
     225,  1440,  1441,   226,   695,   696,   614,   626,   627,   628,
     488,   489,  1078,     4,   490,     5,  1539,   213,  1480,   844,
     217,   850,   579,   580,  1297,   135,   900,   136,  1050,   218,
     852,   274,   137,  1065,   138,     4,  1006,     5,   139,   615,
     616,   901,  1087,   881,  1088,   908,  1175,  1176,  1177,  1178,
    1179,  1180,  1196,   906,   643,   287,   288,  1663,  1674,  1682,
     289,  1678,  1686,   482,   483,   484,   220,   644,  1128,   761,
     762,   763,   764,   765,   645,   909,    62,   140,   940,   141,
     278,  1129,  1066,  1130,   910,   844,  1529,  1530,  1531,  1532,
     911,  1279,   646,  1297,   941,  1271,  1298,  1285,   647,  1287,
    1289,     4,  1055,     5,   224,  1537,   582,   225,  1481,   912,
     366,  1299,   756,   757,   711,   712,   713,   942,  1129,   221,
    1130,   954,   617,   848,   849,     3,   943,  1300,     4,   842,
       5,   955,  1301,   887,  1302,   384,   960,   583,   584,   388,
     585,   881,   881,   881,   881,   881,   213,  1167,   881,   217,
       6,     7,     8,     9,   408,   384,     3,   986,   218,     4,
     987,     5,  1001,  1168,  1002,  1298,  1216,  1004,  1169,  1170,
     999,   436,   881,   224,   743,   744,   225,   887,  1000,   366,
    1299,     6,     7,     8,     9,  1082,  1083,  1303,   224,   214,
    1010,   225,   881,  1012,   366,   220,  1300,  1583,  1584,  1585,
     475,  1301,  1022,  1302,    18,    19,  1027,   481,  1031,  1315,
    1316,  1317,  1318,  1028,  1319,   883,   438,  1320,  1032,   564,
    1049,  1135,  1372,  1048,  1136,   290,   291,   292,   293,   294,
     295,    18,    19,  1171,  1321,   565,   967,   968,   969,   970,
     922,   923,   924,  1026,   566,  1216,  1041,  1042,   221,     3,
     567,   568,     4,    34,     5,  1033,  1459,  1016,  1687,  1049,
    1036,  1390,    35,  1391,  1038,  1485,  1106,  1045,    36,   936,
    1108,  1059,   223,  1084,     6,     7,     8,     9,  1060,  1396,
      34,     3,  1322,  1069,     4,  1070,     5,  1123,  1124,    35,
    1086,   130,    37,  1184,  1185,    36,   131,   132,  1071,   842,
     944,   532,  1085,   533,  1186,  1187,     6,     7,     8,     9,
     749,  1233,   133,   883,   883,   883,   883,   883,   214,    37,
     883,   534,     3,   213,  1091,     4,   217,     5,  1093,   535,
     536,   537,   538,  -843,  1327,   218,  1328,  -844,  1319,   835,
     836,  1320,  1523,  1525,   883,  1524,  1522,     6,     7,     8,
       9,   897,  1498,  1499,  1500,  1501,  1502,  1094,  1329,  1355,
    1356,   897,   897,  1095,   883,   842,  1476,  1096,  1261,  1432,
    1433,  1536,   220,  1477,  1099,  1250,   881,  1250,  1250,  1250,
    1097,  1250,  1250,   501,   502,   503,  1486,  1264,  1264,   256,
     257,   258,   505,  1542,   506,   507,   508,  1100,   633,  1105,
     213,   223,   213,   217,  1122,   217,  1330,  1641,  1642,  1478,
    1107,  1469,   218,   634,   218,   881,   881,   881,   881,   881,
     881,   881,  1125,   881,   881,   221,  1266,  1267,  1415,  1416,
    1417,  1418,   213,  1126,   635,   217,  1131,  1127,     3,  1137,
     636,     4,  1479,     5,   218,  1323,   587,  1144,  1145,   220,
    1470,   220,   834,   835,   836,   588,  1291,  1304,  1146,  1324,
    1332,  1338,  1156,     6,     7,     8,     9,  1157,  1147,  1305,
     589,  1325,  1333,  1339,   590,  1158,  1487,   591,   592,  1159,
    1148,   220,   593,   594,   595,   596,   597,  1160,   637,   638,
    1445,  1446,  1447,  1165,  1448,   214,   424,   426,   428,   430,
    1049,  1567,   221,  1182,   221,   362,  1183,  1216,  1188,  1189,
     213,  1480,   224,   217,  1050,   225,  1190,  1192,   226,   150,
     151,   152,   218,  1476,  1197,  1198,   881,  1199,  1026,   881,
    1477,   825,   826,   827,   221,     3,  1204,   689,     4,  1200,
       5,  1526,  1527,  1528,  1202,   896,   690,   691,   883,   853,
     692,   693,  1471,  1215,  1222,   896,   896,  1224,  1226,   220,
       6,     7,     8,     9,  1230,  1238,  1478,   213,   881,  1666,
     217,  1243,   214,  1335,   214,  1336,  1244,  1245,   223,   218,
    1246,  1248,  1424,   362,  1256,  1278,  1286,   883,   883,   883,
     883,   883,   883,   883,  1345,   883,   883,  1346,   703,  1479,
     704,  1550,   705,   706,   214,  1347,  1348,  1361,  1354,  1366,
     707,   708,   221,  1362,  1349,  1350,   220,  1367,  1371,  1377,
    1380,  1384,  1385,  1386,     3,  1419,  1387,     4,  1400,     5,
    1389,  1426,  1427,  1428,   213,  1401,  1411,   217,  1425,  1431,
     362,   224,  1549,   709,   225,  1451,   218,   226,  1026,     6,
       7,     8,     9,  1456,  1453,   223,  1435,   223,  1457,  1304,
    1458,  1324,  1332,  1338,   213,  1467,  1468,   217,  1480,   221,
    1491,  1305,  1497,  1325,  1333,  1339,   218,  1473,  1482,  1488,
    1504,  1506,   214,   220,   735,   213,  1514,   223,   217,  1474,
    1483,  1489,  1515,  1518,  1520,  1533,  1545,   218,   883,  1547,
    1553,   883,  1559,  1563,  1568,  1436,   379,   362,  1561,   380,
    1570,  1575,  1572,   220,  1619,  1578,  1579,  1590,  1404,  1406,
    1406,  1409,  1580,   150,   151,   152,  1581,  1607,   379,  1437,
    1438,   380,  1582,  1586,   220,  1622,   221,  1623,  1649,   214,
     883,  1626,  1587,   897,  1588,  1589,  1611,  1634,  1534,  1535,
    1635,  1636,     3,  1654,  1658,     4,  1690,     5,  1704,  1691,
    1557,  1688,  1538,  1694,  1711,   223,   221,    70,  1540,  1562,
     916,  1541,  1340,  1455,  1544,  1564,  1592,     6,     7,     8,
       9,  1710,  1693,  1473,  1482,  1488,  1591,   221,     3,   213,
    1689,     4,   217,     5,   404,  1474,  1483,  1489,   410,  1408,
     913,   218,  1395,   754,  1517,   213,   214,  1074,   217,   881,
    1509,  1061,  1439,     6,     7,     8,     9,   218,   224,   745,
    1605,   225,   223,  1494,   226,  1621,  1335,  1201,  1336,  1566,
    1565,  1628,  1440,  1441,  1098,   915,   214,  1659,   220,  1577,
    1253,   897,   897,   897,   897,   897,  1254,  1257,   897,  1255,
    1593,  1269,  1104,  1272,   220,  1337,   724,   214,  1166,  1110,
     215,  1485,   362,   687,  1288,  1606,  1594,  1610,  1237,   905,
     455,  1595,   897,  1596,   925,  1612,  1613,  1614,  1615,  1616,
    1617,  1618,   927,  1620,   453,    18,    19,  1712,   928,   223,
     926,   221,   897,   888,   728,   224,   737,   224,   225,   733,
     225,   226,     0,   226,     0,   738,     0,   221,   985,     0,
       0,     0,  1644,  1645,  1646,  1647,  1648,     0,     0,   223,
       0,     0,     0,   213,     0,     0,   217,   224,     0,     0,
     225,   457,     0,   366,    34,   218,     0,   896,     0,     0,
     223,     0,     0,    35,  1683,     0,    18,    19,  1661,    36,
    1324,  1332,  1338,     0,     0,     0,  1672,  1676,  1680,  1684,
    1662,   214,  1325,  1333,  1339,     0,     0,     0,  1673,  1677,
    1681,  1685,   220,    37,     0,     0,  1697,   214,     0,  1698,
       0,   883,  1486,  1699,  1700,  1701,  1702,  1473,  1482,  1488,
    1706,     0,     0,     0,  1707,    34,   362,     0,  1708,  1474,
    1483,  1489,  1709,     0,    35,   224,     0,     0,   225,     0,
      36,   366,   555,     0,   556,  1713,     0,     0,   510,   511,
       0,     0,  1714,  1715,  1716,   221,   512,   513,   514,   515,
     516,  1021,   557,  1023,    37,   896,   896,   896,   896,   896,
     558,   559,   896,   560,   223,     0,     0,     0,     0,  1039,
    1040,     0,  1044,   561,   562,     0,  1046,  1047,     0,     0,
     223,     0,   224,     0,     3,   225,   896,     4,   366,     5,
       0,     0,  1551,     0,     0,  1251,   897,  1251,  1251,  1251,
    1079,  1251,  1251,  1081,     0,   459,   896,  1265,  1265,     6,
       7,     8,     9,     0,     0,   214,     0,     0,     0,     0,
      18,    19,  1335,     0,  1336,     0,     0,     0,  1463,     0,
       0,     0,     0,     0,     0,   897,   897,   897,   897,   897,
     897,   897,     0,   897,   897,     0,     0,     0,     3,   224,
       0,     4,   225,     5,     0,   366,     0,     0,     0,     0,
       0,  1102,     0,     0,  1103,     0,     0,     0,     0,    34,
       0,     0,     0,     6,     7,     8,     9,    50,    35,   224,
       0,     0,   225,     0,    36,   226,     0,    61,    50,    50,
      64,    64,    64,    68,     0,     0,    50,     0,   223,     0,
     224,     0,     0,   225,     0,     0,   226,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     3,     0,     0,
       4,     0,     5,     0,     0,     0,     0,     0,     0,     0,
    1133,  1134,  1315,  1316,  1317,  1318,     0,  1319,     0,     0,
    1320,     0,     6,     7,     8,     9,   897,    50,     0,   897,
     387,    50,    64,    64,    64,    68,     0,  1321,     0,     0,
       0,     0,    50,     0,   401,   405,   407,    50,   411,    64,
      64,   416,     0,   401,   401,   401,   401,     0,    64,     0,
     461,   433,     0,    50,     0,     0,    64,    64,   897,    68,
     896,     0,    64,     0,     0,    18,    19,     0,     0,     0,
       0,     0,     0,     0,   224,  1322,  1469,   225,     0,     0,
     366,   474,    50,    64,    64,     0,     0,    64,     0,    50,
     224,     0,     0,   225,     0,     0,   226,     0,     0,   896,
     896,   896,   896,   896,   896,   896,     0,   896,   896,   466,
       0,     0,     0,     0,    34,  1470,     3,     0,  1203,     4,
       0,     5,  1206,    35,    18,    19,     0,     0,     0,    36,
     469,  1219,  1220,  1221,     3,     0,  1223,     4,  1225,     5,
      88,     6,     7,     8,     9,    18,    19,    89,  1231,    90,
       0,    91,     0,    37,    92,    93,    94,     0,    95,     6,
       7,     8,     9,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    34,  1667,     0,     0,     0,     0,     0,
    1247,     0,    35,     0,     0,     0,     0,     0,    36,     0,
       0,  1262,     0,  1263,    34,     0,     0,     0,     0,  1268,
       0,  1270,     0,    35,     0,     0,   772,     0,   224,    36,
     896,   225,    37,   896,   366,     0,     0,  1471,  1315,  1316,
    1317,  1318,     0,  1319,     0,  1485,  1320,     0,     0,     0,
       0,     0,     0,    37,     0,     0,   988,   989,  1461,   150,
     151,   152,     0,  1321,     0,     0,   862,     0,     0,   990,
     863,     0,   896,     0,   864,     0,     0,   991,     0,     0,
     865,     0,     0,     0,   778,   471,     0,     0,     0,     0,
       0,     0,     0,   992,     0,     0,     0,     0,    10,     0,
      18,    19,     0,     0,   868,    11,     0,    12,     0,    13,
       0,  1322,    14,    15,    16,     0,    17,     0,     0,   897,
      18,    19,     0,     0,  1364,  1365,     0,  1703,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    73,     0,
       0,     0,     0,     0,  1374,    74,     0,    75,     0,    34,
    1379,     0,    76,    77,    78,    96,    79,     0,    35,     0,
       0,     0,     0,     0,    36,     0,  1486,     0,  1388,    34,
      97,     0,     0,     0,     0,     0,     0,     0,    35,   993,
     994,   995,   666,     0,    36,  -800,    98,     0,    37,     0,
       0,    99,     0,   100,     0,   676,   677,   678,     0,   781,
       0,     0,   782,   783,   938,     0,     0,     0,    37,     0,
       0,    64,   545,   546,     0,     0,     0,     0,     0,     0,
       0,   945,     0,   946,     0,   947,   547,   948,   548,   549,
     550,     0,   949,     0,     0,   950,     0,   951,     0,     0,
     784,   785,     0,     3,     0,    64,     4,     0,     5,     0,
       0,   551,   552,   553,     0,     0,  1705,     0,     0,     0,
       0,     0,     0,     0,     0,   145,     0,     0,     6,     7,
       8,     9,   146,   147,  1665,   284,   148,   285,     0,     0,
       0,     0,   208,     0,     0,     0,  1495,     0,     0,     0,
       0,   286,     0,    38,     0,     0,     0,     0,     0,     0,
    1507,   287,   288,     0,     0,     0,   289,     0,    39,  1510,
       0,     0,     0,   896,     0,     0,     0,   290,   291,   292,
     293,   294,   295,     0,    40,     0,     0,     0,     0,    41,
       0,    42,  1307,    80,     0,     0,   296,     0,   297,     0,
       0,   149,   150,   151,   152,     0,     0,   153,    81,   154,
       0,     0,  1308,   155,     0,     0,     0,   156,     0,     0,
       0,     0,     0,   157,    82,     0,     0,     0,     0,    83,
       0,    84,   545,   546,     0,     0,     0,     0,     0,   158,
       0,     0,     0,     0,   159,     0,   547,   160,   548,   549,
     550,     0,   161,     0,     0,   162,     0,     0,   163,   164,
       0,     0,   165,     0,     0,   166,     0,   167,     0,     0,
       0,   551,   552,   553,   972,     0,     0,   973,   974,   975,
     976,   977,   978,   979,   980,   981,   982,   983,     0,     0,
     168,   169,     0,   170,   171,   172,   173,     0,     0,     0,
       0,     0,   174,   175,     0,     0,   176,   177,   298,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
       0,     0,   299,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   300,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   301,     0,     0,
       0,     0,     0,   302,     0,     0,     0,     0,   303,     0,
       0,     0,     0,     0,     0,     0,     0,   201,   202,     0,
     304,     0,     0,   305,   306,   307,   308,     0,     0,     0,
     309,     0,     0,     0,   310,   311,   203,     0,     0,     0,
     204,   205,     3,     0,     0,     4,     0,     5,     0,   312,
    -799,     0,   206,   207,     0,     0,     0,     0,     0,     0,
       0,     0,   313,  1309,   145,   208,   209,     6,     7,     8,
       9,   146,   147,     0,   284,   148,   285,   518,   519,     0,
       0,   520,     0,     0,     0,     0,     0,     0,     0,     0,
     286,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     287,   288,     0,     0,     0,   289,     0,     0,   518,   519,
       0,     0,   520,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  1307,     0,     0,     0,   296,     0,   297,     0,   530,
     149,   150,   151,   152,     0,     0,   153,     0,   154,     0,
       0,  1308,   155,     0,     0,     0,   156,     0,     0,     0,
       0,     0,   157,     0,     0,     0,     0,     0,     0,     0,
     530,     0,     0,     0,     0,     0,     0,     0,   158,     0,
       0,     0,     0,   159,     0,     0,   160,     0,     0,     0,
       0,   161,     0,     0,   162,     0,     0,   163,   164,     0,
       0,   165,     0,     0,   166,     0,   167,  1162,  1163,  1164,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   168,
     169,     0,   170,   171,   172,   173,     0,     0,     0,     0,
       0,   174,   175,     0,     0,   176,   177,   298,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,     0,
       0,   299,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   300,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   301,     0,     0,     0,
       0,     0,   302,     0,     0,     0,     0,   303,     0,     0,
       0,     0,     0,     0,     0,     0,   201,   202,     0,   304,
       0,     0,   305,   306,   307,   308,     0,     0,     0,   309,
       0,     0,     0,   310,   311,   203,     0,     0,     0,   204,
     205,     3,     0,     0,     4,     0,     5,     0,   312,     0,
       0,   206,   207,     0,     0,     0,     0,     0,     0,     0,
       0,   313,  1460,   145,   208,   209,     6,     7,     8,     9,
     146,   147,     0,   284,   148,   285,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   286,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   287,
     288,     0,     0,     0,   289,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1307,     0,     0,     0,   296,     0,   297,     0,     0,   149,
     150,   151,   152,     0,     0,   153,     0,   154,     0,     0,
    1308,   155,     0,     0,     0,   156,     0,     0,     0,     0,
       0,   157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
       0,     0,   159,     0,     0,   160,     0,     0,     0,     0,
     161,     0,     0,   162,     0,     0,   163,   164,     0,     0,
     165,     0,     0,   166,     0,   167,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   168,   169,
       0,   170,   171,   172,   173,     0,     0,     0,     0,     0,
     174,   175,     0,     0,   176,   177,   298,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
     299,     0,     0,   770,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   300,     0,     0,     0,   771,
       0,   145,     0,     0,     0,   301,     0,     0,     0,   147,
       0,   302,   148,     0,     0,     0,   303,     0,     0,     0,
       0,     0,     0,     0,     0,   201,   202,     0,   304,     0,
       0,   305,   306,   307,   308,     0,     0,     0,   309,     0,
       0,     0,   310,   311,   203,   772,     0,     0,   204,   205,
       0,     0,     0,     0,     0,     0,     0,   312,     0,   773,
     206,   207,     0,     0,     0,     0,     0,     0,     0,     0,
     313,  1664,     0,   208,   209,     0,     0,   149,   150,   151,
     152,     0,     0,   153,     0,   774,     0,     0,     0,   775,
       0,     0,     0,   776,     0,     0,     0,     0,     0,   777,
       0,     0,     0,   778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,     0,     0,
     159,     0,     0,   779,     0,     0,     0,     0,   161,     0,
       0,   162,     0,     0,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   168,   169,     0,   780,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,     0,     0,   200,  1018,
       0,     0,     0,     0,     0,     0,     0,     0,   781,     0,
       0,   782,   783,     0,     0,   771,     0,   145,     0,     0,
       0,     0,     0,     0,     0,   147,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,   202,     0,     0,     0,     0,   784,
     785,     0,     0,     0,   649,     0,     0,     0,     0,     0,
       0,   772,   203,     0,     0,     0,   204,   205,     0,     0,
       0,     0,     0,     0,     0,     0,   786,   787,     0,   655,
     650,     0,     0,   651,     0,     0,     0,     0,     0,     0,
       0,   208,     0,   149,   150,   151,   152,     0,     0,   153,
     652,   774,     0,     0,     0,   775,     0,     0,     0,   776,
       0,     0,     0,     0,     0,  1019,     0,     0,     0,   778,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   158,     0,     0,     0,     0,   159,     0,     0,  1020,
       0,     0,     0,     0,   161,     0,     0,   162,     0,     0,
     163,   164,     0,     0,   165,     0,     0,   166,     0,   167,
       0,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   168,   169,     0,   780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   653,     0,   200,  1080,     0,     0,     0,   201,
     202,     0,     0,     0,   781,     0,     0,   782,   783,   654,
       0,   771,     0,   145,     0,     0,     0,     0,     0,     0,
       0,   147,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   655,     0,     0,     0,   201,
     202,     0,     0,     0,     0,   784,   785,     0,     0,     0,
     732,     0,     0,     0,     0,     0,     0,   772,   203,     0,
       0,     0,   204,   205,     0,     0,     0,     0,     0,     0,
       0,     0,   786,   787,     0,   655,   650,     0,     0,   651,
       0,     0,     0,     0,     0,     0,     0,   208,     0,   149,
     150,   151,   152,     0,     0,   153,   652,   774,     0,     0,
       0,   775,     0,     0,     0,   776,     0,     0,     0,     0,
       0,  1019,     0,     0,     0,   778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
       0,     0,   159,     0,     0,  1020,     0,     0,     0,     0,
     161,     0,     0,   162,     0,     0,   163,   164,     0,     0,
     165,     0,     0,   166,     0,   167,     0,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   168,   169,
       0,   780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   653,     0,
     200,  1101,     0,     0,     0,   201,   202,     0,     0,     0,
     781,     0,     0,   782,   783,   654,     0,   771,     0,   145,
       0,     0,     0,     0,     0,     0,     0,   147,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   655,     0,     0,     0,   201,   202,     0,     0,     0,
       0,   784,   785,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   772,   203,     0,     0,     0,   204,   205,
       0,     0,     0,     0,     0,     0,     0,     0,   786,   787,
       0,   655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   208,     0,   149,   150,   151,   152,     0,
       0,   153,     0,   774,     0,     0,     0,   775,     0,     0,
       0,   776,     0,     0,     0,     0,     0,  1019,     0,     0,
       0,   778,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   158,     0,     0,     0,     0,   159,     0,
       0,  1020,     0,     0,     0,     0,   161,     0,     0,   162,
       0,     0,   163,   164,     0,     0,   165,     0,     0,   166,
       0,   167,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   168,   169,     0,   780,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,     0,     0,   200,  1205,     0,     0,
       0,     0,     0,     0,     0,     0,   781,     0,     0,   782,
     783,     0,     0,   771,   734,   145,     0,     0,     0,     0,
       0,     0,     0,   147,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   659,   660,     0,     0,
       0,   201,   202,     0,     0,     0,     0,   784,   785,     0,
       0,     0,     0,     0,     0,     0,     0,   661,     0,   772,
     203,     0,     0,     0,   204,   205,     0,     0,     0,     0,
       0,     0,     0,     0,   786,   787,     0,   655,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   208,
       0,   149,   150,   151,   152,     0,     0,   153,     0,   774,
       0,     0,     0,   775,     0,     0,     0,   776,     0,     0,
       0,   735,     0,  1019,     0,     0,     0,   778,     0,     0,
       0,     0,   659,   660,     0,     0,     0,     0,     0,   158,
       0,     0,     0,     0,   159,   662,     0,  1020,     0,     0,
       0,     0,   161,   661,     0,   162,     0,     0,   163,   164,
       0,     0,   165,     0,     0,   166,     0,   167,     0,   663,
     664,   665,   666,   667,   668,   736,   669,   670,   671,   672,
     673,   674,   675,     0,     0,   676,   677,   678,     0,     0,
     168,   169,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   679,     0,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
       0,   662,   200,     0,     0,     0,   856,   857,   858,   859,
     860,   861,   781,     0,     0,   782,   783,     0,   771,     0,
     841,     0,     0,     0,     0,   663,   664,   665,   666,   667,
     668,     0,   669,   670,   671,   672,   673,   674,   675,     0,
       0,   676,   677,   678,     0,     0,     0,   201,   202,     0,
       0,     0,     0,   784,   785,     0,     0,     0,     0,     0,
       0,     0,   679,     0,   772,     0,   203,     0,     0,     0,
     204,   205,     0,     0,     0,     0,     0,     0,     0,     0,
     786,   787,     0,   655,     0,     0,     0,     0,     0,   771,
       0,   841,     0,     0,     0,   208,   149,   150,   151,   152,
       0,     0,     0,     0,   862,     0,     0,     0,   863,     0,
       0,     0,   864,     0,     0,     0,     0,     0,   865,     0,
       0,     0,   778,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   866,   772,     0,     0,     0,   867,
       0,     0,   868,     0,     0,     0,     0,   869,     0,     0,
     870,     0,     0,   871,   872,     0,     0,   873,     0,     0,
     874,     0,   875,     0,     0,     0,     0,   149,   150,   151,
     152,     0,     0,     0,     0,   862,     0,     0,     0,   863,
       0,     0,     0,   864,     0,   876,   877,     0,     0,   865,
       0,     0,     0,   778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   866,     0,     0,     0,     0,
     867,     0,     0,   868,     0,     0,     0,     0,   869,     0,
       0,   870,     0,     0,   871,   872,     0,     0,   873,     0,
       0,   874,     0,   875,     0,     0,     0,   781,     0,     0,
     782,   783,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   771,     0,     0,     0,     0,   876,   877,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   784,   785,
       0,   878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   772,     0,     0,
       0,     0,     0,     0,     0,   786,   787,     0,   781,     0,
       0,   782,   783,     0,     0,     0,     0,   313,     0,     0,
     208,   879,   771,     0,     0,     0,     0,     0,     0,   149,
     150,   151,   152,     0,     0,     0,     0,   862,     0,     0,
       0,   863,     0,     0,     0,   864,     0,     0,     0,   784,
     785,   865,   878,     0,     0,   778,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   866,   772,     0,
       0,     0,   867,     0,     0,   868,   786,   787,     0,     0,
     869,     0,     0,   870,     0,     0,   871,   872,   313,     0,
     873,   208,   879,   874,     0,   875,     0,     0,     0,     0,
     149,   150,   151,   152,     0,     0,     0,     0,   862,     0,
       0,     0,   863,     0,     0,     0,   864,     0,   876,   877,
       0,     0,   865,     0,     0,     0,   778,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   866,     0,
       0,     0,     0,   867,     0,     0,   868,     0,     0,     0,
       0,   869,     0,     0,   870,     0,     0,   871,   872,     0,
       0,   873,     0,     0,   874,     0,   875,     0,     0,     0,
     781,     0,     0,   782,   783,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   771,     0,   145,     0,     0,   876,
     877,     0,     0,     0,   147,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   784,   785,     0,   878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     772,     0,     0,     0,     0,     0,     0,     0,   786,   787,
       0,   781,     0,     0,   782,   783,     0,     0,     0,     0,
     313,     0,     0,   208,   879,     0,     0,     0,     0,     0,
       0,     0,   149,   150,   151,   152,     0,     0,   153,     0,
     774,     0,     0,     0,   775,     0,     0,     0,   776,     0,
       0,     0,   784,   785,  1019,   878,     0,     0,   778,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     158,     0,     0,     0,     0,   159,     0,     0,  1020,   786,
     787,     0,     0,   161,     0,     0,   162,     0,     0,   163,
     164,     0,     0,   165,   208,   879,   166,     0,   167,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   168,   169,     0,   780,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,     0,     0,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   781,     0,     0,   782,   783,     0,     0,
       0,   145,     0,     0,     0,     0,     0,     0,   146,   147,
       0,   284,   148,   285,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   286,   201,   202,
       0,     0,     0,     0,   784,   785,     0,   287,   288,     0,
       0,     0,   289,     0,     0,     0,     0,   203,     0,     0,
       0,   204,   205,   290,   291,   292,   293,   294,   295,     0,
       0,   786,   787,     0,   655,     0,     0,     0,     0,     0,
       0,     0,   296,     0,   297,     0,   208,   149,   150,   151,
     152,     0,     0,   153,     0,   154,     0,     0,     0,   155,
       0,     0,     0,   156,     0,     0,     0,     0,     0,   157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,     0,     0,
     159,     0,     0,   160,     0,     0,     0,     0,   161,     0,
       0,   162,     0,     0,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   168,   169,     0,   170,
     171,   172,   173,     0,     0,     0,     0,     0,   174,   175,
       0,     0,   176,   177,   298,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,     0,     0,   299,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   300,     0,     0,     0,   145,     0,     0,
       0,     0,     0,   301,   146,   147,     0,     0,   148,   302,
       0,     0,     0,     0,   303,     0,     0,     0,     0,     0,
       0,     0,     0,   201,   202,     0,   304,     0,     0,   305,
     306,   307,   308,     0,     0,     0,   309,     0,     0,     0,
     310,   311,   203,     0,     0,     0,   204,   205,     0,     0,
       0,     0,     0,     0,     0,   312,     0,     0,   206,   207,
       0,     0,     0,     0,     0,     0,     0,     0,   313,     0,
       0,   208,   209,   149,   150,   151,   152,     0,     0,   153,
       0,   154,     0,     0,     0,   155,     0,     0,     0,   156,
       0,     0,     0,     0,     0,   157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   158,     0,     0,     0,     0,   159,     0,     0,   160,
       0,     0,     0,     0,   161,     0,     0,   162,     0,     0,
     163,   164,     0,     0,   165,     0,     0,   166,     0,   167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   168,   169,     0,   170,   171,   172,   173,     0,
       0,     0,     0,     0,   174,   175,     0,     0,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,     0,     0,   200,     0,     0,     0,     0,     0,
       0,   145,     0,     0,     0,     0,     0,     0,   146,   147,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,   204,   205,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   206,   207,     0,   149,   150,   151,
     152,     0,     0,   153,   313,   154,     0,   208,   209,   155,
       0,     0,     0,   156,     0,     0,     0,     0,     0,   157,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   158,     0,     0,     0,     0,
     159,     0,     0,   160,     0,     0,     0,     0,   161,     0,
       0,   162,     0,     0,   163,   164,     0,     0,   165,     0,
       0,   166,     0,   167,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   168,   169,     0,   170,
     171,   172,   173,     0,     0,     0,     0,     0,   174,   175,
       0,     0,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,     0,     0,   200,     0,
       0,     0,     0,     0,     0,   145,     0,     0,     0,     0,
       0,     0,     0,   147,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,   202,     0,     0,     0,     0,   772,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,   204,   205,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   206,   207,
       0,   149,   150,   151,   152,     0,     0,   153,     0,   774,
       0,   208,   209,   775,     0,     0,     0,   776,     0,     0,
       0,     0,     0,  1019,     0,     0,     0,   778,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   158,
       0,     0,     0,     0,   159,     0,     0,  1020,     0,     0,
       0,     0,   161,     0,     0,   162,     0,     0,   163,   164,
       0,     0,   165,     0,     0,   166,     0,   167,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     168,   169,     0,   780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
       0,     0,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   781,     0,     0,   782,   783,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,   202,     0,
       0,     0,     0,   784,   785,     0,     0,     0,     2,     3,
       0,     0,     4,     0,     5,     0,   203,     0,     0,     0,
     204,   205,     0,     0,     0,     0,     0,     0,     0,     0,
     786,   787,     0,   655,     6,     7,     8,     9,     0,     0,
       0,     0,     0,    10,     0,   208,     0,     0,     0,     0,
      11,     0,    12,     0,    13,     0,     0,    14,    15,    16,
       0,    17,     0,     0,     0,    18,    19,    20,     0,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,     0,     0,   772,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -301,     0,
       0,     0,     0,     0,    34,     0,   149,   150,   151,   152,
       0,     0,     0,    35,   862,     0,     0,     0,   863,    36,
       0,     0,   864,     0,     0,     0,     0,     0,   865,     0,
       0,     0,   778,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,   866,     0,   772,     0,     0,   867,
       0,     0,   868,     0,     0,     0,     0,   869,     0,     0,
     870,     0,     0,   871,   872,     0,     0,   873,     0,     0,
     874,     0,   875,     0,     0,     0,     0,     0,   149,   150,
     151,   152,     0,     0,     0,     0,   862,     0,     0,     0,
     863,     0,     0,     0,   864,   876,   877,     0,     0,     0,
     865,     0,     0,     0,   778,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   866,     0,     0,     0,
       0,   867,     0,     0,   868,     0,     0,     0,    38,   869,
       0,     0,   870,     0,     0,   871,   872,     0,     0,   873,
       0,     0,   874,    39,   875,     0,     0,   781,     0,     0,
     782,   783,     0,     0,     0,     0,     0,     0,     0,    40,
       0,     0,     0,     0,    41,   104,    42,   876,   877,     0,
       0,     0,   105,   106,   107,   108,     0,     0,   109,   110,
       0,   111,   112,   113,     0,   114,     0,     0,   784,   785,
       0,   878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   786,   787,     0,     0,   781,
       0,     0,   782,   783,   115,     0,   116,   117,   118,     0,
     208,   879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     784,   785,     0,   878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   786,   787,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   208,   879,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   120,     0,     0,     0,     0,
     121,   122,   123,   124,     0,     0,     0,     0,     0,     0,
       0,   125,     0,     0,     0,     0,   126,     0,   127,   128
};

static const yytype_int16 yycheck[] =
{
       1,   316,     3,    30,   389,   392,    30,   358,   391,   388,
     390,   338,     1,   284,   717,    30,   750,   368,   369,   344,
     204,    66,   358,   915,    66,    52,   925,   927,    52,   926,
     928,  1141,   368,   369,   414,   209,    63,    52,    32,    63,
     311,   358,  1145,  1147,  1146,    46,  1202,  1148,    63,  1107,
     753,   431,    30,    54,     7,    52,    23,    58,   761,     5,
     331,    42,   765,  1050,  1051,     7,    63,  1188,  1189,  1056,
       7,   850,  1052,     7,    52,   106,  1347,   108,   109,   100,
    1275,   112,  1345,   114,  1233,    63,   117,   118,   851,  1346,
     121,   122,   123,   124,    22,   100,    23,   128,    52,   852,
     131,   132,    93,     5,    23,    30,   110,    99,   139,    63,
    1478,     4,     7,     8,     9,    32,   854,   100,     1,  1329,
     122,     4,    81,     6,    20,   101,   130,    52,   107,    20,
    1117,    81,     1,    54,   107,     4,   110,     6,    63,   143,
      15,    16,   121,    26,    27,    28,    29,  1109,   121,    75,
      76,   285,  1211,    48,   110,    50,    13,    26,    27,    28,
      29,   295,   121,    86,    59,     1,    89,    36,     4,    64,
       6,    99,   100,    68,  1082,    30,  1235,   204,    59,   100,
     204,  1089,   209,   848,   849,   209,   145,   161,   162,   204,
      26,    27,    28,    29,   209,     1,    54,    52,     4,    55,
       6,    76,    77,    78,   100,    81,    55,   100,    63,   100,
     121,   100,  1209,   121,    95,    54,    99,    92,    93,    94,
      26,    27,    28,    29,   178,   928,   204,   102,    46,    86,
     141,   209,     8,  1343,   145,   110,   111,   145,  1218,   123,
     680,   116,   100,   248,   246,   121,    46,   155,   293,   294,
      86,  1619,    88,   257,    90,   211,   212,    93,    30,    86,
      81,   255,   137,   138,   148,   248,   141,   261,     1,   145,
      50,     4,   264,     6,   110,    51,   712,   713,     1,   204,
      52,     4,     1,     6,   209,     4,  1024,     6,    44,   316,
     207,    63,   316,    26,    27,    28,    29,   737,   123,   344,
     319,   316,   323,    26,    27,    28,    29,    26,    27,    28,
      29,   100,   320,   208,  1373,   323,   358,   228,   229,  1316,
    1317,  1516,   158,   148,  1027,  1028,   368,   369,   230,   320,
    1327,   358,   319,  1543,  1392,   285,   286,   287,   316,   320,
     141,   368,   369,   245,   298,   390,  1125,  1468,   390,   204,
    1506,   320,  1090,    86,   209,    88,   323,    90,   385,   261,
      93,   385,   316,  1126,   266,  1636,  1515,    90,   321,   414,
     385,  1634,   414,   400,  1127,   321,   400,   110,  1635,   321,
     303,   264,   265,    42,   321,   400,   431,   321,   385,   431,
     318,   316,   128,   320,  1381,   323,   323,   323,   293,   294,
     311,   320,   297,   400,   323,   313,   129,   385,    86,  1371,
     237,  1398,   239,     5,   750,   446,     8,   320,  1083,   321,
     108,   109,   400,    54,   112,   158,   114,   228,   229,   117,
     118,   385,   204,   121,   122,   123,   124,   209,   321,   196,
     128,   247,   139,   131,   132,   196,   400,   144,   304,   305,
     306,   139,   321,   296,  1512,   304,   305,   306,  1123,  1124,
     385,   316,   301,   302,   285,   286,   287,    86,     1,   100,
     305,     4,    54,     6,   801,   400,  1579,  1581,  1580,  1476,
     297,  1582,    86,   300,     8,   321,   922,   923,   924,    36,
      37,    38,   160,    26,    27,    28,    29,   165,    30,  1233,
     936,    30,  1236,   358,    30,    86,   401,   247,   231,   404,
     311,    54,   407,   368,   369,   321,   411,    79,   100,   855,
      52,   416,  1632,    52,   130,   148,    52,    51,   879,   854,
     385,    63,   139,    95,    63,   158,   159,    63,   855,    99,
     724,  1275,     8,   262,   316,   400,   246,     1,   155,   137,
       4,   113,     6,    86,   100,   161,   162,   100,    24,   237,
      93,   239,   150,   899,   264,   265,    39,    40,    41,    42,
     445,    99,    26,    27,    28,    29,   254,   165,   124,   125,
      22,    35,   899,    25,   190,    51,   481,  1574,   321,   246,
      44,   108,   109,    42,    43,    49,   129,    51,   321,    53,
      73,   110,   321,    99,   479,     4,   246,     6,    81,    82,
      83,    84,   121,   385,   123,    88,     1,    81,   237,     4,
     239,     6,    74,     4,    97,    98,    99,   100,   400,   162,
     246,   104,   141,   237,   181,   239,   145,    93,    37,   148,
     303,    26,    27,    28,    29,   279,   262,   120,   158,    42,
      35,   158,   125,   126,   127,   107,   237,   130,   239,    44,
     133,   207,   161,   162,    49,  1652,    51,   126,    53,   121,
     126,   130,   204,    18,     4,   204,     6,   209,   204,   853,
     209,   227,   228,   209,   317,   318,   195,   197,   198,   199,
     207,   208,   280,     4,   211,     6,     7,   724,   231,  1024,
     724,    17,   161,   162,   158,    42,    49,    44,   750,   724,
     322,     0,    49,   165,    51,     4,   710,     6,    55,   228,
     229,    49,    20,   750,    22,   320,   182,   183,   184,   185,
     186,   187,  1003,    36,   110,    59,    60,  1629,  1637,  1639,
      64,  1638,  1640,   103,   104,   105,   724,   123,     7,   256,
     257,   258,   259,   260,   130,   320,    12,    94,   446,    96,
      54,    20,   214,    22,   320,  1090,  1415,  1416,  1417,  1418,
     320,  1122,   148,   158,    42,  1102,   230,  1128,   154,  1130,
    1131,     4,  1516,     6,   316,     8,   130,   316,   321,   320,
     316,   245,   247,   248,   267,   268,   269,    42,    20,   724,
      22,     7,   311,    15,    16,     1,    42,   261,     4,   854,
       6,     8,   266,   855,   268,    71,   100,   161,   162,    75,
     164,   848,   849,   850,   851,   852,   853,   110,   855,   853,
      26,    27,    28,    29,    90,    91,     1,   326,   853,     4,
     326,     6,    99,   126,   314,   230,  1030,   325,   131,   132,
     296,   107,   879,   385,   264,   265,   385,   899,   296,   385,
     245,    26,    27,    28,    29,    15,    16,   321,   400,   724,
     247,   400,   899,   262,   400,   853,   261,  1526,  1527,  1528,
     136,   266,    81,   268,    57,    58,    23,   143,    49,    85,
      86,    87,    88,    23,    90,   750,    42,    93,    49,   123,
    1236,   902,  1217,    81,   905,    75,    76,    77,    78,    79,
      80,    57,    58,   196,   110,   139,   133,   134,   135,   136,
     393,   394,   395,  1107,   148,  1109,   264,   265,   853,     1,
     154,   155,     4,   106,     6,    49,   321,  1640,  1641,  1275,
      49,  1268,   115,  1270,    49,   110,   841,    99,   121,   422,
     845,    99,   724,    17,    26,    27,    28,    29,    99,  1274,
     106,     1,   158,    99,     4,    99,     6,    15,    16,   115,
     322,   245,   145,   108,   109,   121,   250,   251,    99,  1024,
     453,   110,    18,   112,   108,   109,    26,    27,    28,    29,
       4,     5,   266,   848,   849,   850,   851,   852,   853,   145,
     855,   130,     1,  1030,     5,     4,  1030,     6,    81,   138,
     139,   140,   141,     7,    86,  1030,    88,     7,    90,   290,
     291,    93,  1407,  1410,   879,  1408,  1405,    26,    27,    28,
      29,   358,   273,   274,   275,   276,   277,     7,   110,   108,
     109,   368,   369,     7,   899,  1090,    86,    99,  1090,    91,
      92,  1431,  1030,    93,     5,  1082,  1083,  1084,  1085,  1086,
      99,  1088,  1089,   108,   109,   110,   231,  1094,  1095,   304,
     305,   306,   110,  1453,   112,   113,   114,     7,   112,     7,
    1107,   853,  1109,  1107,     7,  1109,   158,    40,    41,   129,
     320,    90,  1107,   127,  1109,  1122,  1123,  1124,  1125,  1126,
    1127,  1128,    17,  1130,  1131,  1030,  1094,  1095,  1299,  1300,
    1301,  1302,  1139,    18,   148,  1139,     8,   322,     1,    99,
     154,     4,   162,     6,  1139,   321,   130,   320,   320,  1107,
     129,  1109,   289,   290,   291,   139,  1137,  1138,   320,  1140,
    1141,  1142,    99,    26,    27,    28,    29,    99,   320,  1138,
     154,  1140,  1141,  1142,   158,    99,   321,   161,   162,    99,
     320,  1139,   166,   167,   168,   169,   170,    99,   202,   203,
      82,    83,    84,    99,    86,  1030,    97,    98,    99,   100,
    1516,  1496,  1107,    99,  1109,  1139,    99,  1371,    99,    99,
    1217,   231,   724,  1217,  1236,   724,   297,    99,   724,   100,
     101,   102,  1217,    86,   320,   320,  1233,   320,  1392,  1236,
      93,   285,   286,   287,  1139,     1,     5,   191,     4,    99,
       6,  1412,  1413,  1414,    99,   358,   200,   201,  1083,     8,
     204,   205,   231,    99,    99,   368,   369,    49,    99,  1217,
      26,    27,    28,    29,    40,   144,   129,  1274,  1275,   321,
    1274,   110,  1107,    39,  1109,    41,   110,    67,  1030,  1274,
     110,     5,  1307,  1217,    99,   325,    99,  1122,  1123,  1124,
    1125,  1126,  1127,  1128,   320,  1130,  1131,   320,    43,   162,
      45,   321,    47,    48,  1139,   320,     7,   248,    99,     5,
      55,    56,  1217,    99,   327,   327,  1274,   100,   320,   267,
      40,     7,   100,   100,     1,  1306,   100,     4,    99,     6,
       5,  1312,  1313,  1314,  1341,    37,   100,  1341,   100,   319,
    1274,   853,   321,    88,   853,  1326,  1341,   853,  1512,    26,
      27,    28,    29,  1334,   319,  1107,    99,  1109,   100,  1340,
     319,  1342,  1343,  1344,  1371,    99,    99,  1371,   231,  1274,
      99,  1340,   321,  1342,  1343,  1344,  1371,  1358,  1359,  1360,
     263,    99,  1217,  1341,   183,  1392,   321,  1139,  1392,  1358,
    1359,  1360,     5,   181,    99,    39,   146,  1392,  1233,   320,
     319,  1236,    99,   101,   263,   100,  1431,  1341,    99,  1431,
      99,    38,   321,  1371,   129,   320,   320,   100,  1293,  1294,
    1295,  1296,   320,   100,   101,   102,   320,   100,  1453,   124,
     125,  1453,   320,   320,  1392,   321,  1341,    99,    99,  1274,
    1275,   321,   320,   750,   320,   320,   320,   320,  1429,  1430,
     320,   320,     1,   100,   247,     4,    99,     6,   321,    99,
    1471,   319,  1443,     5,    99,  1217,  1371,    20,  1449,  1480,
     387,  1452,  1144,  1330,  1455,  1486,  1539,    26,    27,    28,
      29,  1688,  1652,  1464,  1465,  1466,  1537,  1392,     1,  1496,
    1643,     4,  1496,     6,    89,  1464,  1465,  1466,    91,  1295,
     384,  1496,  1273,   315,  1398,  1512,  1341,   766,  1512,  1516,
    1384,   758,   207,    26,    27,    28,    29,  1512,  1030,   303,
    1545,  1030,  1274,  1363,  1030,  1565,    39,  1012,    41,  1493,
    1492,  1577,   227,   228,   822,   386,  1371,  1628,  1496,  1520,
    1084,   848,   849,   850,   851,   852,  1085,  1088,   855,  1086,
     245,  1100,   837,  1105,  1512,   321,   286,  1392,   955,   846,
      30,   110,  1496,   204,  1131,  1546,   261,  1548,  1056,   369,
      42,   266,   879,   268,   396,  1556,  1557,  1558,  1559,  1560,
    1561,  1562,   398,  1564,   119,    57,    58,  1695,   399,  1341,
     397,  1496,   899,   358,   294,  1107,   299,  1109,  1107,   298,
    1109,  1107,    -1,  1109,    -1,   299,    -1,  1512,   618,    -1,
      -1,    -1,  1593,  1594,  1595,  1596,  1597,    -1,    -1,  1371,
      -1,    -1,    -1,  1630,    -1,    -1,  1630,  1139,    -1,    -1,
    1139,    42,    -1,  1139,   106,  1630,    -1,   750,    -1,    -1,
    1392,    -1,    -1,   115,   321,    -1,    57,    58,  1629,   121,
    1631,  1632,  1633,    -1,    -1,    -1,  1637,  1638,  1639,  1640,
    1629,  1496,  1631,  1632,  1633,    -1,    -1,    -1,  1637,  1638,
    1639,  1640,  1630,   145,    -1,    -1,  1657,  1512,    -1,  1660,
      -1,  1516,   231,  1664,  1665,  1666,  1667,  1668,  1669,  1670,
    1671,    -1,    -1,    -1,  1675,   106,  1630,    -1,  1679,  1668,
    1669,  1670,  1683,    -1,   115,  1217,    -1,    -1,  1217,    -1,
     121,  1217,   110,    -1,   112,  1696,    -1,    -1,   108,   109,
      -1,    -1,  1703,  1704,  1705,  1630,   116,   117,   118,   119,
     120,   721,   130,   723,   145,   848,   849,   850,   851,   852,
     138,   139,   855,   141,  1496,    -1,    -1,    -1,    -1,   739,
     740,    -1,   742,   151,   152,    -1,   746,   747,    -1,    -1,
    1512,    -1,  1274,    -1,     1,  1274,   879,     4,  1274,     6,
      -1,    -1,   321,    -1,    -1,  1082,  1083,  1084,  1085,  1086,
     770,  1088,  1089,   773,    -1,    42,   899,  1094,  1095,    26,
      27,    28,    29,    -1,    -1,  1630,    -1,    -1,    -1,    -1,
      57,    58,    39,    -1,    41,    -1,    -1,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    -1,  1122,  1123,  1124,  1125,  1126,
    1127,  1128,    -1,  1130,  1131,    -1,    -1,    -1,     1,  1341,
      -1,     4,  1341,     6,    -1,  1341,    -1,    -1,    -1,    -1,
      -1,   831,    -1,    -1,   834,    -1,    -1,    -1,    -1,   106,
      -1,    -1,    -1,    26,    27,    28,    29,     1,   115,  1371,
      -1,    -1,  1371,    -1,   121,  1371,    -1,    11,    12,    13,
      14,    15,    16,    17,    -1,    -1,    20,    -1,  1630,    -1,
    1392,    -1,    -1,  1392,    -1,    -1,  1392,    -1,   145,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,
       4,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     900,   901,    85,    86,    87,    88,    -1,    90,    -1,    -1,
      93,    -1,    26,    27,    28,    29,  1233,    71,    -1,  1236,
      74,    75,    76,    77,    78,    79,    -1,   110,    -1,    -1,
      -1,    -1,    86,    -1,    88,    89,    90,    91,    92,    93,
      94,    95,    -1,    97,    98,    99,   100,    -1,   102,    -1,
      42,   105,    -1,   107,    -1,    -1,   110,   111,  1275,   113,
    1083,    -1,   116,    -1,    -1,    57,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1496,   158,    90,  1496,    -1,    -1,
    1496,   135,   136,   137,   138,    -1,    -1,   141,    -1,   143,
    1512,    -1,    -1,  1512,    -1,    -1,  1512,    -1,    -1,  1122,
    1123,  1124,  1125,  1126,  1127,  1128,    -1,  1130,  1131,    42,
      -1,    -1,    -1,    -1,   106,   129,     1,    -1,  1018,     4,
      -1,     6,  1022,   115,    57,    58,    -1,    -1,    -1,   121,
      42,  1031,  1032,  1033,     1,    -1,  1036,     4,  1038,     6,
      35,    26,    27,    28,    29,    57,    58,    42,  1048,    44,
      -1,    46,    -1,   145,    49,    50,    51,    -1,    53,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   106,   321,    -1,    -1,    -1,    -1,    -1,
    1080,    -1,   115,    -1,    -1,    -1,    -1,    -1,   121,    -1,
      -1,  1091,    -1,  1093,   106,    -1,    -1,    -1,    -1,  1099,
      -1,  1101,    -1,   115,    -1,    -1,    67,    -1,  1630,   121,
    1233,  1630,   145,  1236,  1630,    -1,    -1,   231,    85,    86,
      87,    88,    -1,    90,    -1,   110,    93,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,    -1,   108,   109,   321,   100,
     101,   102,    -1,   110,    -1,    -1,   107,    -1,    -1,   121,
     111,    -1,  1275,    -1,   115,    -1,    -1,   129,    -1,    -1,
     121,    -1,    -1,    -1,   125,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,    35,    -1,
      57,    58,    -1,    -1,   145,    42,    -1,    44,    -1,    46,
      -1,   158,    49,    50,    51,    -1,    53,    -1,    -1,  1516,
      57,    58,    -1,    -1,  1204,  1205,    -1,   321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    -1,  1224,    42,    -1,    44,    -1,   106,
    1230,    -1,    49,    50,    51,   230,    53,    -1,   115,    -1,
      -1,    -1,    -1,    -1,   121,    -1,   231,    -1,  1248,   106,
     245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,   231,
     232,   233,   234,    -1,   121,    81,   261,    -1,   145,    -1,
      -1,   266,    -1,   268,    -1,   247,   248,   249,    -1,   240,
      -1,    -1,   243,   244,   438,    -1,    -1,    -1,   145,    -1,
      -1,   445,   108,   109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,    -1,   457,    -1,   459,   122,   461,   124,   125,
     126,    -1,   466,    -1,    -1,   469,    -1,   471,    -1,    -1,
     281,   282,    -1,     1,    -1,   479,     4,    -1,     6,    -1,
      -1,   147,   148,   149,    -1,    -1,   321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,    26,    27,
      28,    29,    30,    31,   321,    33,    34,    35,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,  1366,    -1,    -1,    -1,
      -1,    49,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
    1380,    59,    60,    -1,    -1,    -1,    64,    -1,   245,  1389,
      -1,    -1,    -1,  1516,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,   261,    -1,    -1,    -1,    -1,   266,
      -1,   268,    90,   230,    -1,    -1,    94,    -1,    96,    -1,
      -1,    99,   100,   101,   102,    -1,    -1,   105,   245,   107,
      -1,    -1,   110,   111,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,   121,   261,    -1,    -1,    -1,    -1,   266,
      -1,   268,   108,   109,    -1,    -1,    -1,    -1,    -1,   137,
      -1,    -1,    -1,    -1,   142,    -1,   122,   145,   124,   125,
     126,    -1,   150,    -1,    -1,   153,    -1,    -1,   156,   157,
      -1,    -1,   160,    -1,    -1,   163,    -1,   165,    -1,    -1,
      -1,   147,   148,   149,   168,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,    -1,    -1,    -1,
      -1,    -1,   200,   201,    -1,    -1,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,   276,    -1,
     278,    -1,    -1,   281,   282,   283,   284,    -1,    -1,    -1,
     288,    -1,    -1,    -1,   292,   293,   294,    -1,    -1,    -1,
     298,   299,     1,    -1,    -1,     4,    -1,     6,    -1,   307,
      81,    -1,   310,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   320,   321,    23,   323,   324,    26,    27,    28,
      29,    30,    31,    -1,    33,    34,    35,   108,   109,    -1,
      -1,   112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      49,   122,   123,   124,   125,   126,   127,   128,   129,   130,
      59,    60,    -1,    -1,    -1,    64,    -1,    -1,   108,   109,
      -1,    -1,   112,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,   122,   123,   124,   125,   126,   127,   128,   129,
     130,    90,    -1,    -1,    -1,    94,    -1,    96,    -1,   170,
      99,   100,   101,   102,    -1,    -1,   105,    -1,   107,    -1,
      -1,   110,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,
      -1,    -1,    -1,   142,    -1,    -1,   145,    -1,    -1,    -1,
      -1,   150,    -1,    -1,   153,    -1,    -1,   156,   157,    -1,
      -1,   160,    -1,    -1,   163,    -1,   165,   941,   942,   943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,    -1,    -1,    -1,    -1,
      -1,   200,   201,    -1,    -1,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   275,   276,    -1,   278,
      -1,    -1,   281,   282,   283,   284,    -1,    -1,    -1,   288,
      -1,    -1,    -1,   292,   293,   294,    -1,    -1,    -1,   298,
     299,     1,    -1,    -1,     4,    -1,     6,    -1,   307,    -1,
      -1,   310,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,   321,    23,   323,   324,    26,    27,    28,    29,
      30,    31,    -1,    33,    34,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      60,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    -1,    96,    -1,    -1,    99,
     100,   101,   102,    -1,    -1,   105,    -1,   107,    -1,    -1,
     110,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,    -1,   142,    -1,    -1,   145,    -1,    -1,    -1,    -1,
     150,    -1,    -1,   153,    -1,    -1,   156,   157,    -1,    -1,
     160,    -1,    -1,   163,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,    -1,    -1,    -1,    -1,    -1,
     200,   201,    -1,    -1,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,    -1,
     230,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    21,
      -1,    23,    -1,    -1,    -1,   255,    -1,    -1,    -1,    31,
      -1,   261,    34,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   275,   276,    -1,   278,    -1,
      -1,   281,   282,   283,   284,    -1,    -1,    -1,   288,    -1,
      -1,    -1,   292,   293,   294,    67,    -1,    -1,   298,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,    81,
     310,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     320,   321,    -1,   323,   324,    -1,    -1,    99,   100,   101,
     102,    -1,    -1,   105,    -1,   107,    -1,    -1,    -1,   111,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,   121,
      -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,
     142,    -1,    -1,   145,    -1,    -1,    -1,    -1,   150,    -1,
      -1,   153,    -1,    -1,   156,   157,    -1,    -1,   160,    -1,
      -1,   163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   188,   189,    -1,   191,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,    -1,   230,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,
      -1,   243,   244,    -1,    -1,    21,    -1,    23,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   275,   276,    -1,    -1,    -1,    -1,   281,
     282,    -1,    -1,    -1,   100,    -1,    -1,    -1,    -1,    -1,
      -1,    67,   294,    -1,    -1,    -1,   298,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   308,   309,    -1,   311,
     126,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,    99,   100,   101,   102,    -1,    -1,   105,
     146,   107,    -1,    -1,    -1,   111,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,   125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   137,    -1,    -1,    -1,    -1,   142,    -1,    -1,   145,
      -1,    -1,    -1,    -1,   150,    -1,    -1,   153,    -1,    -1,
     156,   157,    -1,    -1,   160,    -1,    -1,   163,    -1,   165,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   188,   189,    -1,   191,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   268,    -1,   230,     5,    -1,    -1,    -1,   275,
     276,    -1,    -1,    -1,   240,    -1,    -1,   243,   244,   285,
      -1,    21,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,   275,
     276,    -1,    -1,    -1,    -1,   281,   282,    -1,    -1,    -1,
     100,    -1,    -1,    -1,    -1,    -1,    -1,    67,   294,    -1,
      -1,    -1,   298,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   308,   309,    -1,   311,   126,    -1,    -1,   129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    99,
     100,   101,   102,    -1,    -1,   105,   146,   107,    -1,    -1,
      -1,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,   121,    -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,
      -1,    -1,   142,    -1,    -1,   145,    -1,    -1,    -1,    -1,
     150,    -1,    -1,   153,    -1,    -1,   156,   157,    -1,    -1,
     160,    -1,    -1,   163,    -1,   165,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   188,   189,
      -1,   191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   268,    -1,
     230,     5,    -1,    -1,    -1,   275,   276,    -1,    -1,    -1,
     240,    -1,    -1,   243,   244,   285,    -1,    21,    -1,    23,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    -1,    -1,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,    -1,    -1,    -1,   275,   276,    -1,    -1,    -1,
      -1,   281,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    67,   294,    -1,    -1,    -1,   298,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,   309,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    99,   100,   101,   102,    -1,
      -1,   105,    -1,   107,    -1,    -1,    -1,   111,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,
      -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,   142,    -1,
      -1,   145,    -1,    -1,    -1,    -1,   150,    -1,    -1,   153,
      -1,    -1,   156,   157,    -1,    -1,   160,    -1,    -1,   163,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   188,   189,    -1,   191,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,    -1,   230,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,   243,
     244,    -1,    -1,    21,    86,    23,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   108,   109,    -1,    -1,
      -1,   275,   276,    -1,    -1,    -1,    -1,   281,   282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,    -1,    67,
     294,    -1,    -1,    -1,   298,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,   309,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    99,   100,   101,   102,    -1,    -1,   105,    -1,   107,
      -1,    -1,    -1,   111,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   183,    -1,   121,    -1,    -1,    -1,   125,    -1,    -1,
      -1,    -1,   108,   109,    -1,    -1,    -1,    -1,    -1,   137,
      -1,    -1,    -1,    -1,   142,   207,    -1,   145,    -1,    -1,
      -1,    -1,   150,   129,    -1,   153,    -1,    -1,   156,   157,
      -1,    -1,   160,    -1,    -1,   163,    -1,   165,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,    -1,    -1,
     188,   189,    -1,   191,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   207,   230,    -1,    -1,    -1,     9,    10,    11,    12,
      13,    14,   240,    -1,    -1,   243,   244,    -1,    21,    -1,
      23,    -1,    -1,    -1,    -1,   231,   232,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,    -1,    -1,    -1,   275,   276,    -1,
      -1,    -1,    -1,   281,   282,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   268,    -1,    67,    -1,   294,    -1,    -1,    -1,
     298,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,   309,    -1,   311,    -1,    -1,    -1,    -1,    -1,    21,
      -1,    23,    -1,    -1,    -1,   323,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,    -1,
      -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,   121,    -1,
      -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   137,    67,    -1,    -1,    -1,   142,
      -1,    -1,   145,    -1,    -1,    -1,    -1,   150,    -1,    -1,
     153,    -1,    -1,   156,   157,    -1,    -1,   160,    -1,    -1,
     163,    -1,   165,    -1,    -1,    -1,    -1,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
      -1,    -1,    -1,   115,    -1,   188,   189,    -1,    -1,   121,
      -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,
     142,    -1,    -1,   145,    -1,    -1,    -1,    -1,   150,    -1,
      -1,   153,    -1,    -1,   156,   157,    -1,    -1,   160,    -1,
      -1,   163,    -1,   165,    -1,    -1,    -1,   240,    -1,    -1,
     243,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    -1,    -1,    -1,    -1,   188,   189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   282,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   308,   309,    -1,   240,    -1,
      -1,   243,   244,    -1,    -1,    -1,    -1,   320,    -1,    -1,
     323,   324,    21,    -1,    -1,    -1,    -1,    -1,    -1,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,    -1,    -1,    -1,   115,    -1,    -1,    -1,   281,
     282,   121,   284,    -1,    -1,   125,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    67,    -1,
      -1,    -1,   142,    -1,    -1,   145,   308,   309,    -1,    -1,
     150,    -1,    -1,   153,    -1,    -1,   156,   157,   320,    -1,
     160,   323,   324,   163,    -1,   165,    -1,    -1,    -1,    -1,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,    -1,    -1,    -1,   115,    -1,   188,   189,
      -1,    -1,   121,    -1,    -1,    -1,   125,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,
      -1,    -1,    -1,   142,    -1,    -1,   145,    -1,    -1,    -1,
      -1,   150,    -1,    -1,   153,    -1,    -1,   156,   157,    -1,
      -1,   160,    -1,    -1,   163,    -1,   165,    -1,    -1,    -1,
     240,    -1,    -1,   243,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,    23,    -1,    -1,   188,
     189,    -1,    -1,    -1,    31,    -1,    -1,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   281,   282,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      67,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,   309,
      -1,   240,    -1,    -1,   243,   244,    -1,    -1,    -1,    -1,
     320,    -1,    -1,   323,   324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    99,   100,   101,   102,    -1,    -1,   105,    -1,
     107,    -1,    -1,    -1,   111,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   281,   282,   121,   284,    -1,    -1,   125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     137,    -1,    -1,    -1,    -1,   142,    -1,    -1,   145,   308,
     309,    -1,    -1,   150,    -1,    -1,   153,    -1,    -1,   156,
     157,    -1,    -1,   160,   323,   324,   163,    -1,   165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   188,   189,    -1,   191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   240,    -1,    -1,   243,   244,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,    30,    31,
      -1,    33,    34,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,   275,   276,
      -1,    -1,    -1,    -1,   281,   282,    -1,    59,    60,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,   294,    -1,    -1,
      -1,   298,   299,    75,    76,    77,    78,    79,    80,    -1,
      -1,   308,   309,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    -1,    96,    -1,   323,    99,   100,   101,
     102,    -1,    -1,   105,    -1,   107,    -1,    -1,    -1,   111,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,   121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,
     142,    -1,    -1,   145,    -1,    -1,    -1,    -1,   150,    -1,
      -1,   153,    -1,    -1,   156,   157,    -1,    -1,   160,    -1,
      -1,   163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,    -1,    -1,    -1,    -1,    -1,   200,   201,
      -1,    -1,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,    -1,   230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    23,    -1,    -1,
      -1,    -1,    -1,   255,    30,    31,    -1,    -1,    34,   261,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   275,   276,    -1,   278,    -1,    -1,   281,
     282,   283,   284,    -1,    -1,    -1,   288,    -1,    -1,    -1,
     292,   293,   294,    -1,    -1,    -1,   298,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,   310,   311,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,
      -1,   323,   324,    99,   100,   101,   102,    -1,    -1,   105,
      -1,   107,    -1,    -1,    -1,   111,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   137,    -1,    -1,    -1,    -1,   142,    -1,    -1,   145,
      -1,    -1,    -1,    -1,   150,    -1,    -1,   153,    -1,    -1,
     156,   157,    -1,    -1,   160,    -1,    -1,   163,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,    -1,
      -1,    -1,    -1,    -1,   200,   201,    -1,    -1,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,    30,    31,
      -1,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,
     276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,    -1,
      -1,    -1,   298,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,   311,    -1,    99,   100,   101,
     102,    -1,    -1,   105,   320,   107,    -1,   323,   324,   111,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,   121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,
     142,    -1,    -1,   145,    -1,    -1,    -1,    -1,   150,    -1,
      -1,   153,    -1,    -1,   156,   157,    -1,    -1,   160,    -1,
      -1,   163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,    -1,    -1,    -1,    -1,    -1,   200,   201,
      -1,    -1,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,    -1,   230,    -1,
      -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    -1,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   275,   276,    -1,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,    -1,    -1,    -1,   298,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,   311,
      -1,    99,   100,   101,   102,    -1,    -1,   105,    -1,   107,
      -1,   323,   324,   111,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,   121,    -1,    -1,    -1,   125,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,
      -1,    -1,    -1,    -1,   142,    -1,    -1,   145,    -1,    -1,
      -1,    -1,   150,    -1,    -1,   153,    -1,    -1,   156,   157,
      -1,    -1,   160,    -1,    -1,   163,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     188,   189,    -1,   191,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    -1,    -1,   243,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   275,   276,    -1,
      -1,    -1,    -1,   281,   282,    -1,    -1,    -1,     0,     1,
      -1,    -1,     4,    -1,     6,    -1,   294,    -1,    -1,    -1,
     298,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,   309,    -1,   311,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    35,    -1,   323,    -1,    -1,    -1,    -1,
      42,    -1,    44,    -1,    46,    -1,    -1,    49,    50,    51,
      -1,    53,    -1,    -1,    -1,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    -1,    -1,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,    -1,
      -1,    -1,    -1,    -1,   106,    -1,    99,   100,   101,   102,
      -1,    -1,    -1,   115,   107,    -1,    -1,    -1,   111,   121,
      -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,   121,    -1,
      -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   145,   137,    -1,    67,    -1,    -1,   142,
      -1,    -1,   145,    -1,    -1,    -1,    -1,   150,    -1,    -1,
     153,    -1,    -1,   156,   157,    -1,    -1,   160,    -1,    -1,
     163,    -1,   165,    -1,    -1,    -1,    -1,    -1,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,    -1,    -1,    -1,   115,   188,   189,    -1,    -1,    -1,
     121,    -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,
      -1,   142,    -1,    -1,   145,    -1,    -1,    -1,   230,   150,
      -1,    -1,   153,    -1,    -1,   156,   157,    -1,    -1,   160,
      -1,    -1,   163,   245,   165,    -1,    -1,   240,    -1,    -1,
     243,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,   266,    35,   268,   188,   189,    -1,
      -1,    -1,    42,    43,    44,    45,    -1,    -1,    48,    49,
      -1,    51,    52,    53,    -1,    55,    -1,    -1,   281,   282,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   308,   309,    -1,    -1,   240,
      -1,    -1,   243,   244,    94,    -1,    96,    97,    98,    -1,
     323,   324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     281,   282,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,   324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,
     250,   251,   252,   253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    -1,   266,    -1,   268,   269
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   329,     0,     1,     4,     6,    26,    27,    28,    29,
      35,    42,    44,    46,    49,    50,    51,    53,    57,    58,
      59,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,   106,   115,   121,   145,   230,   245,
     261,   266,   268,   330,   332,   333,   334,   335,   396,   397,
     398,   400,   415,   330,   101,   100,   393,   393,   393,   398,
     409,   398,   400,   415,   398,   403,   403,   403,   398,   406,
     335,    46,   336,    35,    42,    44,    49,    50,    51,    53,
     230,   245,   261,   266,   268,   337,    46,   338,    35,    42,
      44,    46,    49,    50,    51,    53,   230,   245,   261,   266,
     268,   339,    50,   340,    35,    42,    43,    44,    45,    48,
      49,    51,    52,    53,    55,    94,    96,    97,    98,   230,
     245,   250,   251,   252,   253,   261,   266,   268,   269,   341,
     245,   250,   251,   266,   342,    42,    44,    49,    51,    55,
      94,    96,   343,    44,   344,    23,    30,    31,    34,    99,
     100,   101,   102,   105,   107,   111,   115,   121,   137,   142,
     145,   150,   153,   156,   157,   160,   163,   165,   188,   189,
     191,   192,   193,   194,   200,   201,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     230,   275,   276,   294,   298,   299,   310,   311,   323,   324,
     352,   394,   507,   508,   511,   512,   513,   517,   574,   577,
     579,   583,   588,   589,   591,   593,   603,   604,   606,   608,
     610,   612,   616,   618,   620,   622,   624,   626,   628,   630,
     632,   634,   638,   640,   642,   644,   645,   647,   649,   651,
     653,   655,   657,   659,   661,    55,   304,   305,   306,   345,
     351,    55,   346,   351,   100,   347,   348,    86,   237,   239,
     409,   409,   409,   409,     0,   330,   393,   393,    54,   301,
     302,   412,   413,   414,    33,    35,    49,    59,    60,    64,
      75,    76,    77,    78,    79,    80,    94,    96,   206,   230,
     245,   255,   261,   266,   278,   281,   282,   283,   284,   288,
     292,   293,   307,   320,   419,   420,   421,   422,   423,   424,
     425,   429,   430,   431,   434,   435,   442,   446,   451,   452,
     454,   455,   456,   457,   458,   480,   481,   483,   484,   486,
     487,   490,   491,   498,   499,   500,   501,   502,   505,   506,
     512,   519,   520,   521,   522,   523,   524,   528,   529,   530,
     558,   572,   577,   578,   601,   602,   603,   330,   319,   319,
     330,   393,   462,   353,   356,   419,   393,   358,   360,   507,
     530,   363,   393,   367,   400,   416,   409,   398,   400,   403,
     403,   403,   406,    86,   237,   239,   409,   409,   409,   409,
     415,   398,   409,   410,   396,   398,   399,   398,   400,   401,
     416,   398,   403,   404,   403,   403,   398,   406,   407,    86,
     237,   239,   548,   409,   410,   409,   410,   409,   410,   409,
     410,   403,   409,   398,   397,   418,   400,   418,    42,   418,
     403,   403,   418,   406,   418,    42,    43,   403,   418,   418,
      86,   237,   254,   548,   409,    42,   418,    42,   418,    42,
     418,    42,   418,   409,   409,   409,    42,   418,   409,    42,
     418,    42,   418,   409,   398,   400,   403,   403,   418,    42,
     403,   400,   103,   104,   105,   605,   108,   109,   207,   208,
     211,   515,   516,    32,   207,   580,   128,   518,   161,   162,
     643,   108,   109,   110,   607,   110,   112,   113,   114,   609,
     108,   109,   116,   117,   118,   119,   120,   611,   108,   109,
     112,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     170,   613,   110,   112,   130,   138,   139,   140,   141,   617,
     110,   130,   143,   257,   619,   108,   109,   122,   124,   125,
     126,   147,   148,   149,   621,   110,   112,   130,   138,   139,
     141,   151,   152,   623,   123,   139,   148,   154,   155,   625,
     139,   155,   627,   148,   158,   159,   629,   126,   130,   161,
     162,   631,   130,   161,   162,   164,   633,   130,   139,   154,
     158,   161,   162,   166,   167,   168,   169,   170,   635,   110,
     161,   162,   639,   130,   161,   162,   190,   641,   110,   121,
     123,   141,   145,   148,   195,   228,   229,   311,   590,   592,
     648,   196,   650,   196,   652,   158,   197,   198,   199,   654,
     123,   148,   646,   112,   127,   148,   154,   202,   203,   656,
     123,   148,   658,   110,   123,   130,   148,   154,   660,   100,
     126,   129,   146,   268,   285,   311,   575,   576,   577,   108,
     109,   129,   207,   231,   232,   233,   234,   235,   236,   238,
     239,   240,   241,   242,   243,   244,   247,   248,   249,   268,
     594,   595,   598,   285,   295,   582,   524,   529,   296,   191,
     200,   201,   204,   205,   662,   317,   318,   585,   393,   523,
     351,   305,   351,    43,    45,    47,    48,    55,    56,    88,
     349,   409,   409,   409,   543,   557,   545,   547,    99,    99,
      99,    81,   590,   246,   499,   393,   507,   573,   573,    59,
      95,   393,   100,   575,    86,   183,   237,   594,   595,   246,
     246,   262,   246,   264,   265,   443,    81,    81,   590,     4,
     331,   531,   532,   303,   417,   423,   247,   248,   432,   433,
     158,   256,   257,   258,   259,   260,   436,   437,   279,   453,
       5,    21,    67,    81,   107,   111,   115,   121,   125,   145,
     191,   240,   243,   244,   281,   282,   308,   309,   465,   466,
     467,   468,   469,   470,   471,   473,   474,   475,   476,   477,
     478,   479,   508,   511,   517,   567,   568,   569,   574,   579,
     583,   589,   590,   591,   593,   599,   600,   603,    36,    37,
      38,   181,   459,   460,    81,   285,   286,   287,   482,   488,
     489,    81,   485,   488,   289,   290,   291,   492,   493,   494,
     495,    23,   507,   509,   510,    42,   503,   504,    15,    16,
      17,    18,   322,     8,    24,    51,     9,    10,    11,    12,
      13,    14,   107,   111,   115,   121,   137,   142,   145,   150,
     153,   156,   157,   160,   163,   165,   188,   189,   284,   324,
     476,   508,   510,   511,   525,   526,   527,   530,   559,   560,
     561,   562,   563,   564,   565,   566,   568,   569,   570,   571,
      49,    49,   541,   559,   560,   541,    36,   461,   320,   320,
     320,   320,   320,   412,   419,   462,   353,   356,   358,   360,
     363,   367,   409,   409,   409,   543,   557,   545,   547,   419,
      54,    54,    54,    54,   360,    54,   409,   360,   398,   403,
     418,    42,    42,    42,   409,   398,   398,   398,   398,   398,
     398,   398,   403,   393,     7,     8,   110,   211,   212,   514,
     100,   122,   246,   107,   121,   107,   121,   133,   134,   135,
     136,   614,   168,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   636,   592,   326,   326,   108,   109,
     121,   129,   145,   231,   232,   233,   596,   597,   598,   296,
     296,    99,   314,   584,   325,   350,   351,   555,   555,   555,
     247,   542,   262,   556,   443,   544,   394,   546,     5,   121,
     145,   478,    81,   478,   496,   497,   524,    23,    23,    93,
     320,    49,    49,    49,    99,   264,    49,   598,    49,   478,
     478,   264,   265,   447,   478,    99,   478,   478,    81,   476,
     530,   535,   536,   539,   565,   566,     7,   321,   394,    99,
      99,   433,    74,   107,   121,   165,   214,   439,   394,    99,
      99,    99,   394,   438,   437,   137,   150,   165,   280,   478,
       5,   478,    15,    16,    17,    18,   322,    20,    22,     8,
      51,     5,   488,    81,     7,     7,    99,    99,   460,     5,
       7,     5,   478,   478,   493,     7,   393,   320,   393,   320,
     504,   570,   570,   561,   562,   563,   523,   320,   426,   509,
     560,   565,     7,    15,    16,    17,    18,   322,     7,    20,
      22,     8,   560,   478,   478,   330,   330,    99,   355,   357,
     359,   364,   368,   461,   320,   320,   320,   320,   320,   555,
     555,   555,   542,   556,   544,   546,    99,    99,    99,    99,
      99,   555,   398,   398,   398,    99,   516,   110,   126,   131,
     132,   196,   615,    93,   126,   182,   183,   184,   185,   186,
     187,   637,    99,    99,   108,   109,   108,   109,    99,    99,
     297,   581,    99,   155,   313,   586,   590,   320,   320,   320,
      99,   447,    99,   478,     5,     5,   478,   509,    86,    89,
     417,   537,   538,   394,   394,    99,   524,   533,   534,   478,
     478,   478,    99,   478,    49,   478,    99,   100,   248,   444,
      40,   478,   331,     5,   331,   537,   331,   532,   144,   139,
     144,   440,   441,   110,   110,    67,   110,   478,     5,   465,
     508,   569,   570,   466,   467,   468,    99,   470,   465,   472,
     509,   530,   478,   478,   508,   569,   599,   599,   478,   489,
     478,   488,   495,   496,   533,   331,   427,   428,   325,   565,
     570,   570,   561,   562,   563,   565,    99,   565,   527,   565,
      37,   330,    35,    44,    49,    51,    53,   158,   230,   245,
     261,   266,   268,   321,   330,   332,   354,    90,   110,   321,
     330,   332,   384,   390,   419,    85,    86,    87,    88,    90,
      93,   110,   158,   321,   330,   332,   365,    86,    88,   110,
     158,   321,   330,   332,   365,    39,    41,   321,   330,   332,
     355,   357,   359,   364,   368,   320,   320,   320,     7,   327,
     327,   581,   300,   581,    99,   108,   109,   587,   378,   379,
     377,   248,    99,   444,   478,   478,     5,   100,   395,   395,
     538,   320,   423,   537,   478,    20,   100,   267,   445,   478,
      40,   540,   566,   572,     7,   100,   100,   100,   478,     5,
     488,   488,     5,   230,   321,   422,   423,   535,     7,   321,
      99,    37,   393,   411,   393,   402,   393,   405,   405,   393,
     408,   100,    86,   237,   239,   411,   411,   411,   411,   330,
      75,    76,   391,   392,   507,   100,   330,   330,   330,   395,
     395,   319,    91,    92,   366,    99,   100,   124,   125,   207,
     227,   228,   372,   373,   383,    82,    83,    84,    86,   361,
     362,   330,   395,   319,   373,   361,   330,   100,   319,   321,
     321,   321,   321,   321,   378,   379,   377,    99,    99,    90,
     129,   231,   321,   330,   332,   553,    86,    93,   129,   162,
     231,   321,   330,   332,   554,   110,   231,   321,   330,   332,
     550,    99,    20,   100,   445,   478,   533,   321,   273,   274,
     275,   276,   277,   450,   263,   449,    99,   478,   331,   441,
     478,   496,     5,   321,   321,     5,   331,   428,   181,   463,
      99,   374,   356,   358,   363,   367,   411,   411,   411,   374,
     374,   374,   374,    39,   330,   330,   360,     8,   330,     7,
     330,   330,   360,     5,   330,   146,   385,   320,   369,   321,
     321,   321,   581,   319,   160,   165,   549,   397,   395,    99,
     549,    99,   397,   101,   397,   450,   449,   423,   263,   448,
      99,   444,   321,   496,   572,    38,   464,   330,   320,   320,
     320,   320,   320,   374,   374,   374,   320,   320,   320,   320,
     100,   372,   362,   245,   261,   266,   268,   373,    22,    99,
     100,   318,   386,   387,   388,   507,   330,   100,   370,   371,
     330,   320,   330,   330,   330,   330,   330,   330,   330,   129,
     330,   448,   321,    99,   100,   248,   321,   331,   463,   382,
     357,   359,   364,   368,   320,   320,   320,   375,   380,   376,
     381,    40,    41,   389,   330,   330,   330,   330,   330,    99,
      22,    25,     7,   321,   100,   551,   552,   549,   247,   464,
     321,   330,   332,   461,   321,   321,   321,   321,   378,   379,
     377,   321,   330,   332,   542,   321,   330,   332,   556,   321,
     330,   332,   544,   321,   330,   332,   546,   394,   319,   385,
      99,    99,   331,   371,     5,     7,   321,   330,   330,   330,
     330,   330,   330,   321,   321,   321,   330,   330,   330,   330,
     369,    99,   552,   330,   330,   330,   330
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   328,   329,   329,   330,   330,   331,   331,   332,   332,
     332,   332,   332,   333,   333,   333,   333,   334,   334,   334,
     334,   334,   334,   334,   334,   334,   334,   334,   334,   334,
     334,   334,   335,   335,   335,   335,   335,   335,   335,   335,
     335,   335,   335,   335,   335,   335,   335,   335,   335,   335,
     335,   336,   337,   337,   337,   337,   337,   337,   337,   337,
     337,   337,   337,   337,   337,   337,   337,   337,   337,   338,
     339,   339,   339,   339,   339,   339,   339,   339,   339,   339,
     339,   339,   339,   339,   339,   339,   339,   339,   339,   339,
     339,   339,   340,   341,   341,   341,   341,   341,   341,   341,
     341,   341,   341,   341,   341,   341,   341,   341,   341,   341,
     341,   341,   341,   341,   341,   341,   341,   341,   341,   341,
     341,   341,   341,   341,   341,   341,   341,   341,   342,   342,
     342,   342,   342,   342,   343,   343,   343,   343,   343,   343,
     343,   344,   345,   345,   346,   346,   347,   348,   348,   349,
     349,   349,   349,   349,   349,   349,   349,   350,   350,   351,
     351,   351,   352,   353,   354,   355,   355,   355,   355,   355,
     355,   355,   355,   355,   355,   355,   355,   355,   355,   355,
     355,   356,   357,   357,   357,   357,   357,   357,   358,   359,
     359,   359,   359,   359,   359,   359,   359,   359,   359,   360,
     360,   361,   361,   362,   362,   362,   362,   363,   364,   364,
     364,   364,   364,   364,   364,   364,   364,   364,   364,   364,
     365,   365,   366,   366,   367,   368,   368,   368,   368,   368,
     369,   370,   370,   370,   371,   372,   372,   373,   373,   374,
     375,   375,   375,   375,   376,   376,   376,   376,   377,   377,
     377,   377,   378,   378,   378,   378,   379,   379,   379,   379,
     380,   380,   380,   380,   381,   381,   381,   381,   382,   382,
     382,   382,   383,   383,   383,   383,   383,   384,   385,   386,
     386,   387,   387,   387,   387,   387,   388,   388,   389,   389,
     389,   390,   391,   391,   392,   392,   393,   394,   394,   394,
     395,   396,   396,   397,   397,   397,   397,   397,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   415,   415,   415,
     416,   417,   418,   418,   419,   419,   420,   421,   421,   422,
     422,   422,   422,   423,   423,   423,   423,   423,   423,   423,
     423,   423,   423,   423,   423,   423,   423,   423,   423,   423,
     423,   423,   424,   424,   425,   426,   426,   427,   427,   427,
     428,   429,   429,   430,   430,   431,   431,   432,   432,   433,
     433,   434,   434,   435,   436,   436,   437,   437,   437,   437,
     437,   437,   438,   439,   439,   439,   439,   439,   440,   440,
     441,   441,   442,   442,   442,   443,   443,   443,   444,   444,
     445,   445,   446,   446,   447,   447,   447,   448,   448,   449,
     449,   449,   450,   450,   450,   450,   450,   451,   452,   453,
     453,   453,   453,   453,   454,   455,   455,   456,   456,   456,
     456,   456,   456,   457,   457,   458,   458,   459,   459,   460,
     460,   460,   460,   461,   461,   462,   463,   463,   464,   464,
     465,   465,   465,   465,   465,   465,   465,   465,   465,   465,
     465,   465,   466,   466,   466,   467,   467,   468,   468,   469,
     469,   470,   471,   471,   472,   472,   473,   473,   474,   475,
     476,   477,   477,   477,   478,   478,   478,   479,   479,   479,
     479,   479,   479,   479,   479,   479,   480,   480,   481,   482,
     482,   482,   483,   483,   484,   485,   485,   485,   485,   485,
     486,   486,   487,   487,   488,   488,   489,   489,   489,   490,
     490,   491,   492,   492,   493,   493,   494,   494,   495,   495,
     496,   496,   497,   498,   498,   498,   499,   499,   499,   500,
     500,   501,   501,   502,   503,   503,   504,   505,   505,   506,
     507,   508,   508,   509,   509,   510,   511,   512,   512,   512,
     512,   512,   512,   512,   512,   512,   512,   512,   512,   512,
     512,   512,   513,   514,   514,   514,   515,   515,   515,   515,
     515,   516,   516,   517,   517,   518,   518,   519,   519,   519,
     520,   520,   521,   521,   522,   522,   523,   524,   524,   525,
     526,   527,   527,   528,   529,   529,   529,   530,   531,   531,
     531,   532,   532,   532,   533,   533,   534,   535,   535,   536,
     537,   537,   538,   538,   538,   539,   539,   540,   540,   541,
     541,   542,   543,   544,   545,   546,   547,   548,   548,   548,
     549,   549,   550,   550,   551,   551,   552,   553,   553,   553,
     554,   554,   554,   554,   554,   555,   556,   556,   557,   558,
     558,   558,   559,   559,   560,   560,   560,   560,   561,   561,
     561,   562,   562,   563,   563,   564,   564,   565,   566,   566,
     566,   566,   567,   567,   568,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   570,   570,   570,
     570,   570,   570,   570,   570,   570,   570,   570,   570,   570,
     570,   570,   570,   570,   571,   571,   571,   571,   571,   571,
     572,   572,   572,   572,   572,   572,   573,   573,   574,   574,
     574,   575,   575,   576,   576,   576,   576,   576,   577,   577,
     577,   577,   577,   577,   577,   577,   577,   577,   577,   577,
     577,   577,   577,   577,   577,   577,   577,   577,   577,   577,
     577,   577,   578,   578,   578,   578,   578,   578,   579,   580,
     580,   581,   581,   582,   582,   583,   584,   584,   585,   585,
     586,   586,   587,   587,   588,   588,   589,   589,   589,   590,
     590,   591,   591,   592,   592,   592,   592,   593,   593,   593,
     594,   594,   595,   595,   595,   595,   595,   595,   595,   595,
     595,   595,   595,   595,   595,   595,   595,   595,   596,   596,
     596,   596,   596,   596,   596,   597,   597,   597,   597,   598,
     598,   598,   598,   599,   599,   600,   600,   601,   601,   601,
     601,   602,   603,   603,   603,   603,   603,   603,   603,   603,
     603,   603,   603,   603,   603,   603,   603,   603,   603,   603,
     604,   605,   605,   605,   606,   607,   607,   607,   608,   609,
     609,   609,   609,   610,   611,   611,   611,   611,   611,   611,
     611,   611,   611,   612,   612,   612,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   613,   614,   614,
     614,   614,   615,   615,   615,   615,   615,   616,   617,   617,
     617,   617,   617,   617,   617,   618,   619,   619,   619,   619,
     620,   621,   621,   621,   621,   621,   621,   621,   621,   621,
     622,   623,   623,   623,   623,   623,   623,   623,   623,   624,
     625,   625,   625,   625,   625,   626,   627,   627,   628,   629,
     629,   629,   630,   631,   631,   631,   631,   632,   633,   633,
     633,   633,   634,   634,   634,   635,   635,   635,   635,   635,
     635,   635,   635,   635,   635,   636,   636,   636,   636,   636,
     636,   636,   636,   636,   636,   636,   636,   637,   637,   637,
     637,   637,   637,   637,   637,   638,   639,   639,   639,   640,
     641,   641,   641,   641,   642,   643,   643,   644,   644,   644,
     644,   644,   644,   644,   644,   645,   646,   646,   647,   648,
     648,   648,   648,   649,   650,   651,   652,   653,   654,   654,
     654,   654,   655,   656,   656,   656,   656,   656,   656,   657,
     658,   658,   659,   660,   660,   660,   660,   660,   661,   662,
     662,   662,   662,   662
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     3,     5,
       5,     3,     2,     1,     1,     2,     2,     1,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     6,     2,     6,     3,     2,     6,     6,
       3,     6,     2,     4,     4,     7,     7,     7,     4,     4,
       4,     3,     2,     6,     2,     6,     6,     6,     3,     6,
       2,     4,     4,     7,     7,     7,     4,     4,     4,     3,
       2,     2,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     2,     2,     4,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     2,     3,     2,
       2,     3,     2,     2,     3,     2,     2,     3,     2,     2,
       3,     2,     2,     3,     2,     2,     3,     3,     2,     2,
       2,     2,     2,     2,     3,     4,     4,     4,     2,     3,
       2,     2,     3,     2,     2,     2,     2,     2,     3,     2,
       2,     3,     2,     1,     2,     1,     3,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     2,     1,     0,     2,     0,     2,     2,     3,     8,
       8,     8,     8,     8,     8,     9,     9,     9,     8,     8,
       8,     0,     0,     2,     2,     3,     3,     3,     0,     0,
       2,     2,     4,     4,     4,     4,     4,     2,     3,     1,
       1,     3,     1,     1,     1,     1,     1,     0,     0,     2,
       2,     4,     6,     6,     6,     6,     6,     4,     4,     3,
       2,     2,     1,     1,     0,     0,     2,     2,     5,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     3,     0,
       0,     2,     2,     2,     0,     2,     2,     2,     0,     2,
       2,     2,     0,     2,     2,     2,     0,     2,     2,     2,
       0,     2,     2,     2,     0,     2,     2,     2,     0,     2,
       2,     2,     1,     1,     1,     1,     1,     6,     2,     1,
       1,     1,     1,     1,     3,     3,     1,     2,     2,     3,
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     2,     3,     1,     2,     3,     1,     2,     3,     1,
       2,     3,     1,     2,     2,     2,     1,     2,     2,     2,
       2,     2,     0,     1,     1,     2,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       5,     3,     4,     1,     2,     1,     3,     1,     2,     2,
       2,     1,     2,     1,     1,     2,     2,     2,     2,     2,
       2,     2,     1,     2,     2,     1,     1,     1,     3,     1,
       1,     1,     7,     6,     3,     1,     1,     0,     1,     1,
       0,     3,     5,     3,     1,     1,     0,     0,     3,     0,
       3,     3,     1,     1,     1,     1,     1,     2,     1,     0,
       4,     4,     4,     3,     2,     1,     1,     3,     4,     4,
       5,     6,     5,     1,     2,     1,     3,     1,     2,     2,
       2,     1,     1,     6,     8,     0,     0,     1,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     3,     1,     3,     1,     3,     1,
       3,     1,     1,     3,     1,     1,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
       3,     4,     5,     2,     3,     2,     2,     1,     1,     3,
       4,     1,     2,     1,     1,     2,     3,     1,     3,     4,
       3,     5,     3,     6,     1,     3,     1,     1,     1,     1,
       2,     1,     1,     2,     2,     1,     1,     3,     1,     1,
       1,     2,     1,     4,     5,     6,     1,     1,     1,     7,
       8,     6,     1,     1,     1,     2,     2,     6,     8,     1,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     0,     2,     1,     3,     3,
       1,     3,     1,     3,     1,     3,     1,     1,     3,     3,
       3,     1,     1,     3,     1,     1,     1,     3,     1,     3,
       3,     3,     3,     5,     1,     2,     1,     1,     2,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     4,     0,     4,     0,     1,     0,     1,     1,     1,
       1,     1,     5,     3,     1,     3,     3,     3,     6,     3,
       3,     3,     3,     3,     3,     0,     6,     5,     0,     2,
       2,     3,     3,     3,     1,     1,     1,     1,     1,     3,
       3,     1,     3,     1,     3,     1,     3,     1,     1,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     2,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     4,     1,     4,     4,     2,     1,
       1,     0,     2,     1,     1,     5,     2,     0,     1,     1,
       1,     1,     1,     1,     4,     5,     7,     5,     4,     1,
       1,     2,     3,     1,     1,     1,     1,     2,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     3,     3,     4,     4,     4,
       5,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       6,     1,     1,     1,     2,     1,     1,     1,     2,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     4,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     1,
       1,     1,     2,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     2,     4,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     2,     1,     2,     1,     1,
       1,     4,     2,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yytype)
    {
          case 100: /* "string"  */
#line 299 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4203 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 101: /* "quoted string"  */
#line 299 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4209 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 102: /* "string with a trailing asterisk"  */
#line 299 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4215 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 333: /* line  */
#line 574 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4221 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 334: /* base_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4227 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 335: /* add_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4233 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 336: /* replace_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4239 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 337: /* create_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4245 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 338: /* insert_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4251 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 339: /* delete_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4257 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 340: /* get_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4263 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 341: /* list_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4269 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 342: /* reset_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4275 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 343: /* flush_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4281 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 344: /* rename_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4287 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 345: /* import_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4293 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 346: /* export_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4299 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 347: /* monitor_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4305 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 348: /* monitor_event  */
#line 798 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4311 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 352: /* describe_cmd  */
#line 577 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4317 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 353: /* table_block_alloc  */
#line 593 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); table_free(((*yyvaluep).table)); }
#line 4323 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 356: /* chain_block_alloc  */
#line 595 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 4329 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 358: /* set_block_alloc  */
#line 604 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 4335 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 360: /* set_block_expr  */
#line 703 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4341 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 363: /* map_block_alloc  */
#line 607 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 4347 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 367: /* flowtable_block_alloc  */
#line 610 "parser_bison.y" /* yacc.c:1257  */
      { flowtable_free(((*yyvaluep).flowtable)); }
#line 4353 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 369: /* flowtable_expr  */
#line 703 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4359 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 370: /* flowtable_list_expr  */
#line 703 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4365 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 371: /* flowtable_expr_member  */
#line 703 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4371 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 372: /* data_type_atom_expr  */
#line 571 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4377 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 373: /* data_type_expr  */
#line 571 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4383 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 374: /* obj_block_alloc  */
#line 613 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 4389 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 383: /* type_identifier  */
#line 566 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4395 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 386: /* extended_prio_name  */
#line 587 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4401 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 389: /* dev_spec  */
#line 590 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).expr)); }
#line 4407 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 391: /* policy_expr  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4413 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 393: /* identifier  */
#line 566 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4419 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 394: /* string  */
#line 566 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4425 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 398: /* table_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4431 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 399: /* tableid_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4437 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 400: /* chain_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4443 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 401: /* chainid_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4449 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 402: /* chain_identifier  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4455 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 403: /* set_spec  */
#line 582 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4461 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 404: /* setid_spec  */
#line 582 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4467 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 405: /* set_identifier  */
#line 582 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4473 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 406: /* flowtable_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4479 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 407: /* flowtableid_spec  */
#line 582 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4485 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 409: /* obj_spec  */
#line 582 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4491 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 410: /* objid_spec  */
#line 582 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4497 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 411: /* obj_identifier  */
#line 582 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4503 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 412: /* handle_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4509 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 413: /* position_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4515 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 414: /* index_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4521 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 415: /* rule_position  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4527 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 416: /* ruleid_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4533 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 417: /* comment_spec  */
#line 566 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4539 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 418: /* ruleset_spec  */
#line 580 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4545 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 419: /* rule  */
#line 597 "parser_bison.y" /* yacc.c:1257  */
      { rule_free(((*yyvaluep).rule)); }
#line 4551 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 421: /* stmt_list  */
#line 616 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 4557 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 422: /* stateful_stmt  */
#line 620 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4563 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 423: /* stmt  */
#line 618 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4569 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 424: /* verdict_stmt  */
#line 618 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4575 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 425: /* verdict_map_stmt  */
#line 697 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4581 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 426: /* verdict_map_expr  */
#line 700 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4587 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 427: /* verdict_map_list_expr  */
#line 700 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4593 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 428: /* verdict_map_list_member_expr  */
#line 700 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4599 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 429: /* connlimit_stmt  */
#line 631 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4605 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 430: /* counter_stmt  */
#line 620 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4611 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 431: /* counter_stmt_alloc  */
#line 620 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4617 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 434: /* log_stmt  */
#line 628 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4623 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 435: /* log_stmt_alloc  */
#line 628 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4629 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 442: /* limit_stmt  */
#line 631 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4635 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 444: /* quota_unit  */
#line 587 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4641 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 446: /* quota_stmt  */
#line 631 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4647 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 451: /* reject_stmt  */
#line 634 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4653 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 452: /* reject_stmt_alloc  */
#line 634 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4659 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 454: /* nat_stmt  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4665 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 455: /* nat_stmt_alloc  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4671 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 456: /* tproxy_stmt  */
#line 639 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4677 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 457: /* synproxy_stmt  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4683 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 458: /* synproxy_stmt_alloc  */
#line 641 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4689 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 462: /* synproxy_obj  */
#line 723 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 4695 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 465: /* primary_stmt_expr  */
#line 684 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4701 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 466: /* shift_stmt_expr  */
#line 686 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4707 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 467: /* and_stmt_expr  */
#line 688 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4713 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 468: /* exclusive_or_stmt_expr  */
#line 688 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4719 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 469: /* inclusive_or_stmt_expr  */
#line 688 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4725 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 470: /* basic_stmt_expr  */
#line 684 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4731 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 471: /* concat_stmt_expr  */
#line 676 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4737 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 472: /* map_stmt_expr_set  */
#line 676 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4743 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 473: /* map_stmt_expr  */
#line 676 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4749 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 474: /* prefix_stmt_expr  */
#line 681 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4755 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 475: /* range_stmt_expr  */
#line 681 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4761 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 476: /* wildcard_expr  */
#line 681 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4767 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 477: /* multiton_stmt_expr  */
#line 679 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4773 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 478: /* stmt_expr  */
#line 676 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4779 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 480: /* masq_stmt  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4785 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 481: /* masq_stmt_alloc  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4791 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 483: /* redir_stmt  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4797 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 484: /* redir_stmt_alloc  */
#line 636 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4803 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 486: /* dup_stmt  */
#line 648 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4809 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 487: /* fwd_stmt  */
#line 650 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4815 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 490: /* queue_stmt  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4821 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 491: /* queue_stmt_alloc  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4827 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 496: /* set_elem_expr_stmt  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4833 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 497: /* set_elem_expr_stmt_alloc  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4839 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 498: /* set_stmt  */
#line 652 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4845 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 500: /* map_stmt  */
#line 655 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4851 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 501: /* meter_stmt  */
#line 657 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4857 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 502: /* flow_stmt_legacy_alloc  */
#line 657 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4863 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 505: /* meter_stmt_alloc  */
#line 657 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4869 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 506: /* match_stmt  */
#line 618 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 4875 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 507: /* variable_expr  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4881 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 508: /* symbol_expr  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4887 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 509: /* set_ref_expr  */
#line 668 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4893 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 510: /* set_ref_symbol_expr  */
#line 668 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4899 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 511: /* integer_expr  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4905 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 512: /* primary_expr  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4911 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 513: /* fib_expr  */
#line 789 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4917 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 517: /* osf_expr  */
#line 794 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4923 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 519: /* shift_expr  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4929 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 520: /* and_expr  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4935 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 521: /* exclusive_or_expr  */
#line 664 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4941 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 522: /* inclusive_or_expr  */
#line 664 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4947 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 523: /* basic_expr  */
#line 666 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4953 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 524: /* concat_expr  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4959 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 525: /* prefix_rhs_expr  */
#line 673 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4965 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 526: /* range_rhs_expr  */
#line 673 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4971 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 527: /* multiton_rhs_expr  */
#line 671 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4977 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 528: /* map_expr  */
#line 694 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4983 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 529: /* expr  */
#line 713 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4989 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 530: /* set_expr  */
#line 703 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 4995 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 531: /* set_list_expr  */
#line 703 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5001 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 532: /* set_list_member_expr  */
#line 703 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5007 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 533: /* meter_key_expr  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5013 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 534: /* meter_key_expr_alloc  */
#line 710 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5019 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 535: /* set_elem_expr  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5025 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 536: /* set_elem_expr_alloc  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5031 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 539: /* set_lhs_expr  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5037 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 540: /* set_rhs_expr  */
#line 705 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5043 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 541: /* initializer_expr  */
#line 713 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5049 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 543: /* counter_obj  */
#line 723 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5055 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 545: /* quota_obj  */
#line 723 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5061 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 547: /* secmark_obj  */
#line 723 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5067 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 551: /* timeout_states  */
#line 819 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5073 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 552: /* timeout_state  */
#line 819 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5079 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 555: /* ct_obj_alloc  */
#line 723 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5085 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 557: /* limit_obj  */
#line 723 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5091 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 558: /* relational_expr  */
#line 726 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5097 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 559: /* list_rhs_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5103 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 560: /* rhs_expr  */
#line 716 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5109 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 561: /* shift_rhs_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5115 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 562: /* and_rhs_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5121 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 563: /* exclusive_or_rhs_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5127 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 564: /* inclusive_or_rhs_expr  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5133 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 565: /* basic_rhs_expr  */
#line 716 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5139 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 566: /* concat_rhs_expr  */
#line 716 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5145 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 568: /* boolean_expr  */
#line 809 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5151 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 569: /* keyword_expr  */
#line 713 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5157 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 570: /* primary_rhs_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5163 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 572: /* verdict_expr  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5169 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 573: /* chain_expr  */
#line 660 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5175 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 574: /* meta_expr  */
#line 771 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5181 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 578: /* meta_stmt  */
#line 626 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5187 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 579: /* socket_expr  */
#line 775 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5193 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 583: /* numgen_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5199 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 588: /* xfrm_expr  */
#line 823 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5205 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 589: /* hash_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5211 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 591: /* rt_expr  */
#line 781 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5217 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 593: /* ct_expr  */
#line 785 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5223 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 599: /* symbol_stmt_expr  */
#line 718 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5229 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 600: /* list_stmt_expr  */
#line 686 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5235 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 601: /* ct_stmt  */
#line 624 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5241 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 602: /* payload_stmt  */
#line 622 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5247 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 603: /* payload_expr  */
#line 730 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5253 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 604: /* payload_raw_expr  */
#line 730 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5259 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 606: /* eth_hdr_expr  */
#line 733 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5265 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 608: /* vlan_hdr_expr  */
#line 733 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5271 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 610: /* arp_hdr_expr  */
#line 736 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5277 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 612: /* ip_hdr_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5283 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 616: /* icmp_hdr_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5289 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 618: /* igmp_hdr_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5295 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 620: /* ip6_hdr_expr  */
#line 743 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5301 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 622: /* icmp6_hdr_expr  */
#line 743 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5307 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 624: /* auth_hdr_expr  */
#line 746 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5313 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 626: /* esp_hdr_expr  */
#line 746 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5319 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 628: /* comp_hdr_expr  */
#line 746 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5325 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 630: /* udp_hdr_expr  */
#line 749 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5331 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 632: /* udplite_hdr_expr  */
#line 749 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5337 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 634: /* tcp_hdr_expr  */
#line 804 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5343 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 638: /* dccp_hdr_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5349 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 640: /* sctp_hdr_expr  */
#line 752 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5355 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 642: /* th_hdr_expr  */
#line 755 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5361 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 644: /* exthdr_expr  */
#line 759 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5367 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 645: /* hbh_hdr_expr  */
#line 761 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5373 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 647: /* rt_hdr_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5379 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 649: /* rt0_hdr_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5385 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 651: /* rt2_hdr_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5391 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 653: /* rt4_hdr_expr  */
#line 764 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5397 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 655: /* frag_hdr_expr  */
#line 761 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5403 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 657: /* dst_hdr_expr  */
#line 761 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5409 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 659: /* mh_hdr_expr  */
#line 767 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5415 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 661: /* exthdr_exists_expr  */
#line 813 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5421 "parser_bison.c" /* yacc.c:1257  */
        break;


      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

/* User initialization code.  */
#line 146 "parser_bison.y" /* yacc.c:1429  */
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 5538 "parser_bison.c" /* yacc.c:1429  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 829 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 5732 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 8:
#line 846 "parser_bison.y" /* yacc.c:1646  */
    {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 5744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 9:
#line 854 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					xfree((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 5762 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 10:
#line 868 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 5773 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 11:
#line 875 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 5788 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 12:
#line 886 "parser_bison.y" /* yacc.c:1646  */
    {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 5798 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 13:
#line 893 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 5804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 14:
#line 894 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 5810 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 15:
#line 895 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 5816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 16:
#line 897 "parser_bison.y" /* yacc.c:1646  */
    {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 5838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 17:
#line 916 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5844 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 18:
#line 917 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5850 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 19:
#line 918 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 20:
#line 919 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5862 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 21:
#line 920 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 22:
#line 921 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 23:
#line 922 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5880 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 24:
#line 923 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5886 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 25:
#line 924 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5892 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 26:
#line 925 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5898 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 27:
#line 926 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5904 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 28:
#line 927 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 29:
#line 928 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 30:
#line 929 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 31:
#line 930 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 5928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 32:
#line 934 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 5936 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 33:
#line 939 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 5946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 34:
#line 945 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 5954 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 35:
#line 950 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 5965 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 36:
#line 957 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 5973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 37:
#line 961 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 5981 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 38:
#line 966 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 5991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 39:
#line 973 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6001 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 40:
#line 979 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 41:
#line 984 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 6019 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 42:
#line 990 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[0].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), obj);
			}
#line 6032 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 43:
#line 999 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6040 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1003 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1007 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6056 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1011 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1015 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1019 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6080 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1023 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1027 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6096 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1033 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6104 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1039 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1044 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 6122 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1050 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6130 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1055 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 6141 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1063 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1070 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 6161 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1076 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1081 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 6179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1087 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[0].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), obj);
			}
#line 6192 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1096 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6200 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1100 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6208 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1104 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6216 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1108 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6224 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1112 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-3].obj));
			}
#line 6232 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1116 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6240 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1120 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6248 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1124 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
			}
#line 6256 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1130 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 6264 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1136 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6272 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1140 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1144 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6288 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1148 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6296 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1152 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6304 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1156 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6312 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1160 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6320 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1164 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6328 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1168 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6336 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1172 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6344 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1176 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6352 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1180 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6360 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1184 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6368 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1188 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6376 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1192 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1196 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].obj));
			}
#line 6392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1200 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6400 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1204 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6408 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1208 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6416 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1212 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1216 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6432 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1220 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6440 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1226 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_SETELEM, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 6448 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1232 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6456 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1236 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6464 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1240 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6472 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1244 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6480 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1248 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6488 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1252 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1256 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1260 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6512 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1264 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1268 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6528 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1272 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6536 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1276 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1280 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6552 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1284 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1288 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1292 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6576 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1296 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1300 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1304 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1308 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1312 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1316 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1320 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1324 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1328 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6648 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1332 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1336 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1340 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1344 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6680 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1348 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1352 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1356 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-1].val), &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1360 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_HELPERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1364 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_TIMEOUT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1368 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CT_EXPECT, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1374 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1378 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1382 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[0].handle),&(yyloc), NULL);
			}
#line 6752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1386 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1390 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1394 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1400 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1404 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1408 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1412 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1416 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1420 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1424 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 6832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1430 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 6841 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1437 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 6851 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1443 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 6861 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1451 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 6871 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1457 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 6881 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1465 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 6892 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1473 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = NULL; }
#line 6898 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1474 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 6904 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1477 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 6910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1478 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 6916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1479 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 6922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1480 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 6928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1481 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 6934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1482 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 6940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1483 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 6946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1484 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 6952 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1487 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 6958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1491 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 6964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1492 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 6970 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1493 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 6976 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1497 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 6986 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1505 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.table) = table_alloc();
				open_scope(state, &(yyval.table)->scope);
			}
#line 6995 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1512 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strcmp((yyvsp[0].string), "dormant") == 0) {
					(yyvsp[-2].table)->flags = TABLE_F_DORMANT;
					xfree((yyvsp[0].string));
				} else {
					erec_queue(error(&(yylsp[0]), "unknown table option %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
			}
#line 7011 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1525 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 7017 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1532 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7030 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1543 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1553 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1564 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7066 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1574 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7079 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1585 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7092 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1594 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7105 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1603 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7118 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1612 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 7131 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1623 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7144 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1634 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1645 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].obj)->location = (yylsp[-5]);
				(yyvsp[-4].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-4].obj)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].obj)->list, &(yyvsp[-7].table)->objs);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 7170 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1656 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.chain) = chain_alloc(NULL);
				open_scope(state, &(yyval.chain)->scope);
			}
#line 7179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1662 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 7185 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1668 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 7194 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1675 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 7202 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1680 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 7208 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1684 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->key = (yyvsp[-1].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7217 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1689 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->flags = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7226 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1694 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7235 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1699 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7244 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1704 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7253 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1709 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 7262 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1721 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 7270 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1727 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_CONSTANT; }
#line 7276 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1728 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_INTERVAL; }
#line 7282 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1729 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_TIMEOUT; }
#line 7288 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1730 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_EVAL; }
#line 7294 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1734 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 7302 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1739 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 7308 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1743 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7317 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1750 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->datatype = (yyvsp[-1].expr)->dtype;

				expr_free((yyvsp[-1].expr));
				(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7330 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1761 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_COUNTER;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7341 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1770 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_QUOTA;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7352 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1779 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_LIMIT;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7363 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1788 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				(yyvsp[-5].set)->objtype = NFT_OBJECT_SECMARK;
				(yyvsp[-5].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 7374 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1795 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->flags |= (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7383 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1800 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 7392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1808 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->policy = (yyvsp[0].val);
			}
#line 7400 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1812 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 7408 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1817 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 7414 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1818 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 7420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1822 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable) = flowtable_alloc(NULL);
			}
#line 7428 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1827 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 7434 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1831 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->hookstr	= chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hookstr == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook %s", (yyvsp[-2].string)),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 7451 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1844 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 7459 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1850 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 7468 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1857 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 7477 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1862 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 7486 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1870 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 7497 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1879 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				xfree((yyvsp[0].string));
			}
#line 7513 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1891 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 7522 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1899 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 7535 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1910 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(NULL);
			}
#line 7543 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1915 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7549 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1919 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7557 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1924 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7563 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1928 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7571 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1933 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7577 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1937 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7585 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1942 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7591 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1946 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7599 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1951 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7605 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1955 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7613 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1960 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7619 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1964 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7627 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1969 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7633 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1973 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7641 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1978 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 7647 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1982 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 7655 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1987 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 7661 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1988 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("mark"); }
#line 7667 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1989 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("dscp"); }
#line 7673 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1990 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("ecn"); }
#line 7679 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1991 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("classid"); }
#line 7685 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1995 "parser_bison.y" /* yacc.c:1646  */
    {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type %s", (yyvsp[-4].string)),
						   state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				(yyvsp[-6].chain)->type		= xstrdup(chain_type);
				xfree((yyvsp[-4].string));

				(yyvsp[-6].chain)->hookstr	= chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-6].chain)->hookstr == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook %s", (yyvsp[-2].string)),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyvsp[-6].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-6].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-6].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 7715 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2023 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 7724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2030 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.string) = strdup("out");
			}
#line 7732 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2037 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 7746 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2047 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				datatype_set((yyvsp[0].expr)->sym->expr, &priority_type);
				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 7758 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2055 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 7773 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2066 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 7790 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2079 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				(yyval.prio_spec) = spec;
			}
#line 7806 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2092 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = (yyvsp[0].val); }
#line 7812 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2093 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = -(yyvsp[0].val); }
#line 7818 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2097 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &string_type,
							   BYTEORDER_HOST_ENDIAN,
							   strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 7833 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2108 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 7841 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2111 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = NULL; }
#line 7847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2115 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}
				(yyvsp[-2].chain)->policy	= (yyvsp[0].expr);
			}
#line 7861 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2127 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 7870 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2132 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 7881 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2140 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_ACCEPT; }
#line 7887 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2141 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_DROP;   }
#line 7893 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2153 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 7910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2167 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 7916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2171 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 7922 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2172 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 7928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2173 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_INET; }
#line 7934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2174 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_ARP; }
#line 7940 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2175 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_BRIDGE; }
#line 7946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2176 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_NETDEV; }
#line 7952 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2180 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 7963 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2189 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yyloc);
			}
#line 7974 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2198 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 7984 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2206 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yyloc);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 7994 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2214 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 8004 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2222 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 8014 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2230 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yyloc);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 8024 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2238 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 8034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2246 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 8044 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2254 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2262 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 8064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2270 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 8074 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2278 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8084 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2286 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 8094 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2294 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yyloc);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 8104 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2302 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 8114 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2310 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 8124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2318 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 8132 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2322 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8141 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2327 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8153 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2335 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8162 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2342 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 8171 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2349 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 8185 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2361 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 8194 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2366 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 8203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2373 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = NULL;
			}
#line 8211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2377 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 8219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2383 "parser_bison.y" /* yacc.c:1646  */
    {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				xfree((yyvsp[0].list));
			}
#line 8233 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2395 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 8243 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2401 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 8252 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2435 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 8260 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2439 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 8268 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2445 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 8276 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2451 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 8285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2459 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 8294 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2464 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 8303 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2472 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 8311 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2478 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[0].val);
			}
#line 8320 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2483 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[0].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 8330 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2494 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 8338 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2498 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8348 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2506 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 8356 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2513 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 8364 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2517 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 8372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2527 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 8380 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2533 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 8388 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2540 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.prefix	 = (yyvsp[0].string);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 8397 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2545 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 8406 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2550 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 8415 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2555 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 8424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2560 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 8433 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2565 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.logflags	|= (yyvsp[0].val);
			}
#line 8441 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2571 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 8473 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2601 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[0].val);
			}
#line 8481 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2605 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 8489 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2609 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_UID;
			}
#line 8497 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2613 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 8505 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2617 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MASK;
			}
#line 8513 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2623 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 8521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2630 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 8529 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2634 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 8537 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2640 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-3].val);
				(yyval.stmt)->limit.unit	= (yyvsp[-1].val);
				(yyval.stmt)->limit.burst	= (yyvsp[0].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-4].val);
			}
#line 8550 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2649 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[-1].string), &rate, &unit);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= rate * (yyvsp[-2].val);
				(yyval.stmt)->limit.unit	= unit;
				(yyval.stmt)->limit.burst	= (yyvsp[0].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 8573 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2668 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8583 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2675 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUOTA_F_INV; }
#line 8589 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2676 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8595 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2677 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8601 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2680 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("bytes"); }
#line 8607 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2681 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 8613 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2684 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8619 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2686 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 8636 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2701 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-2].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[0].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-3].val);
			}
#line 8656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2717 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8666 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2724 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_LIMIT_F_INV; }
#line 8672 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2725 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8678 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2726 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8684 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2729 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8690 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2730 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 8696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2733 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 8702 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2734 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 8708 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2736 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 8725 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2750 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL; }
#line 8731 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2751 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60; }
#line 8737 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2752 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60; }
#line 8743 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2753 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 8749 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2754 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 8755 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2761 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 8763 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2767 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 8772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2772 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmp_code_type);
				xfree((yyvsp[0].string));
			}
#line 8787 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2783 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmpv6_code_type);
				xfree((yyvsp[0].string));
			}
#line 8802 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2794 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-4].stmt)->reject.expr =
					symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
							  current_scope(state),
							  (yyvsp[0].string));
				datatype_set((yyvsp[-4].stmt)->reject.expr, &icmpx_code_type);
				xfree((yyvsp[0].string));
			}
#line 8816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2804 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 8824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2812 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_SNAT); }
#line 8830 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 436:
#line 2813 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_DNAT); }
#line 8836 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 437:
#line 2817 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 8846 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 438:
#line 2823 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 8856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 439:
#line 2829 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 8866 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 440:
#line 2835 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 8877 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 441:
#line 2842 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 8888 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 442:
#line 2849 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 8898 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 445:
#line 2861 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 8906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 446:
#line 2865 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 8916 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 447:
#line 2873 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 8924 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 449:
#line 2880 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 8933 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 450:
#line 2885 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 8942 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 451:
#line 2890 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 8950 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 452:
#line 2894 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 8958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 453:
#line 2900 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 8978 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 454:
#line 2916 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 8998 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 455:
#line 2934 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 9007 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 456:
#line 2940 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 9013 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 457:
#line 2942 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 9021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 458:
#line 2947 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 9027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 459:
#line 2949 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 9035 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 460:
#line 2954 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9041 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 461:
#line 2955 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9047 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 462:
#line 2956 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9053 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 463:
#line 2957 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9059 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 464:
#line 2958 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9065 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 465:
#line 2959 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9071 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 466:
#line 2960 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9077 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 467:
#line 2961 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9083 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 468:
#line 2962 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9089 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 469:
#line 2963 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9095 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 470:
#line 2964 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9101 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 471:
#line 2965 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 473:
#line 2970 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9115 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 474:
#line 2974 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9123 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 476:
#line 2981 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9131 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 478:
#line 2988 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9139 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 480:
#line 2995 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9147 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3005 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 9160 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3020 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9168 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3023 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9174 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3027 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 9182 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3033 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9190 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3039 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &integer_type,
							   BYTEORDER_HOST_ENDIAN,
							   0, NULL);
				(yyval.expr) = prefix_expr_alloc(&(yyloc), expr, 0);
			}
#line 9203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3060 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3064 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3068 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 9228 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3073 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9237 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3078 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9246 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3083 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9256 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3089 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9264 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3093 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9272 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3097 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3106 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 9286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3110 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9294 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3114 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9303 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3119 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9311 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3128 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 9317 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3132 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3136 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 9333 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3140 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9341 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3144 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9350 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3149 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 9359 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3156 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 9368 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3161 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 9378 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3169 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 9387 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3174 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 9398 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3184 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9406 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3189 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 9412 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3190 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 9418 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3191 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 9424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3199 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc));
			}
#line 9432 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3205 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9440 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3212 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 9449 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3217 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 9457 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3224 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9465 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3229 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 9471 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3230 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 9477 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3238 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 9485 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3244 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 9496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3251 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 9507 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3258 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				(yyval.stmt)->set.stmt = (yyvsp[-1].stmt);
			}
#line 9519 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3267 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 9525 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3268 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 9531 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3269 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 9537 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3273 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 9549 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3281 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.stmt = (yyvsp[-3].stmt);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
			}
#line 9562 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3292 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 9573 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3298 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = (yyvsp[0].stmt); }
#line 9579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3302 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 9587 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3308 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9595 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3315 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 9603 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3321 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 9616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3330 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 9629 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3341 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 9637 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3347 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					xfree((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				xfree((yyvsp[0].string));
			}
#line 9665 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3374 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 9676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3387 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 9687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3396 "parser_bison.y" /* yacc.c:1646  */
    {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 9700 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3406 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9706 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3407 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3408 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9718 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3409 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3410 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3411 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3412 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9742 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3413 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9748 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3414 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9754 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3415 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3416 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9766 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3417 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3418 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9778 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3419 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 9784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3420 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 9790 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3424 "parser_bison.y" /* yacc.c:1646  */
    {
				if (((yyvsp[-1].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-1]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-1].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-1]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-1].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-1]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 9815 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3446 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 9821 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3447 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 9827 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3448 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 9833 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3451 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 9839 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3452 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 9845 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3453 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_MARK; }
#line 9851 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3454 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_IIF; }
#line 9857 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3455 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_OIF; }
#line 9863 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3459 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 9871 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 593:
#line 3466 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-1].val), NFT_OSF_F_VERSION);
			}
#line 9879 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 594:
#line 3470 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 9887 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 595:
#line 3476 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 9895 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 596:
#line 3480 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					YYERROR;
				}
			}
#line 9911 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 598:
#line 3495 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9919 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 599:
#line 3499 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9927 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 601:
#line 3506 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9935 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 603:
#line 3513 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9943 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 605:
#line 3520 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9951 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 608:
#line 3530 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 9964 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 609:
#line 3541 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 9972 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 610:
#line 3547 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9980 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 613:
#line 3557 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9988 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 617:
#line 3568 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 9997 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 618:
#line 3575 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10006 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 619:
#line 3580 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 621:
#line 3588 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10023 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 622:
#line 3592 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10031 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 623:
#line 3596 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 10039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 625:
#line 3603 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 10048 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 626:
#line 3610 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 10056 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 629:
#line 3620 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 10064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 630:
#line 3626 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 10072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 632:
#line 3633 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 10080 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3637 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 10088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3641 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 10096 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 641:
#line 3659 "parser_bison.y" /* yacc.c:1646  */
    {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 10108 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 642:
#line 3669 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 10117 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 643:
#line 3676 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 10139 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 644:
#line 3696 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 10148 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 645:
#line 3703 "parser_bison.y" /* yacc.c:1646  */
    {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 10166 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 646:
#line 3719 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 10175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 647:
#line 3725 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 10181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 648:
#line 3726 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 10187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 649:
#line 3727 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 10193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 650:
#line 3730 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_TCP; }
#line 10199 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 651:
#line 3731 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_UDP; }
#line 10205 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3735 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-5].obj)->ct_helper;

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-3].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-3]), "invalid name '%s', max length is %u\n", (yyvsp[-3].string), (int)sizeof(ct->name)), state->msgs);
					YYERROR;
				}

				ct->l4proto = (yyvsp[-1].val);
			}
#line 10224 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 653:
#line 3750 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 10232 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 654:
#line 3756 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail((yyvsp[0].list), (yyval.list));
			}
#line 10242 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 655:
#line 3762 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail((yyvsp[0].list), (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 10251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 656:
#line 3770 "parser_bison.y" /* yacc.c:1646  */
    {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.list) = &ts->head;
			}
#line 10266 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 657:
#line 3783 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 10278 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 658:
#line 3791 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;

				ct = &(yyvsp[-6].obj)->ct_timeout;
				init_list_head(&ct->timeout_list);
				list_splice_tail((yyvsp[-2].list), &ct->timeout_list);
			}
#line 10290 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 659:
#line 3799 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 10298 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 660:
#line 3805 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 10306 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 661:
#line 3809 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 10314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 662:
#line 3813 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 10322 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 663:
#line 3817 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 10330 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 664:
#line 3821 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 10338 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 665:
#line 3827 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 10346 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 666:
#line 3833 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;

				limit = &(yyvsp[-6].obj)->limit;
				limit->rate	= (yyvsp[-3].val);
				limit->unit	= (yyvsp[-1].val);
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-4].val);
			}
#line 10361 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 667:
#line 3844 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[-1].string), &rate, &unit);
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				limit = &(yyvsp[-5].obj)->limit;
				limit->rate	= rate * (yyvsp[-2].val);
				limit->unit	= unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-3].val);
			}
#line 10384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 668:
#line 3865 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 10393 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3872 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 10401 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 670:
#line 3876 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 10409 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 671:
#line 3880 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10417 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 672:
#line 3886 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 10427 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 673:
#line 3892 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 10437 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 674:
#line 3899 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10443 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 675:
#line 3900 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10449 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3901 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10455 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 677:
#line 3902 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10461 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3907 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10469 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3911 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10477 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 682:
#line 3918 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10485 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 684:
#line 3925 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10493 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 686:
#line 3932 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10501 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 690:
#line 3943 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10514 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 691:
#line 3952 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10527 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 692:
#line 3962 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = true; }
#line 10533 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 693:
#line 3963 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = false; }
#line 10539 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 694:
#line 3967 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 10549 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 695:
#line 3974 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 10555 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 696:
#line 3975 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 10561 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 697:
#line 3976 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 10567 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 698:
#line 3977 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 10573 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 699:
#line 3978 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 10579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 700:
#line 3979 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 10585 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 701:
#line 3980 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 10591 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 702:
#line 3981 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 10597 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 703:
#line 3982 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 10603 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 704:
#line 3983 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 10609 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 705:
#line 3984 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 10615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 706:
#line 3985 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 10621 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 707:
#line 3988 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10627 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 708:
#line 3989 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10633 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 709:
#line 3990 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10639 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 710:
#line 3991 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10645 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 711:
#line 3993 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10656 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4000 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10667 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4007 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10678 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4014 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10689 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4021 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10700 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4028 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10711 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4035 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10722 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4042 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10733 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4049 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4056 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10755 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4063 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10766 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4070 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 10777 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4076 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 10783 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4079 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_EQ; }
#line 10789 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4080 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_NEQ; }
#line 10795 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4081 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LT; }
#line 10801 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4082 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GT; }
#line 10807 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4083 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GTE; }
#line 10813 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4084 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LTE; }
#line 10819 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4088 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 10827 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4092 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 10835 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 732:
#line 4096 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 10843 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4100 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 10851 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 734:
#line 4104 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 10859 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4108 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 10867 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 737:
#line 4115 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 10879 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 738:
#line 4125 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 10887 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 739:
#line 4129 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 10895 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 740:
#line 4133 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[0].string), &key);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 10913 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 743:
#line 4152 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_LEN; }
#line 10919 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 744:
#line 4153 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PROTOCOL; }
#line 10925 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 745:
#line 4154 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRIORITY; }
#line 10931 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 746:
#line 4155 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRANDOM; }
#line 10937 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 747:
#line 4156 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECMARK; }
#line 10943 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 748:
#line 4159 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_MARK; }
#line 10949 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 749:
#line 4160 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIF; }
#line 10955 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 750:
#line 4161 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFNAME; }
#line 10961 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 751:
#line 4162 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFTYPE; }
#line 10967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 752:
#line 4163 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIF; }
#line 10973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 753:
#line 4164 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFNAME; }
#line 10979 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 754:
#line 4165 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFTYPE; }
#line 10985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 755:
#line 4166 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKUID; }
#line 10991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 756:
#line 4167 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKGID; }
#line 10997 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 757:
#line 4168 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_NFTRACE; }
#line 11003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 758:
#line 4169 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_RTCLASSID; }
#line 11009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 759:
#line 4170 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 11015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 760:
#line 4171 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 11021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 761:
#line 4172 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 11027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 762:
#line 4173 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 11033 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 763:
#line 4174 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PKTTYPE; }
#line 11039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 764:
#line 4175 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CPU; }
#line 11045 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 765:
#line 4176 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFGROUP; }
#line 11051 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 766:
#line 4177 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFGROUP; }
#line 11057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 767:
#line 4178 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CGROUP; }
#line 11063 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 768:
#line 4179 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECPATH; }
#line 11069 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 769:
#line 4180 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_NS; }
#line 11075 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 770:
#line 4181 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_DAY; }
#line 11081 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 771:
#line 4182 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_HOUR; }
#line 11087 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 772:
#line 4186 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-2].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[0].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[0].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
					break;
				}
			}
#line 11111 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 773:
#line 4206 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 11119 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 774:
#line 4210 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-2].string), &key);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[0].expr));
			}
#line 11137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 775:
#line 4224 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 11145 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 776:
#line 4228 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[0].string));
			}
#line 11153 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 777:
#line 4232 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[0].string));
			}
#line 11161 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 778:
#line 4238 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 11169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 779:
#line 4243 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 11175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 780:
#line 4244 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_MARK; }
#line 11181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 781:
#line 4247 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 11187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 782:
#line 4248 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 11193 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 783:
#line 4251 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 11199 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 784:
#line 4252 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_RANDOM; }
#line 11205 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 785:
#line 4256 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 11213 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 786:
#line 4261 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 11219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 787:
#line 4262 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 11225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 788:
#line 4265 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_IN; }
#line 11231 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 789:
#line 4266 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_OUT; }
#line 11237 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 790:
#line 4269 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 11243 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 791:
#line 4270 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 11249 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 792:
#line 4273 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 11255 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 793:
#line 4274 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 11261 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 794:
#line 4278 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) > 255) {
					erec_queue(error(&(yylsp[-1]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 11273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 795:
#line 4286 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_xfrm_keys xfrmk = (yyvsp[0].val);

				switch ((yyvsp[-1].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[0].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[0].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), xfrmk);
			}
#line 11302 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 796:
#line 4313 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-3].val), true, (yyvsp[-1].val), (yyvsp[0].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-5].expr);
			}
#line 11311 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 797:
#line 4318 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-1].val), false, 0, (yyvsp[0].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-3].expr);
			}
#line 11320 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 798:
#line 4323 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-1].val), false, 0, (yyvsp[0].val), NFT_HASH_SYM);
			}
#line 11328 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 799:
#line 4328 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 11334 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 800:
#line 4329 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 11340 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 801:
#line 4333 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[0].val), true);
			}
#line 11348 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 802:
#line 4337 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_rt_keys rtk = (yyvsp[0].val);

				switch ((yyvsp[-1].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[0].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 11370 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 803:
#line 4356 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_CLASSID; }
#line 11376 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 804:
#line 4357 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 11382 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 805:
#line 4358 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_TCPMSS; }
#line 11388 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 806:
#line 4359 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_XFRM; }
#line 11394 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 807:
#line 4363 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), -1);
			}
#line 11402 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 808:
#line 4367 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), (yyvsp[-1].val));
			}
#line 11410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 809:
#line 4371 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[0].val), (yyvsp[-1].val));
			}
#line 11418 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 810:
#line 4376 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 11424 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 811:
#line 4377 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_REPLY; }
#line 11430 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 812:
#line 4380 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 11436 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 813:
#line 4381 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 11442 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 814:
#line 4382 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_MARK; }
#line 11448 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 815:
#line 4383 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATE; }
#line 11454 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 816:
#line 4384 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DIRECTION; }
#line 11460 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 817:
#line 4385 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATUS; }
#line 11466 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 818:
#line 4386 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EXPIRATION; }
#line 11472 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 819:
#line 4387 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_HELPER; }
#line 11478 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 820:
#line 4388 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 11484 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 821:
#line 4389 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 11490 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 822:
#line 4390 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 11496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 823:
#line 4391 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 11502 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 824:
#line 4392 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_LABELS; }
#line 11508 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 825:
#line 4393 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EVENTMASK; }
#line 11514 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 826:
#line 4394 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SECMARK; }
#line 11520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 828:
#line 4398 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 11526 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 829:
#line 4399 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 11532 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 830:
#line 4400 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 11538 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 831:
#line 4401 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 11544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 832:
#line 4402 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 11550 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 833:
#line 4403 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 11556 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 835:
#line 4407 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP; }
#line 11562 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 836:
#line 4408 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP; }
#line 11568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 837:
#line 4409 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP6; }
#line 11574 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 838:
#line 4410 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP6; }
#line 11580 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 839:
#line 4413 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_BYTES; }
#line 11586 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 840:
#line 4414 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PKTS; }
#line 11592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 841:
#line 4415 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_AVGPKT; }
#line 11598 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 842:
#line 4416 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_ZONE; }
#line 11604 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 845:
#line 4424 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11614 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 846:
#line 4430 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 847:
#line 4438 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-2].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[0].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-2].val), -1, (yyvsp[0].expr));
					break;
				}
			}
#line 11641 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 848:
#line 4451 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);

			}
#line 11652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 849:
#line 4458 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 11662 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 850:
#line 4464 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-3].val), (yyvsp[0].expr));
			}
#line 11670 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 851:
#line 4470 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11681 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 870:
#line 4499 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 11692 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 871:
#line 4507 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 11698 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 872:
#line 4508 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 11704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 873:
#line 4509 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 11710 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 874:
#line 4513 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[0].val));
			}
#line 11718 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 875:
#line 4518 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_SADDR; }
#line 11724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 876:
#line 4519 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_DADDR; }
#line 11730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 877:
#line 4520 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_TYPE; }
#line 11736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 878:
#line 4524 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[0].val));
			}
#line 11744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 879:
#line 4529 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_VID; }
#line 11750 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 880:
#line 4530 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_CFI; }
#line 11756 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 881:
#line 4531 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_PCP; }
#line 11762 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 882:
#line 4532 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_TYPE; }
#line 11768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 883:
#line 4536 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[0].val));
			}
#line 11776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 884:
#line 4541 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HRD; }
#line 11782 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 885:
#line 4542 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PRO; }
#line 11788 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 886:
#line 4543 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HLN; }
#line 11794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 887:
#line 4544 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PLN; }
#line 11800 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 888:
#line 4545 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_OP; }
#line 11806 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 889:
#line 4546 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 11812 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 890:
#line 4547 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 11818 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 891:
#line 4548 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_IP; }
#line 11824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 892:
#line 4549 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_IP; }
#line 11830 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 893:
#line 4553 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[0].val));
			}
#line 11838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 894:
#line 4557 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val), 0);
			}
#line 11846 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 895:
#line 4561 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[0].val), IPOPT_FIELD_TYPE, 0);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 11855 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 896:
#line 4567 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_VERSION; }
#line 11861 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 897:
#line 4568 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_HDRLENGTH; }
#line 11867 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 898:
#line 4569 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DSCP; }
#line 11873 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 899:
#line 4570 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ECN; }
#line 11879 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 900:
#line 4571 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_LENGTH; }
#line 11885 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 901:
#line 4572 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ID; }
#line 11891 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 902:
#line 4573 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_FRAG_OFF; }
#line 11897 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 903:
#line 4574 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_TTL; }
#line 11903 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 904:
#line 4575 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_PROTOCOL; }
#line 11909 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 905:
#line 4576 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_CHECKSUM; }
#line 11915 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 906:
#line 4577 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_SADDR; }
#line 11921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 907:
#line 4578 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DADDR; }
#line 11927 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 908:
#line 4581 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_LSRR; }
#line 11933 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 909:
#line 4582 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RR; }
#line 11939 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 910:
#line 4583 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_SSRR; }
#line 11945 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 911:
#line 4584 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RA; }
#line 11951 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 912:
#line 4587 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 11957 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 913:
#line 4588 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 11963 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 914:
#line 4589 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 11969 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 915:
#line 4590 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_PTR; }
#line 11975 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 916:
#line 4591 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 11981 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 917:
#line 4595 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[0].val));
			}
#line 11989 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 918:
#line 4600 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_TYPE; }
#line 11995 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 919:
#line 4601 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CODE; }
#line 12001 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 920:
#line 4602 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 12007 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 921:
#line 4603 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_ID; }
#line 12013 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 922:
#line 4604 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_SEQ; }
#line 12019 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 923:
#line 4605 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_GATEWAY; }
#line 12025 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 924:
#line 4606 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_MTU; }
#line 12031 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 925:
#line 4610 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[0].val));
			}
#line 12039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 926:
#line 4615 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_TYPE; }
#line 12045 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 927:
#line 4616 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 12051 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 928:
#line 4617 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_MRT; }
#line 12057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 929:
#line 4618 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_GROUP; }
#line 12063 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 930:
#line 4622 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[0].val));
			}
#line 12071 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 931:
#line 4627 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_VERSION; }
#line 12077 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 932:
#line 4628 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DSCP; }
#line 12083 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 933:
#line 4629 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_ECN; }
#line 12089 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 934:
#line 4630 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 12095 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 935:
#line 4631 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_LENGTH; }
#line 12101 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 936:
#line 4632 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_NEXTHDR; }
#line 12107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 937:
#line 4633 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 12113 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 938:
#line 4634 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_SADDR; }
#line 12119 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 939:
#line 4635 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DADDR; }
#line 12125 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 940:
#line 4638 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[0].val));
			}
#line 12133 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 941:
#line 4643 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_TYPE; }
#line 12139 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 942:
#line 4644 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CODE; }
#line 12145 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 943:
#line 4645 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 12151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 944:
#line 4646 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_PPTR; }
#line 12157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 945:
#line 4647 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MTU; }
#line 12163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 946:
#line 4648 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_ID; }
#line 12169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 947:
#line 4649 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_SEQ; }
#line 12175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 948:
#line 4650 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 12181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 949:
#line 4654 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[0].val));
			}
#line 12189 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 950:
#line 4659 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_NEXTHDR; }
#line 12195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 951:
#line 4660 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_HDRLENGTH; }
#line 12201 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 952:
#line 4661 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_RESERVED; }
#line 12207 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 953:
#line 4662 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SPI; }
#line 12213 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 954:
#line 4663 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SEQUENCE; }
#line 12219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 955:
#line 4667 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[0].val));
			}
#line 12227 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 956:
#line 4672 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SPI; }
#line 12233 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 957:
#line 4673 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SEQUENCE; }
#line 12239 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 958:
#line 4677 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[0].val));
			}
#line 12247 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 959:
#line 4682 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_NEXTHDR; }
#line 12253 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 960:
#line 4683 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_FLAGS; }
#line 12259 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 961:
#line 4684 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_CPI; }
#line 12265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 962:
#line 4688 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[0].val));
			}
#line 12273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 963:
#line 4693 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 12279 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 964:
#line 4694 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 12285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 965:
#line 4695 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 12291 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 966:
#line 4696 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 12297 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 967:
#line 4700 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[0].val));
			}
#line 12305 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 968:
#line 4705 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 12311 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 969:
#line 4706 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 12317 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 970:
#line 4707 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 12323 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 971:
#line 4708 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 12329 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 972:
#line 4712 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 12337 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 973:
#line 4716 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 12345 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 974:
#line 4720 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPTHDR_FIELD_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 12354 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 975:
#line 4726 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SPORT; }
#line 12360 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 976:
#line 4727 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DPORT; }
#line 12366 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 977:
#line 4728 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SEQ; }
#line 12372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 978:
#line 4729 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_ACKSEQ; }
#line 12378 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 979:
#line 4730 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DOFF; }
#line 12384 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 980:
#line 4731 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_RESERVED; }
#line 12390 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 981:
#line 4732 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_FLAGS; }
#line 12396 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 982:
#line 4733 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_WINDOW; }
#line 12402 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 983:
#line 4734 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_CHECKSUM; }
#line 12408 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 984:
#line 4735 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_URGPTR; }
#line 12414 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 985:
#line 4738 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_EOL; }
#line 12420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 986:
#line 4739 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_NOOP; }
#line 12426 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 987:
#line 4740 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_MAXSEG; }
#line 12432 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 988:
#line 4741 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_WINDOW; }
#line 12438 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 989:
#line 4742 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_SACK_PERMITTED; }
#line 12444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 990:
#line 4743 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_SACK0; }
#line 12450 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 991:
#line 4744 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_SACK0; }
#line 12456 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 992:
#line 4745 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_SACK1; }
#line 12462 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 993:
#line 4746 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_SACK2; }
#line 12468 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 994:
#line 4747 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_SACK3; }
#line 12474 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 995:
#line 4748 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_ECHO; }
#line 12480 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 996:
#line 4749 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_TIMESTAMP; }
#line 12486 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 997:
#line 4752 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_KIND; }
#line 12492 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 998:
#line 4753 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_LENGTH; }
#line 12498 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 999:
#line 4754 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_SIZE; }
#line 12504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 4755 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_COUNT; }
#line 12510 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 4756 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_LEFT; }
#line 12516 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 4757 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_RIGHT; }
#line 12522 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 4758 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_TSVAL; }
#line 12528 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 4759 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPTHDR_FIELD_TSECR; }
#line 12534 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 4763 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[0].val));
			}
#line 12542 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 4768 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_SPORT; }
#line 12548 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 4769 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_DPORT; }
#line 12554 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 4770 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_TYPE; }
#line 12560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 4774 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[0].val));
			}
#line 12568 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 4779 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_SPORT; }
#line 12574 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 4780 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_DPORT; }
#line 12580 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 4781 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_VTAG; }
#line 12586 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 4782 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 12592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 4786 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[0].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 12602 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 4793 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_SPORT; }
#line 12608 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 4794 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_DPORT; }
#line 12614 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 4808 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[0].val));
			}
#line 12622 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 4813 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_NEXTHDR; }
#line 12628 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 4814 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 12634 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 4818 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[0].val));
			}
#line 12642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 4823 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_NEXTHDR; }
#line 12648 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 4824 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_HDRLENGTH; }
#line 12654 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 4825 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_TYPE; }
#line 12660 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 4826 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_SEG_LEFT; }
#line 12666 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 4830 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[0].val));
			}
#line 12674 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 4836 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 12682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 4842 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[0].val));
			}
#line 12690 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 4847 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT2HDR_ADDR; }
#line 12696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 4851 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[0].val));
			}
#line 12704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 4856 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_LASTENT; }
#line 12710 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 4857 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_FLAGS; }
#line 12716 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 4858 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_TAG; }
#line 12722 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 4860 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 12730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 4866 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[0].val));
			}
#line 12738 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 4871 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 12744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 4872 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED; }
#line 12750 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 4873 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 12756 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 4874 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED2; }
#line 12762 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 4875 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_MFRAGS; }
#line 12768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 4876 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_ID; }
#line 12774 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 4880 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[0].val));
			}
#line 12782 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 4885 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_NEXTHDR; }
#line 12788 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 4886 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 12794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 4890 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[0].val));
			}
#line 12802 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 4895 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_NEXTHDR; }
#line 12808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 4896 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_HDRLENGTH; }
#line 12814 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 4897 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_TYPE; }
#line 12820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 4898 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_RESERVED; }
#line 12826 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 4899 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_CHECKSUM; }
#line 12832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 4903 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the fist one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 12848 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 4916 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_HOPOPTS; }
#line 12854 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 4917 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_ROUTING; }
#line 12860 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 4918 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_FRAGMENT; }
#line 12866 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 4919 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_DSTOPTS; }
#line 12872 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 4920 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_MH; }
#line 12878 "parser_bison.c" /* yacc.c:1646  */
    break;


#line 12882 "parser_bison.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 4923 "parser_bison.y" /* yacc.c:1906  */

